# /modules/iptables/init.pp
# 
# Written on 110207 by yannick.vaucher@switzernet.com 
#
# This module is intended for debian only
#
# Copyright (c) Switzernet
#

class iptables {

	package{ "iptables":
		ensure => installed
	}

        file {"/root/files":
		ensure  => directory;
 
	      "/root/files/black.lst":
		ensure  => file,
                owner   => "root",
                group   => "root",
                mode    => 750,
                source  => "puppet:///iptables/black.lst",
                require => [Package["iptables"],File["/root/files"]],
		notify  => Exec["update iptables"];

	       "/etc/init.d/firewall.rules":
		ensure  => file,
		owner   => "root",
		group   => "root",
		mode    => 750,
		source  => "puppet:///iptables/firewall.rules"
        }

	exec { "update iptables":
		refreshonly => true,
		command     => "sh /etc/init.d/firewall.rules",
		require	    => [File["/etc/init.d/firewall.rules"], File["/root/files/black.lst"]]
	}

}

