#!/usr/bin/perl

use strict;
use warnings;
use DBI;

my $mysql_id='2';

my @tables = ("Accounts", "Active_Calls", "Connections", "Customers", "Destinations", "Follow_Me", "Nodes", "Rates", "Service_Attributes", "astrad_confs", "customer_confs");
#my @tables = ("Customers");

my $host = "127.0.0.1";
my $database = "information_schema";
my $tablename = "inventory";
my $user = "root";
my $pw = "fc8551y";
my $db_port;

if ($mysql_id eq '1'){
    $db_port = '3307';
}
elsif ($mysql_id eq '2'){
    $db_port = '3308';
}


my $dsn = "dbi:mysql:$database:$host:$db_port";
my $dbh = DBI->connect($dsn,$user,$pw);

my $set = "SET SESSION group_concat_max_len = 8192;";
my $sth = $dbh->prepare($set) or die "Cannot prepare: " . $dbh->errstr();
$sth->execute() or die "Cannot execute: " . $sth->errstr();
$sth->finish();

sub create_trigger_insert{
my $t = $_[0];
my $req = "
    SELECT CONCAT(
        '\\nDELIMITER |',
        '\\nDROP TRIGGER IF EXISTS `Trg_Insert_".$t."_fed`|',
        '\\nCREATE TRIGGER `Trg_Insert_".$t."_fed` AFTER INSERT ON `".$t."` FOR EACH ROW',
        '\\nBEGIN',
        '\\n  INSERT INTO `',table_name,
        '_fed` (',
        GROUP_CONCAT('\\n    ',COLUMN_NAME,
        ''),
        ',\\n    i_billing',
        '\n  ) VALUES (',
        GROUP_CONCAT('\\n    new.',COLUMN_NAME),
        ',\\n    DEFAULT',
        '\n  );',
        '\\nEND |',
        '\\nDELIMITER ;'
    )
    FROM information_schema.columns 
    WHERE table_name='".$t."';\n\n";
    my $sth = $dbh->prepare($req) or die "Cannot prepare: " . $dbh->errstr();
    $sth->execute() or die "Cannot execute: " . $sth->errstr();
    my $field = $sth->fetchrow_array();
    $sth->finish();
    return $field;
}



sub create_trigger_update{

my $t = $_[0];
my $req = "
    SELECT CONCAT(
        '\\nDELIMITER | ',
        '\\nDROP TRIGGER IF EXISTS `Trg_Update_".$t."_fed`|',
        '\\nCREATE TRIGGER `Trg_Update_".$t."_fed` AFTER UPDATE ON `".$t."` FOR EACH ROW',
        '\\nBEGIN',
        '\\n  UPDATE `',table_name,
        '_fed` SET ',
        GROUP_CONCAT('\\n    ',COLUMN_NAME,'=','new.',COLUMN_NAME,''),
        ',\\n    i_billing=DEFAULT',
        '\\n  WHERE ',
        CONCAT(
            (SELECT COLUMN_NAME from columns where ORDINAL_POSITION='1'and table_name='".$t."'),
            '=new.',
            (SELECT COLUMN_NAME from columns where ORDINAL_POSITION='1'and table_name='".$t."')
        ),
        ' AND i_billing=\\'".$mysql_id."\\'',
        ';',
        '\\nEND |',
        '\\nDELIMITER ;'
    ) as my_trig FROM information_schema.columns where table_name='".$t."';\n";
    my $sth = $dbh->prepare($req) or die "Cannot prepare: " . $dbh->errstr();
    $sth->execute() or die "Cannot execute: " . $sth->errstr();
    my $field = $sth->fetchrow_array();
    $sth->finish();
    return $field;
}

sub create_trigger_delete{
    my $t = $_[0];
    my $req = "SELECT COLUMN_NAME from columns where ORDINAL_POSITION='1'and table_name='$t';";
    my $sth = $dbh->prepare($req) or die "Cannot prepare: " . $dbh->errstr();
    $sth->execute() or die "Cannot execute: " . $sth->errstr();
    my $field = $sth->fetchrow_array();
    $sth->finish();
    
    my $tr = "
DELIMITER |
DROP TRIGGER IF EXISTS `Trg_Delete_".$t."_fed`|
CREATE TRIGGER `Trg_Delete_".$t."_fed` AFTER DELETE ON `".$t."` FOR EACH ROW
BEGIN
  DELETE FROM `".$t."_fed` WHERE ".$field."=old.".$field." AND i_billing=\'".$mysql_id."\';
END |
DELIMITER ;";
    return $tr;
}

##########################################################
#                                                        #
#                         MAIN                           #
#                                                        #
##########################################################

my $text;
my $insert;


foreach my $trg (@tables){
    $text .= "\n\n--\n-- Dumping triggers for table `".$trg."`\n--\n";
    $insert = create_trigger_insert($trg);
    $text .=  $insert."\n\n--\n";
    $insert = create_trigger_update($trg);
    $text .=  $insert."\n\n--\n";
    $insert = create_trigger_delete($trg);
    $text .=  $insert;
}

$dbh->disconnect();

print $text."\n";



