-- MySQL dump 10.13  Distrib 5.1.52, for unknown-linux-gnu (x86_64)
--
-- Host: localhost    Database: porta-sip
-- ------------------------------------------------------
-- Server version	5.1.52-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Databases
--
DROP DATABASE IF EXISTS `porta-sip`;
CREATE DATABASE `porta-sip`;
USE `porta-sip`;

--
-- Table structure for table `active_nodes`
--

DROP TABLE IF EXISTS `active_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `active_nodes` (
  `an_address` varchar(21) DEFAULT NULL,
  `an_env` int(11) DEFAULT NULL,
  `an_expires` datetime DEFAULT NULL,
  UNIQUE KEY `an_address` (`an_address`),
  KEY `t1` (`an_env`,`an_expires`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `active_watchers`
--

DROP TABLE IF EXISTS `active_watchers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `active_watchers` (
  `to_user` varchar(64) NOT NULL DEFAULT '',
  `to_domain` varchar(128) NOT NULL DEFAULT '',
  `from_user` varchar(64) NOT NULL DEFAULT '',
  `from_domain` varchar(128) NOT NULL DEFAULT '',
  `event` varchar(64) NOT NULL DEFAULT 'presence',
  `event_id` varchar(64) DEFAULT '',
  `to_tag` varchar(128) NOT NULL DEFAULT '',
  `from_tag` varchar(128) NOT NULL DEFAULT '',
  `callid` varchar(128) NOT NULL DEFAULT '',
  `cseq` int(11) NOT NULL DEFAULT '0',
  `contact` varchar(128) NOT NULL DEFAULT '',
  `record_route` varchar(255) DEFAULT NULL,
  `i_env` int(11) DEFAULT '0',
  `expires` datetime DEFAULT NULL,
  `status` varchar(32) NOT NULL DEFAULT 'pending',
  `version` int(6) DEFAULT '0',
  `format` varchar(16) DEFAULT '',
  PRIMARY KEY (`from_tag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ip_auth`
--

DROP TABLE IF EXISTS `ip_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_auth` (
  `ia_role` varchar(31) DEFAULT NULL,
  `ia_regexp` varchar(127) DEFAULT NULL,
  `ia_node` varchar(15) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `location`
--

DROP TABLE IF EXISTS `location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `location` (
  `username` varchar(50) NOT NULL DEFAULT '',
  `domain` varchar(100) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `i_env` int(11) NOT NULL DEFAULT '1',
  `expires` datetime DEFAULT NULL,
  `q` float(10,2) DEFAULT NULL,
  `callid` varchar(255) DEFAULT NULL,
  `cseq` int(11) DEFAULT NULL,
  `last_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `replicate` int(10) unsigned DEFAULT NULL,
  `state` tinyint(1) unsigned DEFAULT NULL,
  `flags` int(11) NOT NULL DEFAULT '0',
  `user_agent` varchar(50) NOT NULL DEFAULT '',
  `received` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`username`,`domain`,`contact`,`i_env`),
  KEY `location_idx1` (`username`,`i_env`,`last_modified`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `presentity`
--

DROP TABLE IF EXISTS `presentity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `presentity` (
  `username` varchar(64) NOT NULL DEFAULT '',
  `domain` varchar(124) NOT NULL DEFAULT '',
  `event` varchar(64) NOT NULL DEFAULT '',
  `etag` varchar(64) NOT NULL DEFAULT '',
  `expires` datetime DEFAULT NULL,
  `received_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `i_env` int(11) DEFAULT '0',
  `body` varchar(1024) NOT NULL DEFAULT '',
  `version` int(6) DEFAULT '0',
  `format` varchar(16) DEFAULT '',
  PRIMARY KEY (`username`,`domain`,`event`,`etag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shared_cookies`
--

DROP TABLE IF EXISTS `shared_cookies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_cookies` (
  `sk_env` int(11) NOT NULL,
  `sk_seq` int(1) NOT NULL,
  `sk_value` varchar(64) NOT NULL,
  `sk_expires` int(11) NOT NULL,
  PRIMARY KEY (`sk_env`,`sk_seq`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shared_dialogs`
--

DROP TABLE IF EXISTS `shared_dialogs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_dialogs` (
  `i_shared_dialog` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sd_callid` varchar(255) DEFAULT NULL,
  `sd_tag1` varchar(63) DEFAULT NULL,
  `sd_tag2` varchar(63) DEFAULT NULL,
  `sd_node` varchar(31) DEFAULT NULL,
  `sd_lacc` varchar(63) DEFAULT NULL,
  PRIMARY KEY (`i_shared_dialog`),
  KEY `dlg_id_idx` (`sd_callid`,`sd_tag1`,`sd_tag2`),
  KEY `lacc_idx` (`sd_lacc`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shared_dialogs_groups`
--

DROP TABLE IF EXISTS `shared_dialogs_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_dialogs_groups` (
  `i_shared_dialog` int(10) unsigned DEFAULT NULL,
  `sd_group` varchar(63) DEFAULT NULL,
  KEY `groups_idx` (`sd_group`),
  KEY `shared_dialogs_fk1` (`i_shared_dialog`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shared_legs`
--

DROP TABLE IF EXISTS `shared_legs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shared_legs` (
  `sl_callid` varchar(255) DEFAULT NULL,
  `sl_tag1` varchar(63) DEFAULT NULL,
  `sl_tag2` varchar(63) DEFAULT NULL,
  `sl_node` varchar(31) DEFAULT NULL,
  `sl_lacc` varchar(63) DEFAULT NULL,
  `sl_groups` varchar(63) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `silo`
--

DROP TABLE IF EXISTS `silo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `silo` (
  `id` varchar(64) NOT NULL,
  `src_addr` varchar(128) NOT NULL,
  `dst_addr` varchar(128) NOT NULL,
  `username` varchar(64) NOT NULL,
  `domain` varchar(64) NOT NULL,
  `inc_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `exp_time` datetime DEFAULT NULL,
  `snd_time` datetime DEFAULT NULL,
  `delivered` tinyint(1) DEFAULT '0',
  `ctype` varchar(32) DEFAULT 'text/plain',
  `body` varbinary(1300) DEFAULT NULL,
  `version` int(6) DEFAULT '0',
  `i_env` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `username` (`username`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `simh`
--

DROP TABLE IF EXISTS `simh`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simh` (
  `id` varchar(64) NOT NULL,
  `src_addr` varchar(128) NOT NULL,
  `dst_addr` varchar(128) NOT NULL,
  `username` varchar(64) NOT NULL,
  `domain` varchar(64) NOT NULL,
  `received` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ctype` varchar(32) DEFAULT 'text/plain',
  `body` varbinary(1300) DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `username` (`username`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `table_name` varchar(64) NOT NULL,
  `table_version` smallint(5) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `watchers`
--

DROP TABLE IF EXISTS `watchers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchers` (
  `p_user` varchar(64) NOT NULL DEFAULT '',
  `p_domain` varchar(128) NOT NULL DEFAULT '',
  `w_user` varchar(64) NOT NULL DEFAULT '',
  `w_domain` varchar(128) NOT NULL DEFAULT '',
  `subs_status` varchar(64) NOT NULL DEFAULT 'pending',
  `reason` varchar(64) NOT NULL DEFAULT '',
  `i_env` int(11) DEFAULT '0',
  `inserted_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `expires` datetime DEFAULT NULL,
  `version` int(6) DEFAULT '0',
  PRIMARY KEY (`p_user`,`p_domain`,`w_user`,`w_domain`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-03-19 16:15:24
