-- MySQL dump 9.10
--
-- Host: localhost    Database: porta-sip
-- ------------------------------------------------------
-- Server version	4.0.18-log

--
-- Databases
--
DROP DATABASE IF EXISTS `porta-sip`;
CREATE DATABASE `porta-sip`;
USE `porta-sip`;


--
-- Table structure for table `acc`
--

CREATE TABLE acc (
  sip_from varchar(128) NOT NULL default '',
  sip_to varchar(128) NOT NULL default '',
  sip_status varchar(128) NOT NULL default '',
  sip_method varchar(16) NOT NULL default '',
  i_uri varchar(128) NOT NULL default '',
  o_uri varchar(128) NOT NULL default '',
  from_uri varchar(128) NOT NULL default '',
  to_uri varchar(128) NOT NULL default '',
  sip_callid varchar(128) NOT NULL default '',
  username varchar(64) NOT NULL default '',
  fromtag varchar(128) NOT NULL default '',
  totag varchar(128) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  timestamp timestamp NOT NULL
) ENGINE=MyISAM;

--
-- Table structure for table `active_sessions`
--

CREATE TABLE active_sessions (
  sid varchar(32) NOT NULL default '',
  name varchar(32) NOT NULL default '',
  val text,
  changed varchar(14) NOT NULL default '',
  PRIMARY KEY  (name,sid),
  KEY changed (changed)
) ENGINE=MyISAM;

--
-- Table structure for table `aliases`
--

CREATE TABLE aliases (
  username varchar(50) NOT NULL default '',
  domain varchar(100) NOT NULL default '',
  contact varchar(255) NOT NULL default '',
  i_env int(11) NOT NULL default '1',
  expires datetime default NULL,
  q float(10,2) default NULL,
  callid varchar(255) default NULL,
  cseq int(11) default NULL,
  last_modified timestamp NOT NULL,
  replicate int(10) unsigned default NULL,
  state tinyint(1) unsigned default NULL,
  flags int(11) NOT NULL default '0',
  user_agent varchar(50) NOT NULL default '',
  PRIMARY KEY  (username,domain,contact,i_env)
) ENGINE=MyISAM;

--
-- Table structure for table `check_ua`
--

CREATE TABLE check_ua (
  rexp varchar(50) NOT NULL default '',
  flag int(11) NOT NULL default '0'
) ENGINE=MyISAM;

--
-- Table structure for table `config`
--

CREATE TABLE config (
  attribute varchar(32) NOT NULL default '',
  value varchar(128) NOT NULL default '',
  username varchar(100) NOT NULL default '',
  modified timestamp NOT NULL
) ENGINE=MyISAM;

--
-- Table structure for table `domain`
--

CREATE TABLE domain (
  domain varchar(50) NOT NULL default '',
  last_modified datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (domain)
) ENGINE=MyISAM;

--
-- Table structure for table `event`
--

CREATE TABLE event (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(50) NOT NULL default '',
  uri varchar(255) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) ENGINE=MyISAM;

--
-- Table structure for table `grp`
--

CREATE TABLE grp (
  username varchar(50) NOT NULL default '',
  domain varchar(100) NOT NULL default '',
  grp varchar(50) NOT NULL default '',
  last_modified datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (username,domain,grp)
) ENGINE=MyISAM;

--
-- Table structure for table `ip_auth`
--

CREATE TABLE ip_auth (
  ia_role varchar(15) default NULL,
  ia_regexp varchar(63) default NULL,
  ia_node varchar(15) default NULL
) ENGINE=MyISAM;

--
-- Table structure for table `location`
--

CREATE TABLE location (
  username varchar(50) NOT NULL default '',
  domain varchar(100) NOT NULL default '',
  contact varchar(255) NOT NULL default '',
  i_env int(11) NOT NULL default '1',
  expires datetime default NULL,
  q float(10,2) default NULL,
  callid varchar(255) default NULL,
  cseq int(11) default NULL,
  last_modified timestamp NOT NULL,
  replicate int(10) unsigned default NULL,
  state tinyint(1) unsigned default NULL,
  flags int(11) NOT NULL default '0',
  user_agent varchar(50) NOT NULL default '',
  received varchar(255) default NULL,
  PRIMARY KEY  (username,domain,contact,i_env)
) ENGINE=MyISAM;

--
-- Table structure for table `missed_calls`
--

CREATE TABLE missed_calls (
  sip_from varchar(128) NOT NULL default '',
  sip_to varchar(128) NOT NULL default '',
  sip_status varchar(128) NOT NULL default '',
  sip_method varchar(16) NOT NULL default '',
  i_uri varchar(128) NOT NULL default '',
  o_uri varchar(128) NOT NULL default '',
  from_uri varchar(128) NOT NULL default '',
  to_uri varchar(128) NOT NULL default '',
  sip_callid varchar(128) NOT NULL default '',
  username varchar(64) NOT NULL default '',
  fromtag varchar(128) NOT NULL default '',
  totag varchar(128) NOT NULL default '',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  timestamp timestamp NOT NULL
) ENGINE=MyISAM;

--
-- Table structure for table `pending`
--

CREATE TABLE pending (
  phplib_id varchar(32) NOT NULL default '',
  username varchar(100) NOT NULL default '',
  password varchar(25) NOT NULL default '',
  first_name varchar(25) NOT NULL default '',
  last_name varchar(45) NOT NULL default '',
  phone varchar(15) NOT NULL default '',
  email_address varchar(50) NOT NULL default '',
  datetime_created datetime NOT NULL default '0000-00-00 00:00:00',
  datetime_modified datetime NOT NULL default '0000-00-00 00:00:00',
  confirmation varchar(64) NOT NULL default '',
  flag char(1) NOT NULL default 'o',
  sendnotification varchar(50) NOT NULL default '',
  greeting varchar(50) NOT NULL default '',
  ha1 varchar(128) NOT NULL default '',
  domain varchar(128) NOT NULL default '',
  ha1b varchar(128) NOT NULL default '',
  perms varchar(32) default NULL,
  allow_find char(1) NOT NULL default '0',
  timezone varchar(128) default NULL,
  PRIMARY KEY  (username,domain),
  UNIQUE KEY phplib_id (phplib_id),
  KEY user_2 (username)
) ENGINE=MyISAM;

--
-- Table structure for table `phonebook`
--

CREATE TABLE phonebook (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(50) NOT NULL default '',
  fname varchar(32) NOT NULL default '',
  lname varchar(32) NOT NULL default '',
  sip_uri varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) ENGINE=MyISAM;

--
-- Table structure for table `reserved`
--

CREATE TABLE reserved (
  username char(100) NOT NULL default '',
  UNIQUE KEY user2 (username)
) ENGINE=MyISAM;

--
-- Table structure for table `server_monitoring`
--

CREATE TABLE server_monitoring (
  time datetime NOT NULL default '0000-00-00 00:00:00',
  id int(10) unsigned NOT NULL default '0',
  param varchar(32) NOT NULL default '',
  value int(10) NOT NULL default '0',
  increment int(10) NOT NULL default '0',
  PRIMARY KEY  (id,param)
) ENGINE=MyISAM;

--
-- Table structure for table `server_monitoring_agg`
--

CREATE TABLE server_monitoring_agg (
  param varchar(32) NOT NULL default '',
  s_value int(10) NOT NULL default '0',
  s_increment int(10) NOT NULL default '0',
  last_aggregated_increment int(10) NOT NULL default '0',
  av float NOT NULL default '0',
  mv int(10) NOT NULL default '0',
  ad float NOT NULL default '0',
  lv int(10) NOT NULL default '0',
  min_val int(10) NOT NULL default '0',
  max_val int(10) NOT NULL default '0',
  min_inc int(10) NOT NULL default '0',
  max_inc int(10) NOT NULL default '0',
  lastupdate datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (param)
) ENGINE=MyISAM;

--
-- Table structure for table `silo`
--

CREATE TABLE silo (
  mid int(11) NOT NULL auto_increment,
  src_addr varchar(255) NOT NULL default '',
  dst_addr varchar(255) NOT NULL default '',
  r_uri varchar(255) NOT NULL default '',
  inc_time int(11) NOT NULL default '0',
  exp_time int(11) NOT NULL default '0',
  ctype varchar(32) NOT NULL default 'text/plain',
  body blob NOT NULL,
  PRIMARY KEY  (mid)
) ENGINE=MyISAM;

--
-- Table structure for table `subscriber`
--

CREATE TABLE subscriber (
  phplib_id varchar(32) NOT NULL default '',
  username varchar(100) NOT NULL default '',
  password varchar(25) NOT NULL default '',
  first_name varchar(25) NOT NULL default '',
  last_name varchar(45) NOT NULL default '',
  phone varchar(15) NOT NULL default '',
  email_address varchar(50) NOT NULL default '',
  datetime_created datetime NOT NULL default '0000-00-00 00:00:00',
  datetime_modified datetime NOT NULL default '0000-00-00 00:00:00',
  confirmation varchar(64) NOT NULL default '',
  flag char(1) NOT NULL default 'o',
  sendnotification varchar(50) NOT NULL default '',
  greeting varchar(50) NOT NULL default '',
  ha1 varchar(128) NOT NULL default '',
  domain varchar(128) NOT NULL default '',
  ha1b varchar(128) NOT NULL default '',
  perms varchar(32) default NULL,
  allow_find char(1) NOT NULL default '0',
  timezone varchar(128) default NULL,
  PRIMARY KEY  (username,domain),
  UNIQUE KEY phplib_id (phplib_id),
  KEY user_2 (username)
) ENGINE=MyISAM;

--
-- Table structure for table `uri`
--

CREATE TABLE uri (
  username varchar(50) NOT NULL default '',
  domain varchar(50) NOT NULL default '',
  uri_user varchar(50) NOT NULL default '',
  last_modified datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (username,domain,uri_user)
) ENGINE=MyISAM;

--
-- Table structure for table `version`
--

CREATE TABLE version (
  table_name varchar(64) NOT NULL default '',
  version smallint(5) NOT NULL default '0',
  table_version smallint(5) NOT NULL default '0'
) ENGINE=MyISAM;

