-- MySQL dump 10.13  Distrib 5.1.52, for unknown-linux-gnu (x86_64)
--
-- Host: localhost    Database: porta-billing
-- ------------------------------------------------------
-- Server version	5.1.52-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Databases
--
DROP DATABASE IF EXISTS `porta-billing`;
CREATE DATABASE `porta-billing`;
USE `porta-billing`;

--
-- Table structure for table `Accounts`
--

DROP TABLE IF EXISTS `Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Accounts` (
  `i_account` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id` varchar(32) NOT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `h323_password` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `issue_date` date NOT NULL DEFAULT '0000-00-00',
  `zero_balance_date` date DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `billing_model` tinyint(2) NOT NULL DEFAULT '0',
  `activation_date` date NOT NULL DEFAULT '0000-00-00',
  `expiration_date` date DEFAULT NULL,
  `i_product` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` char(1) NOT NULL DEFAULT 'N',
  `last_usage` datetime DEFAULT NULL,
  `i_batch` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `first_usage` date DEFAULT NULL,
  `life_time` smallint(4) unsigned DEFAULT NULL,
  `redirect_number` varchar(32) DEFAULT NULL,
  `control_number` int(10) unsigned DEFAULT NULL,
  `iso_639_1` char(5) DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `non_call_related_charges` decimal(15,5) DEFAULT NULL,
  `refunds` decimal(15,5) DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `um_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '155',
  `i_subscriber` int(10) unsigned DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `ua_profile_id` int(10) unsigned DEFAULT NULL,
  `mac` varchar(23) CHARACTER SET utf8 DEFAULT NULL,
  `follow_me_enabled` char(1) NOT NULL DEFAULT 'N',
  `timer` datetime DEFAULT NULL,
  `ecommerce_enabled` char(1) DEFAULT 'N',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `last_recharge` datetime DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_master_account` int(10) DEFAULT NULL,
  `bill_status` enum('O','C','I') NOT NULL DEFAULT 'O',
  `i_routing_plan` int(10) NOT NULL DEFAULT '-1',
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `management_number` varchar(32) DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `i_customer_site` int(10) DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_account`,`i_billing`),
  UNIQUE KEY `Accounts_id` (`id`,`i_env`,`i_billing`),
  UNIQUE KEY `Accounts_cn_batch` (`i_batch`,`control_number`,`i_billing`),
  UNIQUE KEY `Accounts_login` (`login`,`i_billing`),
  KEY `Account_customer` (`i_customer`),
  KEY `AccountsProfileId` (`ua_profile_id`),
  KEY `Accounts_mac` (`mac`,`i_env`),
  KEY `Accounts_um_enabled` (`um_enabled`),
  KEY `Accounts_iso_4217` (`iso_4217`),
  KEY `env_id` (`i_env`,`id`),
  KEY `AccountFirstUsage` (`first_usage`),
  KEY `i_vd_plan` (`i_vd_plan`),
  KEY `accounts_maintenance` (`i_product`,`blocked`,`expiration_date`),
  KEY `Accounts_i_acl` (`i_acl`),
  KEY `i_master_account` (`i_master_account`),
  KEY `i_routing_plan` (`i_routing_plan`),
  KEY `management_number` (`management_number`,`i_env`),
  KEY `distributor` (`i_distributor`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Active_Calls`
--

DROP TABLE IF EXISTS `Active_Calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Active_Calls` (
  `i_active_callleg` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `h323_conf_id` varchar(36) CHARACTER SET utf8 DEFAULT NULL,
  `parent_session_id` varchar(36) DEFAULT NULL,
  `call_id` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` int(10) unsigned NOT NULL DEFAULT '0',
  `i_node` int(10) unsigned NOT NULL DEFAULT '0',
  `call_type` enum('VoIP','Telephony') CHARACTER SET utf8 NOT NULL DEFAULT 'VoIP',
  `call_origin` enum('answer','originate') CHARACTER SET utf8 NOT NULL DEFAULT 'answer',
  `port` varchar(32) CHARACTER SET utf8 NOT NULL,
  `setup_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `connect_time` datetime DEFAULT NULL,
  `update_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `CLD` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `i_connection` int(10) unsigned DEFAULT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '3',
  `expire_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subscriber_ip` int(10) unsigned DEFAULT NULL,
  `srv_int_value1` int(10) unsigned DEFAULT NULL,
  `net_throughput` int(10) unsigned DEFAULT NULL,
  `net_aggregator_id` int(10) unsigned DEFAULT NULL,
  `net_flow_id` tinyint(3) unsigned DEFAULT NULL,
  `session_connect_code` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `nominal_price` decimal(15,5) unsigned DEFAULT NULL,
  `discount_rate` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_active_callleg`,`i_billing`),
  UNIQUE KEY `leg_accounting_idx` (`h323_conf_id`,`i_service_type`,`i_env`,`i_node`,`call_type`,`call_origin`,`port`,`i_billing`),
  KEY `node_h323id` (`i_node`,`h323_conf_id`),
  KEY `h323_port_idx` (`h323_conf_id`,`port`),
  KEY `call_idx` (`call_id`),
  KEY `env_connection` (`i_env`,`i_connection`),
  KEY `env_netflow` (`i_env`,`i_customer`,`net_aggregator_id`,`net_flow_id`),
  KEY `expire_timex` (`expire_time`) USING BTREE,
  KEY `update_time` (`update_time`) USING BTREE,
  KEY `disconnect_time` (`disconnect_time`) USING BTREE
) ENGINE=MEMORY AUTO_INCREMENT=3520 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Connections`
--

DROP TABLE IF EXISTS `Connections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Connections` (
  `i_connection` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `i_node` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `call_origin` enum('answer','originate','callback','unknown') CHARACTER SET utf8 NOT NULL DEFAULT 'unknown',
  `call_type` enum('Telephony','VoIP','unknown') CHARACTER SET utf8 NOT NULL DEFAULT 'unknown',
  `port` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `CLD` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `remote_ip` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `capacity` smallint(5) unsigned NOT NULL DEFAULT '0',
  `asr` float(7,4) DEFAULT NULL,
  `i_vendor_acc` int(10) unsigned DEFAULT NULL,
  `outgoing_cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_oli` int(10) unsigned DEFAULT NULL,
  `sip` enum('Y','N') NOT NULL DEFAULT 'Y',
  `h323` enum('Y','N') NOT NULL DEFAULT 'N',
  `cli_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `rtpp_level` tinyint(1) unsigned DEFAULT NULL,
  `clir_method` enum('A','P') DEFAULT 'A',
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '3',
  `i_criteria` int(10) unsigned DEFAULT NULL,
  `sip_specific_settings` varchar(100) DEFAULT NULL,
  `cli_trust` enum('Y','N') NOT NULL DEFAULT 'N',
  `gateway_id` varchar(64) DEFAULT NULL,
  `utilization_routing` enum('Y','N') NOT NULL DEFAULT 'N',
  `utilization_balthreshold` smallint(5) unsigned DEFAULT NULL,
  `i_service_policy` int(10) unsigned DEFAULT NULL,
  `autogen_tr_rules` enum('Y','N') NOT NULL DEFAULT 'N',
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_connection`,`i_billing`),
  KEY `Connection_i_vendor` (`i_vendor`),
  KEY `Connections_port` (`port`),
  KEY `i_tariff` (`i_tariff`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customers`
--

DROP TABLE IF EXISTS `Customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customers` (
  `i_customer` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `note` varchar(41) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `bcc` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `send_statistics` enum('F','S','N') DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `i_customer_type` int(10) unsigned NOT NULL DEFAULT '1',
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '4',
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `i_credit_card` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_template` int(10) unsigned DEFAULT NULL,
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` enum('Y','N') NOT NULL DEFAULT 'N',
  `ppm_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_rep` int(10) unsigned DEFAULT NULL,
  `drm_enabled` char(1) NOT NULL DEFAULT 'N',
  `max_abbreviated_length` tinyint(1) unsigned DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_online_payment_processor` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `merch_acc_password` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `merch_acc_login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `reccuring_enabled` char(1) NOT NULL DEFAULT 'N',
  `test_mode` char(1) NOT NULL DEFAULT 'Y',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `min_allowed_payment` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `merch_acc_iso_4217` char(3) CHARACTER SET utf8 DEFAULT NULL,
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `i_tariff_incoming` int(10) unsigned DEFAULT NULL,
  `credit_limit_warning` varchar(25) CHARACTER SET utf8 DEFAULT NULL,
  `callshop_enabled` char(1) NOT NULL DEFAULT 'N',
  `billed_to` datetime DEFAULT NULL,
  `i_parent` int(10) unsigned DEFAULT NULL,
  `i_routing_plan` int(10) DEFAULT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `creation_date` datetime DEFAULT NULL,
  `cli_in_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_customer_class` int(10) unsigned NOT NULL DEFAULT '0',
  `bp_charge_cc` enum('N','Y') DEFAULT NULL,
  `unallocated_payments` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `bill_status` enum('O','S','C') NOT NULL DEFAULT 'O',
  `discount_rate` decimal(8,5) unsigned DEFAULT NULL,
  `taxed_to` datetime DEFAULT NULL,
  `i_billing_processor` int(11) DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `suspension_delay_date` datetime DEFAULT NULL,
  `send_invoices` enum('Y','N') DEFAULT NULL,
  `shifted_billing_date` datetime DEFAULT NULL,
  `sale_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `payment_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `override_tariffs_enabled` enum('Y','N') NOT NULL DEFAULT 'N',
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_customer`,`i_billing`),
  UNIQUE KEY `customer` (`name`,`i_env`,`i_billing`),
  UNIQUE KEY `login` (`login`,`i_billing`),
  KEY `parent_type` (`i_parent`,`i_customer_type`),
  KEY `i_tariff` (`i_tariff`),
  KEY `i_tariff_incoming` (`i_tariff_incoming`),
  KEY `Customers_iso_4217` (`iso_4217`),
  KEY `i_vd_plan` (`i_vd_plan`),
  KEY `i_rep` (`i_rep`),
  KEY `i_template` (`i_template`),
  KEY `i_customer_class` (`i_customer_class`),
  KEY `bill_status` (`bill_status`),
  KEY `Customers_i_acl` (`i_acl`),
  KEY `distributor` (`i_distributor`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Destinations`
--

DROP TABLE IF EXISTS `Destinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Destinations` (
  `i_dest` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `destination` varchar(16) NOT NULL,
  `iso_3166_1_a2` char(2) DEFAULT '',
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `description` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_group` int(10) unsigned DEFAULT '0',
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `dest_type` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_dest`,`i_billing`),
  UNIQUE KEY `destination` (`destination`,`i_env`,`i_billing`),
  KEY `Destinations_i_group` (`i_group`),
  KEY `dest_type` (`dest_type`),
  KEY `destination_env_country` (`i_env`,`iso_3166_1_a2`),
  KEY `env_dest_i_dest_iso` (`destination`,`i_env`,`i_dest`,`iso_3166_1_a2`)
) ENGINE=InnoDB AUTO_INCREMENT=10048 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Follow_Me`
--

DROP TABLE IF EXISTS `Follow_Me`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Follow_Me` (
  `i_follow_me` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL DEFAULT '0',
  `mode` enum('Never','Always','Unavail') CHARACTER SET utf8 DEFAULT NULL,
  `sequence` enum('Order','Random','Simultaneous') CHARACTER SET utf8 DEFAULT NULL,
  `timeout` smallint(4) unsigned DEFAULT NULL,
  `max_forwards` tinyint(4) unsigned DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_follow_me`,`i_billing`),
  UNIQUE KEY `i_account` (`i_account`,`i_billing`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Nodes`
--

DROP TABLE IF EXISTS `Nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Nodes` (
  `i_node` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(64) CHARACTER SET utf8 NOT NULL,
  `h323_id` varchar(255) CHARACTER SET utf8 NOT NULL,
  `name` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `radius_client` char(1) NOT NULL DEFAULT 'N',
  `radius_key` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `hostname` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `domain` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `h323_password` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `radius_source_ip` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_node_type` int(10) unsigned DEFAULT NULL,
  `rtpp_level` tinyint(1) unsigned DEFAULT NULL,
  `node_index` tinyint(1) unsigned DEFAULT NULL,
  `pod_server` char(1) NOT NULL DEFAULT 'N',
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_node`,`i_billing`),
  UNIQUE KEY `ip` (`ip`,`i_billing`),
  UNIQUE KEY `h323_id` (`h323_id`,`i_billing`),
  UNIQUE KEY `node` (`name`,`i_env`,`i_billing`),
  KEY `node_env_type` (`i_env`,`i_node_type`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Rates`
--

DROP TABLE IF EXISTS `Rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Rates` (
  `i_tariff` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_rate` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_offpeak` int(10) unsigned DEFAULT NULL,
  `interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `effective_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `inactive_from` datetime DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `discontinued` char(1) NOT NULL DEFAULT 'N',
  `forbidden` char(1) NOT NULL DEFAULT 'N',
  `preference` tinyint(1) unsigned NOT NULL DEFAULT '5',
  `huntstop` char(1) NOT NULL DEFAULT 'N',
  `formula` varchar(255) DEFAULT NULL,
  `fake_rate` char(1) NOT NULL DEFAULT 'Y',
  `route_category` int(10) unsigned DEFAULT NULL,
  `op_route_category` int(10) unsigned DEFAULT NULL,
  `op_preference` tinyint(1) unsigned DEFAULT NULL,
  `op_huntstop` char(1) DEFAULT 'N',
  `active` char(1) NOT NULL DEFAULT 'Y',
  `i_rate_formula` int(10) unsigned DEFAULT NULL,
  `reverse_rating` enum('N','Y') NOT NULL DEFAULT 'N',
  `special_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `special_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_rate`,`i_billing`),
  KEY `Rates_dest_index` (`i_dest`),
  KEY `Rates_effective_from` (`effective_from`),
  KEY `Rates_inactive_from` (`inactive_from`),
  KEY `tar_dest_effrom_rate` (`i_tariff`,`i_dest`,`discontinued`,`effective_from`),
  KEY `tar_dest_active_effrom_rate` (`i_tariff`,`i_dest`,`active`,`discontinued`,`effective_from`),
  KEY `active_effrom_rate` (`active`,`effective_from`),
  KEY `rates_period_idx` (`i_offpeak`),
  KEY `rates_route_cat_idx` (`route_category`),
  KEY `rates_route_op_cat_idx` (`op_route_category`),
  KEY `rates_tariff_offpeak` (`i_tariff`,`i_offpeak`)
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Attributes_Values`
--

DROP TABLE IF EXISTS `Service_Attribute_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Attribute_Values` (
  `i_savalue` int(10) NOT NULL AUTO_INCREMENT,
  `i_sattribute` int(10) NOT NULL,
  `i_foreign` int(10) NOT NULL,
  `value` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `ord` tinyint(4) DEFAULT NULL,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY (`i_savalue`,`i_billing`),
  KEY `savalue_sattribute` (`i_sattribute`,`i_foreign`)
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `customer_confs`
--

DROP TABLE IF EXISTS `customer_confs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `customer_confs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL,
  `nat` enum('yes','no','force_rport','comedia') NOT NULL DEFAULT 'yes',
  `sipalg` int(11) DEFAULT 0,
  `video` bool DEFAULT 0,
  `codecorder` varchar(100) DEFAULT NULL,
  `codecusefirstonly` bool DEFAULT 0,
  `TTL` int(11) DEFAULT 3600,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY  (`id`,`i_billing`),
  UNIQUE KEY `name` (`name`,`i_billing`),
  KEY `name_2` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `astrad_confs`
--

DROP TABLE IF EXISTS `astrad_confs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `astrad_confs` (
  `id` int(11) NOT NULL auto_increment,
  `host` varchar(15) NOT NULL,
  `port` int(11) DEFAULT 5060,
  `i_billing` tinyint (2) unsigned,
  PRIMARY KEY  (`id`,`i_billing`),
  UNIQUE KEY `name` (`host`,`i_billing`),
  KEY `name_2` (`host`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `AccountsAuth`
--

DROP TABLE IF EXISTS `AccountsAuth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `AccountsAuth` (
  `accountid` varchar(32) NOT NULL,
  `ibillauth` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`accountid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

DELIMITER |
DROP TRIGGER IF EXISTS `Trg_Insert_Accounts`|
CREATE TRIGGER `Trg_Insert_Accounts` AFTER INSERT ON `Accounts` FOR EACH ROW BEGIN
IF ((SELECT 1 FROM AccountsAuth WHERE accountid=NEW.id ) IS NULL && (SELECT NEW.id REGEXP '^[0-9]+$') = 1 ) THEN
  INSERT INTO AccountsAuth VALUES (NEW.id,NEW.i_billing);
END IF;
END |

DROP TRIGGER IF EXISTS `Trg_Update_Accounts`|
CREATE TRIGGER `Trg_Update_Accounts` AFTER UPDATE ON `Accounts` FOR EACH ROW BEGIN
IF (SELECT 1 FROM Accounts WHERE id=OLD.id ) IS NULL THEN
  DELETE FROM AccountsAuth WHERE accountid=OLD.id;
END IF;
IF ((SELECT 1 FROM AccountsAuth WHERE accountid=NEW.id ) IS NULL && (SELECT NEW.id REGEXP '^[0-9]+$') = 1 ) THEN
  INSERT INTO AccountsAuth VALUES (NEW.id,NEW.i_billing);
END IF;
END |

DROP TRIGGER IF EXISTS `Trg_Delete_Accounts`|
CREATE TRIGGER `Trg_Delete_Accounts` AFTER DELETE ON `Accounts` FOR EACH ROW BEGIN
IF (SELECT 1 FROM Accounts WHERE id=OLD.id ) IS NULL THEN
  DELETE FROM AccountsAuth WHERE accountid=OLD.id;
END IF;
END |
DELIMITER ;

