-- MySQL dump 10.13  Distrib 5.1.52, for unknown-linux-gnu (x86_64)
--
-- Host: localhost    Database: porta-billing
-- ------------------------------------------------------
-- Server version	5.1.52-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Databases
--
DROP DATABASE IF EXISTS `porta-billing`;
CREATE DATABASE `porta-billing`;
USE `porta-billing`;

--
-- Table structure for table `ASR_Vendors`
--

DROP TABLE IF EXISTS `ASR_Vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASR_Vendors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_dest` int(10) unsigned NOT NULL,
  `i_vendor` int(10) unsigned NOT NULL,
  `attempts` int(10) unsigned NOT NULL DEFAULT '0',
  `calls` int(10) unsigned NOT NULL DEFAULT '0',
  `duration` int(10) unsigned NOT NULL DEFAULT '0',
  `day` date NOT NULL,
  `i_service` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `i_dest_index` (`i_dest`),
  KEY `ASR_Vendors_vendor_day` (`i_vendor`,`day`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Abbreviated_Dialing`
--

DROP TABLE IF EXISTS `Abbreviated_Dialing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Abbreviated_Dialing` (
  `i_ab_dialing` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `abbreviated_number` varchar(15) CHARACTER SET utf8 NOT NULL,
  `number_to_dial` varchar(32) DEFAULT NULL,
  `description` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_ab_dialing`),
  UNIQUE KEY `customer_number` (`i_customer`,`abbreviated_number`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Level_Granted_To`
--

DROP TABLE IF EXISTS `Access_Level_Granted_To`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Level_Granted_To` (
  `i_acl` int(10) unsigned NOT NULL,
  `i_customer` int(10) unsigned NOT NULL,
  UNIQUE KEY `acl_customer` (`i_acl`,`i_customer`),
  KEY `i_customer` (`i_customer`),
  CONSTRAINT `Access_Level_Granted_To_ibfk_1` FOREIGN KEY (`i_acl`) REFERENCES `Access_Levels` (`i_acl`),
  CONSTRAINT `Access_Level_Granted_To_ibfk_2` FOREIGN KEY (`i_customer`) REFERENCES `Customers` (`i_customer`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Level_Notepad`
--

DROP TABLE IF EXISTS `Access_Level_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Level_Notepad` (
  `i_acl` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_acl`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Level_Types`
--

DROP TABLE IF EXISTS `Access_Level_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Level_Types` (
  `i_acl_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_acl_type`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Levels`
--

DROP TABLE IF EXISTS `Access_Levels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Levels` (
  `i_acl` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `subsystem` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `acl_group` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `i_acl_type` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_acl`),
  UNIQUE KEY `Acl` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10004 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Levels_Inheritance`
--

DROP TABLE IF EXISTS `Access_Levels_Inheritance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Levels_Inheritance` (
  `i_acl_inheritance` int(10) NOT NULL AUTO_INCREMENT,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `acl_order` int(3) unsigned NOT NULL DEFAULT '0',
  `i_acl_parent` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_acl_inheritance`),
  UNIQUE KEY `Parent` (`i_acl`,`i_acl_parent`)
) ENGINE=InnoDB AUTO_INCREMENT=10009 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Levels_Permissions`
--

DROP TABLE IF EXISTS `Access_Levels_Permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Levels_Permissions` (
  `i_acl_perm` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `access_type` varchar(10) CHARACTER SET utf8 NOT NULL DEFAULT 'READ',
  `mode` enum('allow','deny') CHARACTER SET utf8 NOT NULL DEFAULT 'allow',
  `object` varchar(48) CHARACTER SET utf8 NOT NULL,
  `attribute` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_acl_perm`),
  UNIQUE KEY `Perm` (`i_acl`,`access_type`,`object`,`attribute`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Policies`
--

DROP TABLE IF EXISTS `Access_Policies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Policies` (
  `i_access_policy` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_service_type` int(10) unsigned DEFAULT '6',
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(250) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_access_policy`),
  UNIQUE KEY `name` (`name`,`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Access_Policy_Phases`
--

DROP TABLE IF EXISTS `Access_Policy_Phases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Access_Policy_Phases` (
  `i_access_policy_phase` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_access_policy` int(10) unsigned NOT NULL,
  `type` enum('regular','limited','offpeak','blocked') NOT NULL,
  `i_time_period` int(10) unsigned DEFAULT NULL,
  `rx_rate` int(10) unsigned DEFAULT NULL,
  `tx_rate` int(10) unsigned DEFAULT NULL,
  `rx_rate_unit` enum('bps','kbps','Mbps') NOT NULL,
  `tx_rate_unit` enum('bps','kbps','Mbps') NOT NULL,
  `i_service_policy` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_access_policy_phase`),
  UNIQUE KEY `i_access_policy` (`i_access_policy`,`type`,`i_time_period`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Accessibility`
--

DROP TABLE IF EXISTS `Accessibility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Accessibility` (
  `i_accessibility` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_product` int(10) unsigned NOT NULL DEFAULT '0',
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_tariff_reseller` int(10) unsigned DEFAULT NULL,
  `i_node` int(10) unsigned DEFAULT NULL,
  `CLD` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `i_oli` int(10) unsigned DEFAULT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '3',
  `max_auth_funds` decimal(15,5) DEFAULT NULL,
  `check_funds` enum('Y','N','B','D') NOT NULL DEFAULT 'N',
  `min_session_funds` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `max_session_funds` decimal(15,5) DEFAULT NULL,
  `alert_overuse_reject` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_accessibility`),
  KEY `Accessibility_CLD` (`CLD`),
  KEY `i_tariff` (`i_tariff`),
  KEY `product_srv_type` (`i_product`,`i_service_type`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Accessibility_Routing_Tariff`
--

DROP TABLE IF EXISTS `Accessibility_Routing_Tariff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Accessibility_Routing_Tariff` (
  `i_acc_routing_tariff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_accessibility` int(10) unsigned NOT NULL,
  `i_routing_plan` int(10) NOT NULL,
  `i_tariff` int(10) unsigned NOT NULL,
  `i_tariff_reseller` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_acc_routing_tariff`),
  UNIQUE KEY `accessibility_routing` (`i_accessibility`,`i_routing_plan`),
  CONSTRAINT `ART_fk_accessibility` FOREIGN KEY (`i_accessibility`) REFERENCES `Accessibility` (`i_accessibility`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_Balance_Exp_Rules`
--

DROP TABLE IF EXISTS `Account_Balance_Exp_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_Balance_Exp_Rules` (
  `i_acc_balance_exp_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `apply_date` datetime NOT NULL,
  `amount` decimal(15,5) NOT NULL,
  `used_amount` decimal(15,5) DEFAULT '0.00000',
  `date_from` datetime NOT NULL,
  `i_service` int(10) unsigned NOT NULL,
  `condition` varchar(2000) DEFAULT NULL,
  `last_cdr_id` int(10) DEFAULT NULL,
  PRIMARY KEY (`i_acc_balance_exp_rule`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_CB_Options`
--

DROP TABLE IF EXISTS `Account_CB_Options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_CB_Options` (
  `i_account_cb_option` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `i_cld_condition` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_account_cb_option`),
  UNIQUE KEY `condition_account` (`i_cld_condition`,`i_account`),
  KEY `i_account` (`i_account`),
  CONSTRAINT `ACBO_fk_account` FOREIGN KEY (`i_account`) REFERENCES `Accounts` (`i_account`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_Notepad`
--

DROP TABLE IF EXISTS `Account_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_Notepad` (
  `i_account` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_account`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_Phonebook`
--

DROP TABLE IF EXISTS `Account_Phonebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_Phonebook` (
  `i_account_phonebook` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `phone_number` varchar(32) DEFAULT NULL,
  `phone_type` enum('work','home','mobile','other') DEFAULT 'work',
  `name` varchar(64) DEFAULT NULL,
  `dial_id` varchar(15) DEFAULT NULL,
  `favorite_rating` enum('Y','N') DEFAULT 'N',
  `lock` enum('None','Full','Number') DEFAULT 'None',
  `unlock_time` datetime DEFAULT NULL,
  PRIMARY KEY (`i_account_phonebook`),
  UNIQUE KEY `dial_id_account` (`i_account`,`dial_id`),
  KEY `phonenumber_account` (`i_account`,`phone_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_Subscriptions`
--

DROP TABLE IF EXISTS `Account_Subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_Subscriptions` (
  `i_account_subscription` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `i_subscription` int(10) unsigned NOT NULL,
  `start_date` date NOT NULL DEFAULT '0000-00-00',
  `activation_date` date DEFAULT NULL,
  `finish_date` date DEFAULT NULL,
  `billed_to` date DEFAULT NULL,
  `obligatory` enum('N','Y') NOT NULL DEFAULT 'N',
  `last_cdr_id` int(10) unsigned DEFAULT NULL,
  `last_closed_period` date DEFAULT NULL,
  `is_finished` enum('Y','N') NOT NULL DEFAULT 'N',
  `discount_rate` decimal(8,5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_account_subscription`),
  KEY `account_subscription` (`i_account`,`i_subscription`),
  KEY `comp_start_date` (`i_account`,`start_date`),
  KEY `comp_finish_date` (`i_account`,`finish_date`),
  KEY `comp_billed_to` (`i_account`,`billed_to`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_VD_Counter_History`
--

DROP TABLE IF EXISTS `Account_VD_Counter_History`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_VD_Counter_History` (
  `i_history` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_xdr` int(10) unsigned DEFAULT NULL,
  `i_avd_counter` int(10) unsigned NOT NULL,
  `counter_delta` decimal(15,5) NOT NULL,
  `unit_counter_delta` int(10) NOT NULL,
  `counter` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `unit_counter` int(10) NOT NULL DEFAULT '0',
  `modification_date` datetime NOT NULL,
  PRIMARY KEY (`i_history`),
  KEY `i_xdr` (`i_xdr`),
  KEY `i_avd_counter` (`i_avd_counter`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_VD_Counters`
--

DROP TABLE IF EXISTS `Account_VD_Counters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_VD_Counters` (
  `i_avd_counter` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest_group` int(10) unsigned NOT NULL DEFAULT '0',
  `period_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `period_to` datetime DEFAULT NULL,
  `counter` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `unit_counter` int(10) NOT NULL DEFAULT '0',
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `peak_level` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_avd_counter`),
  UNIQUE KEY `account_vdc_group_service_period` (`i_account`,`i_dest_group`,`i_service`,`peak_level`,`period_from`),
  KEY `dest_group` (`i_dest_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Account_VD_Notifications`
--

DROP TABLE IF EXISTS `Account_VD_Notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Account_VD_Notifications` (
  `i_notification` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `counter_id` int(10) unsigned NOT NULL,
  `i_service` int(10) unsigned NOT NULL,
  `i_dest_group` int(11) NOT NULL,
  `peak_level` tinyint(4) NOT NULL,
  `counter` decimal(15,5) NOT NULL,
  `unit_counter` int(11) NOT NULL,
  `last_updated` datetime NOT NULL,
  PRIMARY KEY (`i_notification`),
  KEY `acc_vd_notify` (`i_account`,`i_service`,`i_dest_group`,`peak_level`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Accounts`
--

DROP TABLE IF EXISTS `Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Accounts` (
  `i_account` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id` varchar(32) NOT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `h323_password` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `issue_date` date NOT NULL DEFAULT '0000-00-00',
  `zero_balance_date` date DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `billing_model` tinyint(2) NOT NULL DEFAULT '0',
  `activation_date` date NOT NULL DEFAULT '0000-00-00',
  `expiration_date` date DEFAULT NULL,
  `i_product` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` char(1) NOT NULL DEFAULT 'N',
  `last_usage` datetime DEFAULT NULL,
  `i_batch` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `first_usage` date DEFAULT NULL,
  `life_time` smallint(4) unsigned DEFAULT NULL,
  `redirect_number` varchar(32) DEFAULT NULL,
  `control_number` int(10) unsigned DEFAULT NULL,
  `iso_639_1` char(5) DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `non_call_related_charges` decimal(15,5) DEFAULT NULL,
  `refunds` decimal(15,5) DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `um_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '155',
  `i_subscriber` int(10) unsigned DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `ua_profile_id` int(10) unsigned DEFAULT NULL,
  `mac` varchar(23) CHARACTER SET utf8 DEFAULT NULL,
  `follow_me_enabled` char(1) NOT NULL DEFAULT 'N',
  `timer` datetime DEFAULT NULL,
  `ecommerce_enabled` char(1) DEFAULT 'N',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `last_recharge` datetime DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_master_account` int(10) DEFAULT NULL,
  `bill_status` enum('O','C','I') NOT NULL DEFAULT 'O',
  `i_routing_plan` int(10) NOT NULL DEFAULT '-1',
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `management_number` varchar(32) DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `i_customer_site` int(10) DEFAULT NULL,
  PRIMARY KEY (`i_account`),
  UNIQUE KEY `Accounts_id` (`id`,`i_env`),
  UNIQUE KEY `Accounts_cn_batch` (`i_batch`,`control_number`),
  UNIQUE KEY `Accounts_login` (`login`),
  KEY `Account_customer` (`i_customer`),
  KEY `AccountsProfileId` (`ua_profile_id`),
  KEY `Accounts_mac` (`mac`,`i_env`),
  KEY `Accounts_um_enabled` (`um_enabled`),
  KEY `Accounts_iso_4217` (`iso_4217`),
  KEY `env_id` (`i_env`,`id`),
  KEY `AccountFirstUsage` (`first_usage`),
  KEY `i_vd_plan` (`i_vd_plan`),
  KEY `accounts_maintenance` (`i_product`,`blocked`,`expiration_date`),
  KEY `Accounts_i_acl` (`i_acl`),
  KEY `i_master_account` (`i_master_account`),
  KEY `i_routing_plan` (`i_routing_plan`),
  KEY `management_number` (`management_number`,`i_env`),
  KEY `distributor` (`i_distributor`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Active_Calls`
--

DROP TABLE IF EXISTS `Active_Calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Active_Calls` (
  `i_active_callleg` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `h323_conf_id` varchar(36) CHARACTER SET utf8 DEFAULT NULL,
  `parent_session_id` varchar(36) DEFAULT NULL,
  `call_id` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` int(10) unsigned NOT NULL DEFAULT '0',
  `i_node` int(10) unsigned NOT NULL DEFAULT '0',
  `call_type` enum('VoIP','Telephony') CHARACTER SET utf8 NOT NULL DEFAULT 'VoIP',
  `call_origin` enum('answer','originate') CHARACTER SET utf8 NOT NULL DEFAULT 'answer',
  `port` varchar(32) CHARACTER SET utf8 NOT NULL,
  `setup_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `connect_time` datetime DEFAULT NULL,
  `update_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `CLD` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `i_connection` int(10) unsigned DEFAULT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '3',
  `expire_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `subscriber_ip` int(10) unsigned DEFAULT NULL,
  `srv_int_value1` int(10) unsigned DEFAULT NULL,
  `net_throughput` int(10) unsigned DEFAULT NULL,
  `net_aggregator_id` int(10) unsigned DEFAULT NULL,
  `net_flow_id` tinyint(3) unsigned DEFAULT NULL,
  `session_connect_code` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `nominal_price` decimal(15,5) unsigned DEFAULT NULL,
  `discount_rate` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_active_callleg`),
  UNIQUE KEY `leg_accounting_idx` (`h323_conf_id`,`i_service_type`,`i_env`,`i_node`,`call_type`,`call_origin`,`port`),
  KEY `node_h323id` (`i_node`,`h323_conf_id`),
  KEY `h323_port_idx` (`h323_conf_id`,`port`),
  KEY `call_idx` (`call_id`),
  KEY `env_connection` (`i_env`,`i_connection`),
  KEY `env_netflow` (`i_env`,`i_customer`,`net_aggregator_id`,`net_flow_id`),
  KEY `expire_timex` (`expire_time`) USING BTREE,
  KEY `update_time` (`update_time`) USING BTREE,
  KEY `disconnect_time` (`disconnect_time`) USING BTREE
) ENGINE=MEMORY AUTO_INCREMENT=3520 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Active_rates`
--

DROP TABLE IF EXISTS `Active_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Active_rates` (
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `base_units` decimal(15,5) unsigned DEFAULT NULL,
  `i_env` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_env`,`iso_4217`),
  KEY `iso_4217` (`iso_4217`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Alive_Session_Usage`
--

DROP TABLE IF EXISTS `Alive_Session_Usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Alive_Session_Usage` (
  `i_env` int(10) unsigned NOT NULL,
  `session_id` varchar(36) NOT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `rating_base` varchar(16) NOT NULL,
  `used_amount` bigint(20) NOT NULL DEFAULT '0',
  `last_used_time` datetime NOT NULL,
  `closed_time` datetime DEFAULT NULL,
  `expire_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`i_env`,`session_id`,`i_service_type`,`rating_base`),
  KEY `last_used_time` (`last_used_time`),
  KEY `closed_time` (`closed_time`),
  KEY `expire_timex` (`expire_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Alive_XDRs`
--

DROP TABLE IF EXISTS `Alive_XDRs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Alive_XDRs` (
  `i_alive_xdr` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(10) unsigned NOT NULL,
  `session_id` varchar(36) NOT NULL,
  `i_service` int(10) unsigned DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL,
  `peak_level` tinyint(1) NOT NULL,
  `period_from` datetime NOT NULL,
  `period_to` datetime DEFAULT NULL,
  `xdr_type` varchar(16) NOT NULL,
  `xdr_id` int(10) unsigned NOT NULL,
  `net_charged_amount` decimal(15,5) NOT NULL,
  PRIMARY KEY (`i_alive_xdr`),
  UNIQUE KEY `xdr_type_id` (`xdr_type`,`xdr_id`),
  UNIQUE KEY `i_env` (`i_env`,`session_id`,`i_service`,`i_dest`,`peak_level`,`period_from`,`xdr_type`),
  KEY `period_to` (`period_to`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Authz_Rules`
--

DROP TABLE IF EXISTS `Authz_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Authz_Rules` (
  `i_authz_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL,
  `order_number` smallint(5) unsigned NOT NULL,
  `ip_pattern` varchar(64) DEFAULT NULL,
  `cli_pattern` varchar(64) DEFAULT NULL,
  `cld_pattern` varchar(64) DEFAULT NULL,
  `i_authz_type` int(10) unsigned NOT NULL,
  `auto_link_type` varchar(30) DEFAULT NULL,
  `auto_link_id` int(10) DEFAULT NULL,
  `i_service_policy` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_authz_rule`),
  UNIQUE KEY `authz_rules_autolink` (`auto_link_type`,`auto_link_id`),
  KEY `order_number` (`i_env`,`order_number`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Authz_Types`
--

DROP TABLE IF EXISTS `Authz_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Authz_Types` (
  `i_authz_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `authz_parameters` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`i_authz_type`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `BE_Version`
--

DROP TABLE IF EXISTS `BE_Version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `BE_Version` (
  `version` char(32) DEFAULT NULL,
  `comment` char(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `BE_Version_History`
--

DROP TABLE IF EXISTS `BE_Version_History`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `BE_Version_History` (
  `i_be_version` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `rel` int(10) unsigned NOT NULL DEFAULT '0',
  `minor` int(10) unsigned DEFAULT NULL,
  `patch` int(10) unsigned NOT NULL DEFAULT '0',
  `custom` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`i_be_version`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `BR_Accounts`
--

DROP TABLE IF EXISTS `BR_Accounts`;
/*!50001 DROP VIEW IF EXISTS `BR_Accounts`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `BR_Accounts` (
  `i_account` int(10) unsigned,
  `account_id` varchar(32),
  `i_env` tinyint(1) unsigned,
  `login` varchar(64),
  `email` varchar(128),
  `name` varchar(77),
  `timezone` varchar(64),
  `out_date_format` varchar(16),
  `out_time_format` varchar(16),
  `out_date_time_format` varchar(32),
  `web_locale` char(5),
  `active` tinyint(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `BR_PBridge_Nodes`
--

DROP TABLE IF EXISTS `BR_PBridge_Nodes`;
/*!50001 DROP VIEW IF EXISTS `BR_PBridge_Nodes`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `BR_PBridge_Nodes` (
  `ip` varchar(64),
  `i_env` tinyint(1) unsigned,
  `node_domain` varchar(255)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Batch`
--

DROP TABLE IF EXISTS `Batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Batch` (
  `i_batch` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `payment_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_batch`),
  UNIQUE KEY `batch` (`name`,`i_env`),
  KEY `batch_customer` (`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billing_Models`
--

DROP TABLE IF EXISTS `Billing_Models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billing_Models` (
  `billing_model` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`billing_model`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billing_Period`
--

DROP TABLE IF EXISTS `Billing_Period`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billing_Period` (
  `i_billing_period` tinyint(2) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_billing_period`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billing_Processor_Methods`
--

DROP TABLE IF EXISTS `Billing_Processor_Methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billing_Processor_Methods` (
  `i_billing_processor` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `plugin` varchar(64) NOT NULL,
  PRIMARY KEY (`i_billing_processor`),
  UNIQUE KEY `plugin_uniq` (`plugin`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billing_Processor_Options`
--

DROP TABLE IF EXISTS `Billing_Processor_Options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billing_Processor_Options` (
  `i_option` int(10) unsigned NOT NULL,
  `i_billing_processor` int(11) NOT NULL,
  `alias` varchar(32) NOT NULL,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `apply_to` enum('in_list','not_in_list') DEFAULT 'in_list',
  `tax_percent` decimal(8,5) DEFAULT NULL,
  PRIMARY KEY (`i_option`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billing_Processor_Services`
--

DROP TABLE IF EXISTS `Billing_Processor_Services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billing_Processor_Services` (
  `i_option` int(10) unsigned NOT NULL,
  `i_service` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_option`,`i_service`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billsoft_Tax_Type`
--

DROP TABLE IF EXISTS `Billsoft_Tax_Type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billsoft_Tax_Type` (
  `id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billsoft_npanxx_pcode`
--

DROP TABLE IF EXISTS `Billsoft_npanxx_pcode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billsoft_npanxx_pcode` (
  `npanxx` varchar(20) NOT NULL,
  `pcode` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`npanxx`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Billsoft_pcode`
--

DROP TABLE IF EXISTS `Billsoft_pcode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Billsoft_pcode` (
  `pcode` varchar(20) NOT NULL,
  `pa` smallint(6) DEFAULT NULL,
  `iso_3166_1_a3` char(3) NOT NULL,
  `iso_3166_2` char(16) NOT NULL,
  `county` varchar(255) CHARACTER SET utf8 NOT NULL,
  `city` varchar(255) CHARACTER SET utf8 NOT NULL,
  `zip_from` char(13) DEFAULT NULL,
  `zip_to` char(13) DEFAULT NULL,
  KEY `Billsoft_pcode_index1` (`pcode`),
  KEY `Billsoft_pcode_index2` (`zip_from`,`zip_to`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Bridge_Locks`
--

DROP TABLE IF EXISTS `Bridge_Locks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Bridge_Locks` (
  `i_bridge_lock` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `src_i_account` int(10) unsigned NOT NULL,
  `dst_i_account` int(10) unsigned NOT NULL,
  `locked` enum('Y','N') DEFAULT 'Y',
  PRIMARY KEY (`i_bridge_lock`),
  UNIQUE KEY `accounts_pair` (`src_i_account`,`dst_i_account`),
  KEY `dst_i_account` (`dst_i_account`),
  KEY `locked` (`locked`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CC_Staff`
--

DROP TABLE IF EXISTS `CC_Staff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CC_Staff` (
  `i_cc_staff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `login` varchar(64) CHARACTER SET utf8 NOT NULL,
  `password` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `description` varchar(128) CHARACTER SET utf8 NOT NULL,
  `email` varchar(128) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `activation_date` date NOT NULL DEFAULT '0000-00-00',
  `expiration_date` date DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `daily_allovance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `transaction_allovance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `refunded_today` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `refunds_counter` smallint(5) unsigned NOT NULL DEFAULT '0',
  `senior` char(1) NOT NULL DEFAULT 'N',
  `rst` datetime DEFAULT NULL,
  `search_counter` smallint(5) unsigned NOT NULL DEFAULT '0',
  `password_timestamp` datetime DEFAULT NULL,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `i_lang` char(5) DEFAULT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_cc_staff`),
  UNIQUE KEY `login_index` (`login`),
  KEY `CC_Staff_env` (`i_env`),
  KEY `CCStaff_i_acl` (`i_acl`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CC_Staff_Notepad`
--

DROP TABLE IF EXISTS `CC_Staff_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CC_Staff_Notepad` (
  `i_cc_staff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_cc_staff`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Accounts`
--

DROP TABLE IF EXISTS `CDR_Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Accounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_acc_srv_time` (`i_env`,`i_account`,`i_service`,`bill_time`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_cust_time` (`i_env`,`i_customer`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_2 VALUES LESS THAN (734876) ENGINE = InnoDB,
 PARTITION p_2012_3 VALUES LESS THAN (734883) ENGINE = InnoDB,
 PARTITION p_2012_4 VALUES LESS THAN (734890) ENGINE = InnoDB,
 PARTITION p_2012_5 VALUES LESS THAN (734897) ENGINE = InnoDB,
 PARTITION p_2012_6 VALUES LESS THAN (734904) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Accounts_Failed`
--

DROP TABLE IF EXISTS `CDR_Accounts_Failed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Accounts_Failed` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `account_id` varchar(32) DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_acc_srv_time` (`i_env`,`i_account`,`i_service`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=356 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_2 VALUES LESS THAN (734876) ENGINE = InnoDB,
 PARTITION p_2012_3 VALUES LESS THAN (734883) ENGINE = InnoDB,
 PARTITION p_2012_4 VALUES LESS THAN (734890) ENGINE = InnoDB,
 PARTITION p_2012_5 VALUES LESS THAN (734897) ENGINE = InnoDB,
 PARTITION p_2012_6 VALUES LESS THAN (734904) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Accounts_Failed_before_240000`
--

DROP TABLE IF EXISTS `CDR_Accounts_Failed_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Accounts_Failed_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `account_id` varchar(32) DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_acc_srv_time` (`i_env`,`i_account`,`i_service`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Accounts_before_240000`
--

DROP TABLE IF EXISTS `CDR_Accounts_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Accounts_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_acc_srv_time` (`i_env`,`i_account`,`i_service`,`bill_time`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_cust_time` (`i_env`,`i_customer`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Customers`
--

DROP TABLE IF EXISTS `CDR_Customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Customers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_cust_time` (`i_env`,`i_customer`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Customers_Failed`
--

DROP TABLE IF EXISTS `CDR_Customers_Failed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Customers_Failed` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Customers_Failed_before_240000`
--

DROP TABLE IF EXISTS `CDR_Customers_Failed_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Customers_Failed_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Customers_before_240000`
--

DROP TABLE IF EXISTS `CDR_Customers_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Customers_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_cust_srv_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_cust_time` (`i_env`,`i_customer`,`bill_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_OnNet`
--

DROP TABLE IF EXISTS `CDR_OnNet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_OnNet` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_customer_bill_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=2628 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_OnNet_before_240000`
--

DROP TABLE IF EXISTS `CDR_OnNet_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_OnNet_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_customer_bill_time` (`i_env`,`i_customer`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Vendors`
--

DROP TABLE IF EXISTS `CDR_Vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Vendors` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `i_connection` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `revenue` decimal(15,5) DEFAULT NULL,
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `dt_ic` (`disconnect_time`,`i_connection`),
  KEY `env_vend_srv_time` (`i_env`,`i_vendor`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`),
  KEY `env_vend_time` (`i_env`,`i_vendor`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=94 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_2 VALUES LESS THAN (734876) ENGINE = InnoDB,
 PARTITION p_2012_3 VALUES LESS THAN (734883) ENGINE = InnoDB,
 PARTITION p_2012_4 VALUES LESS THAN (734890) ENGINE = InnoDB,
 PARTITION p_2012_5 VALUES LESS THAN (734897) ENGINE = InnoDB,
 PARTITION p_2012_6 VALUES LESS THAN (734904) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Vendors_Failed`
--

DROP TABLE IF EXISTS `CDR_Vendors_Failed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Vendors_Failed` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `i_connection` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `account_id` varchar(32) DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`,`bill_time`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_vend_srv_time` (`i_env`,`i_vendor`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`),
  KEY `env_vend_time` (`i_env`,`i_vendor`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=532 DEFAULT CHARSET=latin1
/*!50100 PARTITION BY RANGE ( TO_DAYS(bill_time))
(PARTITION p_null VALUES LESS THAN (0) ENGINE = InnoDB,
 PARTITION p_cleanup VALUES LESS THAN (719529) ENGINE = InnoDB,
 PARTITION p_2012_2 VALUES LESS THAN (734876) ENGINE = InnoDB,
 PARTITION p_2012_3 VALUES LESS THAN (734883) ENGINE = InnoDB,
 PARTITION p_2012_4 VALUES LESS THAN (734890) ENGINE = InnoDB,
 PARTITION p_2012_5 VALUES LESS THAN (734897) ENGINE = InnoDB,
 PARTITION p_2012_6 VALUES LESS THAN (734904) ENGINE = InnoDB,
 PARTITION p_2012_7 VALUES LESS THAN (734911) ENGINE = InnoDB,
 PARTITION p_2012_8 VALUES LESS THAN (734918) ENGINE = InnoDB,
 PARTITION p_2012_9 VALUES LESS THAN (734925) ENGINE = InnoDB,
 PARTITION p_2012_10 VALUES LESS THAN (734932) ENGINE = InnoDB,
 PARTITION p_2012_11 VALUES LESS THAN (734939) ENGINE = InnoDB,
 PARTITION p_2012_12 VALUES LESS THAN (734946) ENGINE = InnoDB,
 PARTITION p_2012_13 VALUES LESS THAN (734953) ENGINE = InnoDB,
 PARTITION p_2012_14 VALUES LESS THAN (734960) ENGINE = InnoDB,
 PARTITION p_2012_15 VALUES LESS THAN (734967) ENGINE = InnoDB,
 PARTITION p_2012_16 VALUES LESS THAN (734974) ENGINE = InnoDB,
 PARTITION p_2012_17 VALUES LESS THAN (734981) ENGINE = InnoDB,
 PARTITION p_max VALUES LESS THAN MAXVALUE ENGINE = InnoDB) */;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Vendors_Failed_before_240000`
--

DROP TABLE IF EXISTS `CDR_Vendors_Failed_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Vendors_Failed_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `i_connection` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `account_id` varchar(32) DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `env_vend_srv_time` (`i_env`,`i_vendor`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`),
  KEY `env_vend_time` (`i_env`,`i_vendor`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CDR_Vendors_before_240000`
--

DROP TABLE IF EXISTS `CDR_Vendors_before_240000`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CDR_Vendors_before_240000` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `i_connection` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `revenue` decimal(15,5) DEFAULT NULL,
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bill_time` (`bill_time`),
  KEY `conf_id` (`h323_conf_id`),
  KEY `dt_ic` (`disconnect_time`,`i_connection`),
  KEY `env_vend_srv_time` (`i_env`,`i_vendor`,`i_service`,`bill_time`),
  KEY `env_srv_time` (`i_env`,`i_service`,`bill_time`),
  KEY `env_vend_time` (`i_env`,`i_vendor`,`bill_time`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CP_Conditions`
--

DROP TABLE IF EXISTS `CP_Conditions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CP_Conditions` (
  `i_cp_condition` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `type` enum('Period','FromNumber','ToNumber','BarringToNumber') NOT NULL,
  `rule` varchar(1000) NOT NULL,
  `rule_description` text NOT NULL,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_cp_condition`),
  UNIQUE KEY `account_type_name` (`i_account`,`type`,`name`),
  UNIQUE KEY `env_type_name` (`i_env`,`type`,`name`),
  CONSTRAINT `CP_Conditions_fk_account` FOREIGN KEY (`i_account`) REFERENCES `Accounts` (`i_account`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CP_Rules`
--

DROP TABLE IF EXISTS `CP_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CP_Rules` (
  `i_cp_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `i_cld_condition` int(10) unsigned DEFAULT NULL,
  `i_cli_condition` int(10) unsigned DEFAULT NULL,
  `i_period_condition` int(10) unsigned DEFAULT NULL,
  `order_number` tinyint(5) unsigned NOT NULL,
  `is_active` enum('Y','N') NOT NULL DEFAULT 'Y',
  `action` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`i_cp_rule`),
  KEY `CP_Rules_fk_account` (`i_account`),
  CONSTRAINT `CP_Rules_fk_account` FOREIGN KEY (`i_account`) REFERENCES `Accounts` (`i_account`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Centrex_Extensions`
--

DROP TABLE IF EXISTS `Centrex_Extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Centrex_Extensions` (
  `i_c_ext` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `id` varchar(32) CHARACTER SET utf8 NOT NULL,
  `name` char(32) CHARACTER SET utf8 DEFAULT NULL,
  `type` enum('Account','Group','Unassigned') CHARACTER SET utf8 NOT NULL DEFAULT 'Unassigned',
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_c_group` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_c_ext`),
  UNIQUE KEY `customer_id` (`i_customer`,`id`),
  UNIQUE KEY `customer_account` (`i_customer`,`i_account`),
  UNIQUE KEY `customer_extgroup` (`i_customer`,`i_c_group`),
  CONSTRAINT `CentrexExt_fk_i_customer` FOREIGN KEY (`i_customer`) REFERENCES `Customers` (`i_customer`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Centrex_Group_Extensions`
--

DROP TABLE IF EXISTS `Centrex_Group_Extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Centrex_Group_Extensions` (
  `i_cg_ext` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_c_group` int(10) unsigned NOT NULL,
  `i_c_ext` int(10) unsigned NOT NULL,
  `hunt_order` smallint(5) unsigned DEFAULT '0',
  `hunt_delay` smallint(4) unsigned DEFAULT NULL,
  `hunt_expire` smallint(4) unsigned DEFAULT NULL,
  `hunt_active` enum('Y','N') CHARACTER SET utf8 NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`i_cg_ext`),
  UNIQUE KEY `group_ext` (`i_c_group`,`i_c_ext`),
  KEY `CentrexGrpExt_fk_i_c_ext` (`i_c_ext`),
  CONSTRAINT `CentrexGrpExt_fk_i_c_ext` FOREIGN KEY (`i_c_ext`) REFERENCES `Centrex_Extensions` (`i_c_ext`) ON DELETE CASCADE,
  CONSTRAINT `CentrexGrpExt_fk_i_c_group` FOREIGN KEY (`i_c_group`) REFERENCES `Centrex_Groups` (`i_c_group`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Centrex_Groups`
--

DROP TABLE IF EXISTS `Centrex_Groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Centrex_Groups` (
  `i_c_group` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `name` char(32) CHARACTER SET utf8 NOT NULL,
  `hunt_sequence` enum('Order','Random','Simultaneous','LeastUsed') CHARACTER SET utf8 NOT NULL DEFAULT 'Order',
  `hunt_keep_original_cli` enum('Y','N','I') CHARACTER SET utf8 NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`i_c_group`),
  UNIQUE KEY `customer_groupname` (`i_customer`,`name`),
  CONSTRAINT `CentrexGrp_fk_i_customer` FOREIGN KEY (`i_customer`) REFERENCES `Customers` (`i_customer`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Component_Types`
--

DROP TABLE IF EXISTS `Component_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Component_Types` (
  `i_component_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `editor_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `handler` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`i_component_type`),
  UNIQUE KEY `component_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Connection_Negotiate_Features`
--

DROP TABLE IF EXISTS `Connection_Negotiate_Features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Connection_Negotiate_Features` (
  `i_connection_negotiate_feature` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_connection` int(10) unsigned NOT NULL,
  `i_voice_negotiate_feature` int(10) unsigned NOT NULL,
  `requirement` int(10) NOT NULL DEFAULT '0',
  `capability` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`i_connection_negotiate_feature`),
  UNIQUE KEY `i_connection` (`i_connection`,`i_voice_negotiate_feature`),
  KEY `i_voice_negotiate_feature` (`i_voice_negotiate_feature`),
  CONSTRAINT `Connection_Negotiate_Features_ibfk_1` FOREIGN KEY (`i_connection`) REFERENCES `Connections` (`i_connection`) ON DELETE CASCADE,
  CONSTRAINT `Connection_Negotiate_Features_ibfk_2` FOREIGN KEY (`i_voice_negotiate_feature`) REFERENCES `Voice_Negotiate_Features` (`i_voice_negotiate_feature`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Connections`
--

DROP TABLE IF EXISTS `Connections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Connections` (
  `i_connection` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `i_node` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `call_origin` enum('answer','originate','callback','unknown') CHARACTER SET utf8 NOT NULL DEFAULT 'unknown',
  `call_type` enum('Telephony','VoIP','unknown') CHARACTER SET utf8 NOT NULL DEFAULT 'unknown',
  `port` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `CLD` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `remote_ip` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `capacity` smallint(5) unsigned NOT NULL DEFAULT '0',
  `asr` float(7,4) DEFAULT NULL,
  `i_vendor_acc` int(10) unsigned DEFAULT NULL,
  `outgoing_cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_oli` int(10) unsigned DEFAULT NULL,
  `sip` enum('Y','N') NOT NULL DEFAULT 'Y',
  `h323` enum('Y','N') NOT NULL DEFAULT 'N',
  `cli_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `rtpp_level` tinyint(1) unsigned DEFAULT NULL,
  `clir_method` enum('A','P') DEFAULT 'A',
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '3',
  `i_criteria` int(10) unsigned DEFAULT NULL,
  `sip_specific_settings` varchar(100) DEFAULT NULL,
  `cli_trust` enum('Y','N') NOT NULL DEFAULT 'N',
  `gateway_id` varchar(64) DEFAULT NULL,
  `utilization_routing` enum('Y','N') NOT NULL DEFAULT 'N',
  `utilization_balthreshold` smallint(5) unsigned DEFAULT NULL,
  `i_service_policy` int(10) unsigned DEFAULT NULL,
  `autogen_tr_rules` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_connection`),
  KEY `Connection_i_vendor` (`i_vendor`),
  KEY `Connections_port` (`port`),
  KEY `i_tariff` (`i_tariff`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Countries`
--

DROP TABLE IF EXISTS `Countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Countries` (
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `iso_3166_1_a2` char(2) NOT NULL DEFAULT '',
  `iso_3166_1_a3` char(3) NOT NULL DEFAULT '',
  `iso_3166_1_num` smallint(3) unsigned NOT NULL DEFAULT '0',
  `default_destination` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`iso_3166_1_num`),
  UNIQUE KEY `iso_3166_1_a2` (`iso_3166_1_a2`),
  UNIQUE KEY `iso_3166_1_a3` (`iso_3166_1_a3`),
  KEY `iso_a2_name` (`iso_3166_1_a2`,`name`),
  KEY `Countries_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Country_Currency`
--

DROP TABLE IF EXISTS `Country_Currency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Country_Currency` (
  `iso_3166_1_a2` char(2) NOT NULL DEFAULT '',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`iso_3166_1_a2`,`iso_4217`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Country_Subdivision`
--

DROP TABLE IF EXISTS `Country_Subdivision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Country_Subdivision` (
  `i_country_subdivision` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `iso_3166_1_a2` char(2) NOT NULL DEFAULT '',
  `iso_3166_2` char(16) NOT NULL DEFAULT '',
  `obsolete` enum('Y','N') DEFAULT 'N',
  PRIMARY KEY (`i_country_subdivision`),
  UNIQUE KEY `iso_3166_1_a2` (`iso_3166_1_a2`,`iso_3166_2`)
) ENGINE=InnoDB AUTO_INCREMENT=3920 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Credit_Cards`
--

DROP TABLE IF EXISTS `Credit_Cards`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Credit_Cards` (
  `i_credit_card` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_payment_method` tinyint(2) unsigned DEFAULT NULL,
  `number` blob,
  `exp_date` date DEFAULT NULL,
  `name` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `address` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `zip` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `cvv` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `iso_3166_1_a2` char(2) DEFAULT NULL,
  `city` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `issue_no` varchar(4) CHARACTER SET utf8 DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`i_credit_card`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Credit_Limit_Warnings`
--

DROP TABLE IF EXISTS `Credit_Limit_Warnings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Credit_Limit_Warnings` (
  `i_customer` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `last_send_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_send_status` varchar(25) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Currencies`
--

DROP TABLE IF EXISTS `Currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Currencies` (
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `iso_4217_num` smallint(3) unsigned DEFAULT '0',
  `decimal_digits` tinyint(1) unsigned DEFAULT NULL,
  `name_major` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name_minor` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `obsolete` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`iso_4217`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Field_Values`
--

DROP TABLE IF EXISTS `Custom_Field_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Field_Values` (
  `i_custom_field_value` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_custom_field` smallint(5) unsigned NOT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `value` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_custom_field_value`),
  UNIQUE KEY `account_field` (`i_account`,`i_custom_field`),
  UNIQUE KEY `customer_field` (`i_customer`,`i_custom_field`),
  KEY `i_custom_field` (`i_custom_field`),
  CONSTRAINT `Custom_Field_Values_ibfk_1` FOREIGN KEY (`i_custom_field`) REFERENCES `Custom_Fields` (`i_custom_field`) ON DELETE CASCADE,
  CONSTRAINT `Custom_Field_Values_ibfk_2` FOREIGN KEY (`i_account`) REFERENCES `Accounts` (`i_account`) ON DELETE CASCADE,
  CONSTRAINT `Custom_Field_Values_ibfk_3` FOREIGN KEY (`i_customer`) REFERENCES `Customers` (`i_customer`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Fields`
--

DROP TABLE IF EXISTS `Custom_Fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Fields` (
  `i_custom_field` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(3) unsigned NOT NULL,
  `object` enum('account','customer') NOT NULL DEFAULT 'customer',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `type` enum('text','number','date','datetime','list') NOT NULL DEFAULT 'text',
  `properties` text CHARACTER SET utf8,
  `default_value` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `mandatory` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_custom_field`),
  UNIQUE KEY `i_env` (`i_env`,`object`,`name`),
  CONSTRAINT `Custom_Fields_ibfk_1` FOREIGN KEY (`i_env`) REFERENCES `Env` (`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Report_Queries`
--

DROP TABLE IF EXISTS `Custom_Report_Queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Report_Queries` (
  `i_cr_query` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_custom_report` int(10) unsigned NOT NULL,
  `i_env` int(10) unsigned NOT NULL,
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `i_owner` int(10) unsigned NOT NULL,
  `owner` enum('admin','representative') CHARACTER SET utf8 NOT NULL,
  `input_values` blob,
  `output_formats` blob,
  `send_to_owner` enum('Y','N') DEFAULT 'Y',
  `send_copy` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `include_parameters` enum('Y','N') DEFAULT 'Y',
  PRIMARY KEY (`i_cr_query`),
  UNIQUE KEY `env_name` (`i_env`,`name`),
  KEY `owner_report` (`owner`,`i_owner`,`i_custom_report`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Report_Query_Notepad`
--

DROP TABLE IF EXISTS `Custom_Report_Query_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Report_Query_Notepad` (
  `i_cr_query` int(10) unsigned NOT NULL,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_cr_query`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Report_Queue`
--

DROP TABLE IF EXISTS `Custom_Report_Queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Report_Queue` (
  `i_cr_queue` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_cr_query` int(10) unsigned NOT NULL,
  `i_env` int(10) unsigned NOT NULL,
  `start_time` datetime DEFAULT NULL,
  `last_run` datetime DEFAULT NULL,
  `suspended` enum('Y','N') NOT NULL DEFAULT 'N',
  `execution_status` enum('Running','Completed','Waiting') CHARACTER SET utf8 DEFAULT 'Waiting',
  `periodical` enum('Daily','Weekly','Monthly') CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_cr_queue`),
  KEY `i_cr_query` (`i_cr_query`),
  KEY `i_env` (`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Report_Results`
--

DROP TABLE IF EXISTS `Custom_Report_Results`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Report_Results` (
  `i_cr_result` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_cr_query` int(10) unsigned NOT NULL,
  `start_time` datetime NOT NULL,
  `completion_time` datetime DEFAULT NULL,
  `file` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_cr_result`),
  KEY `i_cr_query` (`i_cr_query`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Custom_Reports`
--

DROP TABLE IF EXISTS `Custom_Reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Custom_Reports` (
  `i_custom_report` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `object` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_custom_report`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Balance_Exp_Rules`
--

DROP TABLE IF EXISTS `Customer_Balance_Exp_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Balance_Exp_Rules` (
  `i_cust_balance_exp_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `apply_date` datetime NOT NULL,
  `amount` decimal(15,5) NOT NULL,
  `used_amount` decimal(15,5) DEFAULT '0.00000',
  `date_from` datetime NOT NULL,
  `i_service` int(10) unsigned NOT NULL,
  `condition` varchar(2000) DEFAULT NULL,
  `last_cdr_id` int(10) DEFAULT NULL,
  PRIMARY KEY (`i_cust_balance_exp_rule`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Classes`
--

DROP TABLE IF EXISTS `Customer_Classes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Classes` (
  `i_customer_class` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_payment_term` int(10) unsigned DEFAULT NULL,
  `grace_period` smallint(4) unsigned DEFAULT NULL,
  `notific_days` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `resend_days` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `recollect_days` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `warning_days` smallint(4) unsigned DEFAULT NULL,
  `suspension_days` smallint(4) unsigned DEFAULT NULL,
  `closing_days` smallint(4) unsigned DEFAULT NULL,
  `bp_charge_cc` enum('N','Y') NOT NULL DEFAULT 'N',
  `i_billing_processor` int(11) DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `send_invoices` enum('Y','N') NOT NULL DEFAULT 'Y',
  `send_statistics` enum('F','S','N') NOT NULL DEFAULT 'N',
  `default_class` enum('Y','N') NOT NULL DEFAULT 'N',
  `collection_threshold` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `iso_4217` char(3) DEFAULT NULL,
  PRIMARY KEY (`i_customer_class`),
  UNIQUE KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Notepad`
--

DROP TABLE IF EXISTS `Customer_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Notepad` (
  `i_customer` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Override_Tariffs`
--

DROP TABLE IF EXISTS `Customer_Override_Tariffs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Override_Tariffs` (
  `i_customer_override_tariff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `i_tariff_original` int(10) unsigned NOT NULL,
  `i_tariff_override` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_customer_override_tariff`),
  UNIQUE KEY `customer_original_tarif` (`i_customer`,`i_tariff_original`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Sites`
--

DROP TABLE IF EXISTS `Customer_Sites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Sites` (
  `i_customer_site` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_customer` int(10) NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL,
  `service_flags` varchar(32) NOT NULL,
  PRIMARY KEY (`i_customer_site`),
  UNIQUE KEY `sitename_customer` (`i_customer`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Subscriptions`
--

DROP TABLE IF EXISTS `Customer_Subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Subscriptions` (
  `i_customer_subscription` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `i_subscription` int(10) unsigned NOT NULL,
  `start_date` date NOT NULL DEFAULT '0000-00-00',
  `activation_date` date DEFAULT NULL,
  `finish_date` date DEFAULT NULL,
  `billed_to` date DEFAULT NULL,
  `last_cdr_id` int(10) unsigned DEFAULT NULL,
  `last_closed_period` date DEFAULT NULL,
  `is_finished` enum('Y','N') NOT NULL DEFAULT 'N',
  `discount_rate` decimal(8,5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_customer_subscription`),
  KEY `customer_subscription` (`i_customer`,`i_subscription`),
  KEY `comp_start_date` (`i_customer`,`start_date`),
  KEY `comp_finish_date` (`i_customer`,`finish_date`),
  KEY `comp_billed_to` (`i_customer`,`billed_to`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_Types`
--

DROP TABLE IF EXISTS `Customer_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_Types` (
  `i_customer_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `ctype` varchar(31) CHARACTER SET utf8 NOT NULL,
  `default_i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_customer_type`),
  UNIQUE KEY `ct_ctype` (`ctype`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_VD_Counter_History`
--

DROP TABLE IF EXISTS `Customer_VD_Counter_History`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_VD_Counter_History` (
  `i_history` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_xdr` int(10) unsigned DEFAULT NULL,
  `i_cvd_counter` int(10) unsigned NOT NULL,
  `counter_delta` decimal(15,5) NOT NULL,
  `unit_counter_delta` int(10) NOT NULL,
  `counter` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `unit_counter` int(10) NOT NULL DEFAULT '0',
  `modification_date` datetime NOT NULL,
  PRIMARY KEY (`i_history`),
  KEY `i_xdr` (`i_xdr`),
  KEY `i_cvd_counter` (`i_cvd_counter`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_VD_Counters`
--

DROP TABLE IF EXISTS `Customer_VD_Counters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_VD_Counters` (
  `i_cvd_counter` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest_group` int(10) unsigned NOT NULL DEFAULT '0',
  `period_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `period_to` datetime DEFAULT NULL,
  `counter` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `unit_counter` int(10) NOT NULL DEFAULT '0',
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `peak_level` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_cvd_counter`),
  UNIQUE KEY `customer_vdc_group_service_period` (`i_customer`,`i_dest_group`,`i_service`,`peak_level`,`period_from`),
  KEY `dest_group` (`i_dest_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customer_VD_Notifications`
--

DROP TABLE IF EXISTS `Customer_VD_Notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customer_VD_Notifications` (
  `i_notification` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_customer` int(10) unsigned NOT NULL,
  `counter_id` int(10) unsigned NOT NULL,
  `i_service` int(10) unsigned NOT NULL,
  `i_dest_group` int(10) unsigned NOT NULL,
  `peak_level` tinyint(4) NOT NULL,
  `counter` decimal(15,5) NOT NULL,
  `unit_counter` int(11) NOT NULL,
  `last_updated` datetime NOT NULL,
  PRIMARY KEY (`i_notification`),
  KEY `cust_vd_nodify` (`i_customer`,`i_service`,`i_dest_group`,`peak_level`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Customers`
--

DROP TABLE IF EXISTS `Customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Customers` (
  `i_customer` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `note` varchar(41) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `bcc` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `send_statistics` enum('F','S','N') DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `i_customer_type` int(10) unsigned NOT NULL DEFAULT '1',
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '4',
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `i_credit_card` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_template` int(10) unsigned DEFAULT NULL,
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` enum('Y','N') NOT NULL DEFAULT 'N',
  `ppm_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_rep` int(10) unsigned DEFAULT NULL,
  `drm_enabled` char(1) NOT NULL DEFAULT 'N',
  `max_abbreviated_length` tinyint(1) unsigned DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_online_payment_processor` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `merch_acc_password` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `merch_acc_login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `reccuring_enabled` char(1) NOT NULL DEFAULT 'N',
  `test_mode` char(1) NOT NULL DEFAULT 'Y',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `min_allowed_payment` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `merch_acc_iso_4217` char(3) CHARACTER SET utf8 DEFAULT NULL,
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `i_tariff_incoming` int(10) unsigned DEFAULT NULL,
  `credit_limit_warning` varchar(25) CHARACTER SET utf8 DEFAULT NULL,
  `callshop_enabled` char(1) NOT NULL DEFAULT 'N',
  `billed_to` datetime DEFAULT NULL,
  `i_parent` int(10) unsigned DEFAULT NULL,
  `i_routing_plan` int(10) DEFAULT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `creation_date` datetime DEFAULT NULL,
  `cli_in_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_customer_class` int(10) unsigned NOT NULL DEFAULT '0',
  `bp_charge_cc` enum('N','Y') DEFAULT NULL,
  `unallocated_payments` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `bill_status` enum('O','S','C') NOT NULL DEFAULT 'O',
  `discount_rate` decimal(8,5) unsigned DEFAULT NULL,
  `taxed_to` datetime DEFAULT NULL,
  `i_billing_processor` int(11) DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `suspension_delay_date` datetime DEFAULT NULL,
  `send_invoices` enum('Y','N') DEFAULT NULL,
  `shifted_billing_date` datetime DEFAULT NULL,
  `sale_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `payment_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `override_tariffs_enabled` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_customer`),
  UNIQUE KEY `customer` (`name`,`i_env`),
  UNIQUE KEY `login` (`login`),
  KEY `parent_type` (`i_parent`,`i_customer_type`),
  KEY `i_tariff` (`i_tariff`),
  KEY `i_tariff_incoming` (`i_tariff_incoming`),
  KEY `Customers_iso_4217` (`iso_4217`),
  KEY `i_vd_plan` (`i_vd_plan`),
  KEY `i_rep` (`i_rep`),
  KEY `i_template` (`i_template`),
  KEY `i_customer_class` (`i_customer_class`),
  KEY `bill_status` (`bill_status`),
  KEY `Customers_i_acl` (`i_acl`),
  KEY `distributor` (`i_distributor`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DB_Revision`
--

DROP TABLE IF EXISTS `DB_Revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DB_Revision` (
  `major` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `minor` smallint(6) unsigned NOT NULL DEFAULT '0',
  `mrtag` varchar(16) NOT NULL DEFAULT '',
  `comment` varchar(255) NOT NULL DEFAULT '',
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`major`,`minor`),
  KEY `mrtag` (`mrtag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DB_Version`
--

DROP TABLE IF EXISTS `DB_Version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DB_Version` (
  `rel` int(10) unsigned NOT NULL DEFAULT '0',
  `minor` int(10) unsigned NOT NULL DEFAULT '0',
  `comment` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `timestamp` datetime DEFAULT NULL,
  UNIQUE KEY `rel_minor` (`rel`,`minor`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DID_Numbers`
--

DROP TABLE IF EXISTS `DID_Numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DID_Numbers` (
  `i_did_number` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` varchar(32) NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_dv_batch` int(10) unsigned NOT NULL DEFAULT '0',
  `i_do_batch` int(10) DEFAULT NULL,
  `reserved` datetime DEFAULT NULL,
  `assigned` datetime DEFAULT NULL,
  `released` datetime DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `i_did_provider` int(10) DEFAULT NULL,
  `allocation_date` datetime DEFAULT NULL,
  `activation_date` datetime DEFAULT NULL,
  PRIMARY KEY (`i_did_number`),
  UNIQUE KEY `env_number` (`i_env`,`number`),
  KEY `number` (`number`),
  KEY `i_dv_batch` (`i_dv_batch`),
  KEY `i_do_batch` (`i_do_batch`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DID_Owner_Batches`
--

DROP TABLE IF EXISTS `DID_Owner_Batches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DID_Owner_Batches` (
  `i_do_batch` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_do_batch`),
  UNIQUE KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DID_Providers`
--

DROP TABLE IF EXISTS `DID_Providers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DID_Providers` (
  `i_did_provider` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`i_did_provider`),
  UNIQUE KEY `did_provider_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DID_Vendor_Batches`
--

DROP TABLE IF EXISTS `DID_Vendor_Batches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DID_Vendor_Batches` (
  `i_dv_batch` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  `iso_3166_1_a2` char(2) DEFAULT NULL,
  `area_code` varchar(8) CHARACTER SET utf8 DEFAULT NULL,
  `area_code_description` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_dv_batch`),
  UNIQUE KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Default_CB_Options`
--

DROP TABLE IF EXISTS `Default_CB_Options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Default_CB_Options` (
  `i_default_cb_option` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `i_cp_condition` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_default_cb_option`),
  UNIQUE KEY `condition_env` (`i_cp_condition`,`i_env`),
  KEY `i_env` (`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Destination_Group_Link`
--

DROP TABLE IF EXISTS `Destination_Group_Link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Destination_Group_Link` (
  `i_dest_group_link` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_dest_group` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_dest_group_link`),
  UNIQUE KEY `dest_group_prefix` (`i_dest_group`,`i_dest`),
  KEY `destination` (`i_dest`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Destination_Group_Sets`
--

DROP TABLE IF EXISTS `Destination_Group_Sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Destination_Group_Sets` (
  `i_dest_group_set` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_dest_group_set`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Destination_Groups`
--

DROP TABLE IF EXISTS `Destination_Groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Destination_Groups` (
  `i_dest_group` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_dest_group_set` int(10) unsigned NOT NULL DEFAULT '0',
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `name` varchar(100) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_dest_group`),
  UNIQUE KEY `destination_group` (`i_dest_group_set`,`name`),
  KEY `name_set_dest_group` (`name`,`i_dest_group_set`,`i_dest_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Destinations`
--

DROP TABLE IF EXISTS `Destinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Destinations` (
  `i_dest` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `destination` varchar(16) NOT NULL,
  `iso_3166_1_a2` char(2) DEFAULT '',
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `description` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_group` int(10) unsigned DEFAULT '0',
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `dest_type` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_dest`),
  UNIQUE KEY `destination` (`destination`,`i_env`),
  KEY `Destinations_i_group` (`i_group`),
  KEY `dest_type` (`dest_type`),
  KEY `destination_env_country` (`i_env`,`iso_3166_1_a2`),
  KEY `env_dest_i_dest_iso` (`destination`,`i_env`,`i_dest`,`iso_3166_1_a2`)
) ENGINE=InnoDB AUTO_INCREMENT=10048 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Dialing_Rules`
--

DROP TABLE IF EXISTS `Dialing_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Dialing_Rules` (
  `i_dialing_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(70) CHARACTER SET utf8 DEFAULT NULL,
  `rule` varchar(250) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(250) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_dialing_rule`),
  UNIQUE KEY `Dialing_RulesName` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Disconnect_Queue`
--

DROP TABLE IF EXISTS `Disconnect_Queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Disconnect_Queue` (
  `i_pod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_node` int(10) unsigned DEFAULT NULL,
  `account_id` varchar(32) NOT NULL,
  `session_id` varchar(36) DEFAULT NULL,
  `at_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `i_env` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `i_service_type` int(10) unsigned DEFAULT NULL,
  `param1` varchar(255) DEFAULT NULL,
  `tx_attempts` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `tx_expire` datetime DEFAULT NULL,
  `framed_ip` varchar(64) DEFAULT NULL,
  `session_connect_code` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_pod`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Disconnect_Reason_Class`
--

DROP TABLE IF EXISTS `Disconnect_Reason_Class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Disconnect_Reason_Class` (
  `i_class` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `description` varchar(128) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_class`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Disconnect_Reasons`
--

DROP TABLE IF EXISTS `Disconnect_Reasons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Disconnect_Reasons` (
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `disconnect_text` varchar(128) CHARACTER SET utf8 NOT NULL,
  `i_class` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`disconnect_cause`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Domain_Rating`
--

DROP TABLE IF EXISTS `Domain_Rating`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Domain_Rating` (
  `i_domain_rating` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `src_rev_domain` varchar(255) NOT NULL,
  `dst_rev_domain` varchar(255) NOT NULL,
  `rate_match_code` varchar(64) NOT NULL,
  `rate_match_prio` char(1) NOT NULL DEFAULT 'D',
  PRIMARY KEY (`i_domain_rating`),
  UNIQUE KEY `i_env_src_dst` (`i_env`,`src_rev_domain`,`dst_rev_domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `E911_Administrative_Units`
--

DROP TABLE IF EXISTS `E911_Administrative_Units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `E911_Administrative_Units` (
  `i_unit` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(301) NOT NULL,
  `i_parent_unit` int(10) unsigned DEFAULT NULL,
  `emergency_number` varchar(32) DEFAULT NULL,
  `path` varchar(8) DEFAULT '/',
  PRIMARY KEY (`i_unit`),
  KEY `name` (`name`(85))
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Env`
--

DROP TABLE IF EXISTS `Env`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Env` (
  `i_env` tinyint(1) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `companyname` varchar(59) CHARACTER SET utf8 DEFAULT NULL,
  `addr1` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr2` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr3` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr4` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `iso_3166_1_a2` char(2) DEFAULT NULL,
  `phone` varchar(51) CHARACTER SET utf8 DEFAULT NULL,
  `faxnum` varchar(51) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `web` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `lname` varchar(59) CHARACTER SET utf8 DEFAULT NULL,
  `laddr1` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `laddr2` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `lcity` varchar(31) CHARACTER SET utf8 DEFAULT NULL,
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `lzip` varchar(13) CHARACTER SET utf8 DEFAULT NULL,
  `liso_3166_1_a2` char(2) DEFAULT NULL,
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 DEFAULT NULL,
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '4',
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '0',
  `calls_counted_time` datetime DEFAULT NULL,
  `billed_to` datetime DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `cost_revenue_daily` datetime DEFAULT NULL,
  `cost_revenue_weekly` datetime DEFAULT NULL,
  `cost_revenue_monthly` datetime DEFAULT NULL,
  PRIMARY KEY (`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Handlers`
--

DROP TABLE IF EXISTS `Event_Handlers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Handlers` (
  `i_event_handler` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `has_targets` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_event_handler`),
  UNIQUE KEY `Event_Handlers_name_UNIQ` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Handlers_Enabled`
--

DROP TABLE IF EXISTS `Event_Handlers_Enabled`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Handlers_Enabled` (
  `i_event_handler` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`i_event_handler`),
  CONSTRAINT `fk_Event_Handlers_Enabled_handler` FOREIGN KEY (`i_event_handler`) REFERENCES `Event_Handlers` (`i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Internals`
--

DROP TABLE IF EXISTS `Event_Internals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Internals` (
  `id` varchar(16) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `val` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Notifications`
--

DROP TABLE IF EXISTS `Event_Notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Notifications` (
  `i_event` int(10) unsigned NOT NULL,
  `i_event_handler` smallint(5) unsigned NOT NULL,
  `i_event_target` int(10) unsigned DEFAULT NULL,
  `status` enum('OPENED','ACCEPTED','IN_PROCESS','FINISHED') NOT NULL DEFAULT 'OPENED',
  UNIQUE KEY `Event_Notifications_select` (`i_event`,`i_event_handler`,`i_event_target`),
  KEY `Event_Notifications_status` (`status`,`i_event_handler`,`i_event`),
  KEY `Event_Notifications_finished` (`i_event`,`status`),
  KEY `fk_Event_Notifications_handler` (`i_event_handler`),
  KEY `fk_Event_Notifications_target` (`i_event_target`),
  CONSTRAINT `fk_Event_Notifications_event` FOREIGN KEY (`i_event`) REFERENCES `Event_Queue` (`i_event`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Notifications_handler` FOREIGN KEY (`i_event_handler`) REFERENCES `Event_Handlers` (`i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Notifications_target` FOREIGN KEY (`i_event_target`) REFERENCES `Event_Targets` (`i_event_target`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Queue`
--

DROP TABLE IF EXISTS `Event_Queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Queue` (
  `i_event` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_event_type` smallint(5) unsigned NOT NULL,
  `occured` datetime NOT NULL,
  PRIMARY KEY (`i_event`),
  KEY `fk_Event_Queue_type` (`i_event_type`),
  CONSTRAINT `fk_Event_Queue_type` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER evt_Add_Event_Notifications AFTER INSERT ON `Event_Queue` FOR EACH ROW BEGIN
    IF (@DISABLE_EVENTS_PER_SESSION IS NULL) THEN
        INSERT INTO Event_Notifications (i_event, i_event_handler, i_event_target, status)
        SELECT NEW.i_event, s.i_event_handler, t.i_event_target, 'OPENED'
        FROM Event_Subscriptions_Enabled s
            LEFT JOIN Event_Targets t ON (s.i_event_handler = t.i_event_handler)
        WHERE i_event_type = NEW.i_event_type;
    END IF;
END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `Event_Queue_Data`
--

DROP TABLE IF EXISTS `Event_Queue_Data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Queue_Data` (
  `i_event` int(10) unsigned NOT NULL,
  `i_event_var` int(10) unsigned NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`i_event`,`i_event_var`),
  KEY `fk_Event_Queue_Data_event_variable` (`i_event_var`),
  CONSTRAINT `fk_Event_Queue_Data_event` FOREIGN KEY (`i_event`) REFERENCES `Event_Queue` (`i_event`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Queue_Data_event_variable` FOREIGN KEY (`i_event_var`) REFERENCES `Event_Variables` (`i_event_var`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Subscriptions`
--

DROP TABLE IF EXISTS `Event_Subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Subscriptions` (
  `i_event_type` smallint(5) unsigned NOT NULL,
  `i_event_handler` smallint(5) unsigned NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  PRIMARY KEY (`i_event_type`,`i_event_handler`),
  KEY `fk_Event_Subscriptions_handler` (`i_event_handler`),
  CONSTRAINT `fk_Event_Subscriptions_handler` FOREIGN KEY (`i_event_handler`) REFERENCES `Event_Handlers` (`i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Subscriptions_type` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Subscriptions_Enabled`
--

DROP TABLE IF EXISTS `Event_Subscriptions_Enabled`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Subscriptions_Enabled` (
  `i_event_type` smallint(5) unsigned NOT NULL,
  `i_event_handler` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`i_event_type`,`i_event_handler`),
  KEY `fk_Event_Subscriptions_Enabled_handler_enabled` (`i_event_handler`),
  CONSTRAINT `fk_Event_Subscriptions_Enabled_handler_enabled` FOREIGN KEY (`i_event_handler`) REFERENCES `Event_Handlers_Enabled` (`i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Subscriptions_Enabled_possible` FOREIGN KEY (`i_event_type`, `i_event_handler`) REFERENCES `Event_Subscriptions` (`i_event_type`, `i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Event_Subscriptions_Enabled_type_enabled` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types_Enabled` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Targets`
--

DROP TABLE IF EXISTS `Event_Targets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Targets` (
  `i_event_target` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_event_handler` smallint(5) unsigned NOT NULL,
  `target` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  PRIMARY KEY (`i_event_target`),
  UNIQUE KEY `Event_Targets_target_UNIQ` (`i_event_handler`,`target`),
  CONSTRAINT `fk_Event_Targets_handler` FOREIGN KEY (`i_event_handler`) REFERENCES `Event_Handlers` (`i_event_handler`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Triggers_Snippets`
--

DROP TABLE IF EXISTS `Event_Triggers_Snippets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Triggers_Snippets` (
  `table_name` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `trigger_time` enum('BEFORE','AFTER') NOT NULL DEFAULT 'BEFORE',
  `trigger_event` enum('INSERT','UPDATE','DELETE') NOT NULL DEFAULT 'INSERT',
  `i_event_type` smallint(5) unsigned DEFAULT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `code` text NOT NULL,
  UNIQUE KEY `table_name` (`table_name`,`trigger_time`,`trigger_event`,`i_event_type`),
  KEY `Event_Triggers_Code_by_event` (`i_event_type`),
  CONSTRAINT `fk_Event_Triggers_Code_event` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Types`
--

DROP TABLE IF EXISTS `Event_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Types` (
  `i_event_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  PRIMARY KEY (`i_event_type`),
  UNIQUE KEY `Event_Types_name_UNIQ` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Types_Enabled`
--

DROP TABLE IF EXISTS `Event_Types_Enabled`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Types_Enabled` (
  `i_event_type` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`i_event_type`),
  CONSTRAINT `fk_Event_Types_Enabled_type` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Event_Variables`
--

DROP TABLE IF EXISTS `Event_Variables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Event_Variables` (
  `i_event_var` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_event_type` smallint(5) unsigned NOT NULL,
  `name` varchar(32) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  PRIMARY KEY (`i_event_var`),
  UNIQUE KEY `Event_Variables_type_name_UNIQ` (`i_event_type`,`name`),
  CONSTRAINT `fk_Event_Variables_type` FOREIGN KEY (`i_event_type`) REFERENCES `Event_Types` (`i_event_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1290003 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Follow_Me`
--

DROP TABLE IF EXISTS `Follow_Me`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Follow_Me` (
  `i_follow_me` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL DEFAULT '0',
  `mode` enum('Never','Always','Unavail') CHARACTER SET utf8 DEFAULT NULL,
  `sequence` enum('Order','Random','Simultaneous') CHARACTER SET utf8 DEFAULT NULL,
  `timeout` smallint(4) unsigned DEFAULT NULL,
  `max_forwards` tinyint(4) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_follow_me`),
  UNIQUE KEY `i_account` (`i_account`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Follow_Me_Numbers`
--

DROP TABLE IF EXISTS `Follow_Me_Numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Follow_Me_Numbers` (
  `i_follow_me_number` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_follow_me` int(10) unsigned NOT NULL DEFAULT '0',
  `i_account` int(10) unsigned NOT NULL DEFAULT '0',
  `i_follow_order` int(3) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `active` char(1) DEFAULT 'Y',
  `period` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `period_description` text CHARACTER SET utf8,
  `redirect_number` varchar(32) DEFAULT NULL,
  `timeout` int(2) NOT NULL DEFAULT '20',
  `domain` varchar(255) DEFAULT NULL,
  `keep_original_cld` char(1) NOT NULL DEFAULT 'N',
  `keep_original_cli` enum('Y','N','I') NOT NULL DEFAULT 'Y',
  `max_sim_calls` smallint(5) unsigned DEFAULT NULL,
  `use_tcp` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_follow_me_number`),
  UNIQUE KEY `i_account` (`i_account`,`i_follow_order`),
  KEY `follow_me` (`i_follow_me`,`i_follow_order`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Format_Types`
--

DROP TABLE IF EXISTS `Format_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Format_Types` (
  `i_format_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`i_format_type`),
  UNIQUE KEY `format_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Formats`
--

DROP TABLE IF EXISTS `Formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Formats` (
  `i_format` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `i_format_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `editor_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `format` varchar(128) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `rule_upload` text,
  `rule_download` text,
  PRIMARY KEY (`i_format`),
  UNIQUE KEY `format` (`i_format_type`,`format`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ID`
--

DROP TABLE IF EXISTS `ID`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ID` (
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `id_value` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `IM_Accounts`
--

DROP TABLE IF EXISTS `IM_Accounts`;
/*!50001 DROP VIEW IF EXISTS `IM_Accounts`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `IM_Accounts` (
  `i_env` tinyint(1) unsigned,
  `i_account` int(10) unsigned,
  `i_master_account` int(10),
  `id` varchar(32),
  `h323_password` varchar(255),
  `blocked` char(1),
  `timezone` varchar(64),
  `active` tinyint(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Invoice_Status_Attribs`
--

DROP TABLE IF EXISTS `Invoice_Status_Attribs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Invoice_Status_Attribs` (
  `i_invoice_status` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_invoice_status`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Invoices`
--

DROP TABLE IF EXISTS `Invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Invoices` (
  `i_invoice` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `invoice_number` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `issue_date` date NOT NULL,
  `period_from` datetime NOT NULL,
  `period_to` datetime NOT NULL,
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '1',
  `amount_net` decimal(15,5) DEFAULT '0.00000',
  `amount_due` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `closed` char(1) NOT NULL DEFAULT 'N',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `previous_balance` decimal(15,5) DEFAULT '0.00000',
  `payments` decimal(15,5) DEFAULT '0.00000',
  `subscriptions` decimal(15,5) DEFAULT '0.00000',
  `manual_charges` decimal(15,5) DEFAULT '0.00000',
  `taxes` decimal(15,5) DEFAULT '0.00000',
  `calls` decimal(15,5) DEFAULT '0.00000',
  `new_style` tinyint(1) NOT NULL DEFAULT '0',
  `due_date` date NOT NULL DEFAULT '0000-00-00',
  `i_invoice_status` int(10) unsigned NOT NULL,
  `amount_paid` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `last_notific_date` date DEFAULT NULL,
  `last_resend_date` date DEFAULT NULL,
  `last_recollect_date` date DEFAULT NULL,
  `last_warning_date` date DEFAULT NULL,
  `last_suspension_date` date DEFAULT NULL,
  `last_closing_date` date DEFAULT NULL,
  `tax_method` int(11) DEFAULT '0',
  `i_billing_processor` int(11) DEFAULT NULL,
  `prior_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `prior_balance_paid` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `is_void` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_invoice`),
  KEY `invoice_from` (`period_from`),
  KEY `invoice_to` (`period_to`),
  KEY `Invoice_customer_period` (`i_customer`,`period_from`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Languages`
--

DROP TABLE IF EXISTS `Languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Languages` (
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `iso_639_1` char(5) DEFAULT NULL,
  `iso_639_2b` char(3) NOT NULL DEFAULT '',
  `iso_639_2t` char(3) NOT NULL DEFAULT '',
  UNIQUE KEY `iso_639_1` (`iso_639_1`),
  KEY `Lang_name_iso639` (`name`,`iso_639_1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Legal_Intercept_Numbers`
--

DROP TABLE IF EXISTS `Legal_Intercept_Numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Legal_Intercept_Numbers` (
  `i_number` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `phone_number` varchar(32) NOT NULL,
  `i_env` int(11) NOT NULL,
  PRIMARY KEY (`i_number`),
  KEY `comp_env_phone_number` (`i_env`,`phone_number`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Locale_Languages`
--

DROP TABLE IF EXISTS `Locale_Languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Locale_Languages` (
  `iso_639_1` char(5) NOT NULL DEFAULT '',
  `css_filename` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`iso_639_1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Log`
--

DROP TABLE IF EXISTS `Log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Log` (
  `i_log` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `log_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(64) CHARACTER SET utf8 NOT NULL,
  `table_name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `line` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `comment` varchar(100) CHARACTER SET utf8 NOT NULL,
  `description` varchar(2000) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_user` int(10) unsigned NOT NULL DEFAULT '0',
  `parent_key` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `parent_table` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `realm` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_log`),
  KEY `LogTableLine` (`table_name`,`line`,`i_env`),
  KEY `LogParent` (`parent_table`,`parent_key`),
  KEY `LogTime` (`log_time`)
) ENGINE=InnoDB AUTO_INCREMENT=1033 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MA_Depositary`
--

DROP TABLE IF EXISTS `MA_Depositary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MA_Depositary` (
  `i_merchant_account` int(10) unsigned NOT NULL,
  `auth_key` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`i_merchant_account`)
) ENGINE=MEMORY DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Mail_Alarm_Types`
--

DROP TABLE IF EXISTS `Mail_Alarm_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Mail_Alarm_Types` (
  `i_alarm` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `subject` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_alarm`),
  UNIQUE KEY `code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Mail_List`
--

DROP TABLE IF EXISTS `Mail_List`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Mail_List` (
  `i_alarm` int(10) unsigned NOT NULL DEFAULT '0',
  `i_user` int(10) unsigned NOT NULL DEFAULT '0',
  `i_mail_list` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`i_mail_list`),
  UNIQUE KEY `i_alarm_i_user` (`i_alarm`,`i_user`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Maintenance_Fee`
--

DROP TABLE IF EXISTS `Maintenance_Fee`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Maintenance_Fee` (
  `i_account` int(10) unsigned NOT NULL,
  `last_maintenance_date` datetime DEFAULT NULL,
  `first_maintenance_date` date DEFAULT NULL,
  UNIQUE KEY `i_account` (`i_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Manual_Transactions`
--

DROP TABLE IF EXISTS `Manual_Transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Manual_Transactions` (
  `i_manual_transaction` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `default_amount` varchar(15) CHARACTER SET utf8 DEFAULT NULL,
  `default_comment` varchar(32) CHARACTER SET utf8 NOT NULL,
  `app_to_retail_customer` enum('Y','N') NOT NULL DEFAULT 'Y',
  `app_to_wholesale_customer` enum('Y','N') NOT NULL DEFAULT 'Y',
  `app_to_vendor` enum('Y','N') NOT NULL DEFAULT 'Y',
  `app_to_debit_account` enum('Y','N') NOT NULL DEFAULT 'Y',
  `app_to_credit_account` enum('Y','N') NOT NULL DEFAULT 'Y',
  `handler` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `destination` varchar(15) DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '1',
  `accessible_to_distributor` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_manual_transaction`),
  UNIQUE KEY `manual_transaction` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Media_Attribute_Definitions`
--

DROP TABLE IF EXISTS `Media_Attribute_Definitions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Media_Attribute_Definitions` (
  `i_ma_definition` smallint(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_ma_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `i_media_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `mandatory` char(1) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`i_ma_definition`),
  UNIQUE KEY `mad_name` (`i_media_type`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Media_Attribute_Types`
--

DROP TABLE IF EXISTS `Media_Attribute_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Media_Attribute_Types` (
  `i_ma_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`i_ma_type`),
  UNIQUE KEY `ma_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Media_Attribute_Values`
--

DROP TABLE IF EXISTS `Media_Attribute_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Media_Attribute_Values` (
  `i_ma_value` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_ma_definition` smallint(10) unsigned NOT NULL DEFAULT '0',
  `value` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `editor_value` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`i_ma_value`),
  UNIQUE KEY `ma_value` (`i_ma_definition`,`value`),
  UNIQUE KEY `ma_editor_value` (`i_ma_definition`,`editor_value`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Media_Encodings`
--

DROP TABLE IF EXISTS `Media_Encodings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Media_Encodings` (
  `i_media_encoding` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mime_type` varchar(32) NOT NULL,
  `mime_subtype` varchar(32) NOT NULL,
  `clock_rate` int(10) unsigned DEFAULT NULL,
  `channel_num` tinyint(3) unsigned DEFAULT NULL,
  `media_aux` enum('Y','N') NOT NULL DEFAULT 'N',
  `i_voice_negotiate_feature` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_media_encoding`),
  UNIQUE KEY `mime_type` (`mime_type`,`mime_subtype`,`clock_rate`,`channel_num`),
  KEY `i_voice_negotiate_feature` (`i_voice_negotiate_feature`),
  CONSTRAINT `Media_Encodings_ibfk_1` FOREIGN KEY (`i_voice_negotiate_feature`) REFERENCES `Voice_Negotiate_Features` (`i_voice_negotiate_feature`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Media_Types`
--

DROP TABLE IF EXISTS `Media_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Media_Types` (
  `i_media_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `icon_url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`i_media_type`),
  UNIQUE KEY `media_type` (`name`),
  UNIQUE KEY `media_icon` (`icon_url`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Merchant_Account_Currency`
--

DROP TABLE IF EXISTS `Merchant_Account_Currency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Merchant_Account_Currency` (
  `i_ma_currency` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_merchant_account` int(10) unsigned NOT NULL DEFAULT '0',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `min_allowed_payment` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  PRIMARY KEY (`i_ma_currency`),
  UNIQUE KEY `ma_c` (`i_merchant_account`,`iso_4217`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Merchant_Accounts`
--

DROP TABLE IF EXISTS `Merchant_Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Merchant_Accounts` (
  `i_merchant_account` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_online_payment_processor` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `login` varchar(64) CHARACTER SET utf8 NOT NULL,
  `password` varbinary(64) NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `reccuring_enabled` char(1) NOT NULL DEFAULT 'N',
  `test_mode` char(1) NOT NULL DEFAULT 'Y',
  `i_customer` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_merchant_account`),
  UNIQUE KEY `merchant_account_name` (`name`,`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Merchant_Acct_Payment_Methods`
--

DROP TABLE IF EXISTS `Merchant_Acct_Payment_Methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Merchant_Acct_Payment_Methods` (
  `i_me_pm` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_merchant_account` int(10) unsigned NOT NULL DEFAULT '0',
  `i_payment_method` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_me_pm`),
  UNIQUE KEY `me_pm` (`i_merchant_account`,`i_payment_method`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Modifications`
--

DROP TABLE IF EXISTS `Modifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Modifications` (
  `i_modification` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `table_name` enum('Accounts','Account_Subscriptions','Customers','Subscribers') DEFAULT NULL,
  `i_object` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_modification`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Music_On_Hold`
--

DROP TABLE IF EXISTS `Music_On_Hold`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Music_On_Hold` (
  `i_moh` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(10) unsigned DEFAULT '1',
  `object` enum('account','customer') CHARACTER SET utf8 DEFAULT NULL,
  `i_object` int(10) unsigned DEFAULT NULL,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `converted` enum('N','Y') NOT NULL DEFAULT 'N',
  `tries` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_moh`),
  KEY `env_object` (`i_env`,`object`,`i_object`),
  KEY `converted` (`converted`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Netaccess_Usage_Details`
--

DROP TABLE IF EXISTS `Netaccess_Usage_Details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Netaccess_Usage_Details` (
  `i_nud` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `i_customer` int(10) unsigned NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL,
  `i_service` int(10) unsigned DEFAULT NULL,
  `acct_session_id` varchar(253) NOT NULL,
  `period_from` datetime NOT NULL,
  `period_to` datetime NOT NULL,
  `bytes_in` bigint(20) NOT NULL DEFAULT '0',
  `bytes_out` bigint(20) NOT NULL DEFAULT '0',
  `xdr_id` int(10) unsigned DEFAULT NULL,
  `peak_level` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_nud`),
  KEY `i_env` (`i_env`,`i_account`,`period_from`,`period_to`,`i_service`),
  KEY `xdr_id` (`xdr_id`),
  KEY `netaccess_details_idx1` (`i_env`,`i_service`,`period_from`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Netaccess_Usage_Stats`
--

DROP TABLE IF EXISTS `Netaccess_Usage_Stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Netaccess_Usage_Stats` (
  `i_nus` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned NOT NULL,
  `i_service` int(10) unsigned DEFAULT NULL,
  `stat_date` datetime NOT NULL,
  `has_data` enum('Y','N') DEFAULT 'N',
  PRIMARY KEY (`i_nus`),
  KEY `i_account` (`i_account`,`stat_date`,`i_service`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Network_Connectivity`
--

DROP TABLE IF EXISTS `Network_Connectivity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Network_Connectivity` (
  `i_network_connectivity` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(3) unsigned DEFAULT NULL,
  `name` varchar(64) NOT NULL,
  `mtu` int(10) unsigned DEFAULT NULL,
  `overhead_bits` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_network_connectivity`),
  UNIQUE KEY `nconnectivity_name` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Node_Notepad`
--

DROP TABLE IF EXISTS `Node_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Node_Notepad` (
  `i_node` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_node`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Node_Routing`
--

DROP TABLE IF EXISTS `Node_Routing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Node_Routing` (
  `i_node_routing` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `i_node` int(10) unsigned NOT NULL,
  `master` enum('Y','N') NOT NULL DEFAULT 'N',
  `sip` enum('Y','N') NOT NULL DEFAULT 'N',
  `h323` enum('Y','N') NOT NULL DEFAULT 'N',
  `to_sip` enum('Y','N') NOT NULL DEFAULT 'N',
  `to_h323` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_node_routing`),
  UNIQUE KEY `i_node` (`i_node`),
  KEY `i_env` (`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Node_Types`
--

DROP TABLE IF EXISTS `Node_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Node_Types` (
  `i_node_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `manufacturer` varchar(32) CHARACTER SET utf8 NOT NULL,
  `type` varchar(32) CHARACTER SET utf8 NOT NULL,
  `radius_dictionary` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `sip_support` enum('Y','N') NOT NULL DEFAULT 'N',
  `h323_support` enum('Y','N') NOT NULL DEFAULT 'N',
  `type_code` varchar(32) DEFAULT NULL,
  `voip_dynamic_routing` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_node_type`),
  UNIQUE KEY `type_manufacturer` (`type`,`manufacturer`),
  UNIQUE KEY `type_code` (`type_code`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Nodes`
--

DROP TABLE IF EXISTS `Nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Nodes` (
  `i_node` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(64) CHARACTER SET utf8 NOT NULL,
  `h323_id` varchar(255) CHARACTER SET utf8 NOT NULL,
  `name` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `radius_client` char(1) NOT NULL DEFAULT 'N',
  `radius_key` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `hostname` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `domain` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `h323_password` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `radius_source_ip` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_node_type` int(10) unsigned DEFAULT NULL,
  `rtpp_level` tinyint(1) unsigned DEFAULT NULL,
  `node_index` tinyint(1) unsigned DEFAULT NULL,
  `pod_server` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_node`),
  UNIQUE KEY `ip` (`ip`),
  UNIQUE KEY `h323_id` (`h323_id`),
  UNIQUE KEY `node` (`name`,`i_env`),
  KEY `node_env_type` (`i_env`,`i_node_type`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Notify_Monitor`
--

DROP TABLE IF EXISTS `Notify_Monitor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Notify_Monitor` (
  `last_status` varchar(200) DEFAULT NULL,
  `updated` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Number_Portability`
--

DROP TABLE IF EXISTS `Number_Portability`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Number_Portability` (
  `i_number` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `destination` varchar(32) NOT NULL,
  `origin` varchar(32) NOT NULL,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `rate_match_code` varchar(64) DEFAULT NULL,
  `rate_match_prio` char(1) NOT NULL DEFAULT '5',
  PRIMARY KEY (`i_number`),
  UNIQUE KEY `destination_env` (`destination`,`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `OLI_Values`
--

DROP TABLE IF EXISTS `OLI_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `OLI_Values` (
  `i_oli` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `oli` int(10) unsigned NOT NULL DEFAULT '0',
  `description` varchar(127) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_oli`),
  UNIQUE KEY `oli` (`oli`),
  UNIQUE KEY `oli_description` (`description`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Online_Payment_Processors`
--

DROP TABLE IF EXISTS `Online_Payment_Processors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Online_Payment_Processors` (
  `i_online_payment_processor` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `processor` varchar(64) CHARACTER SET utf8 NOT NULL,
  `web_link` varchar(255) CHARACTER SET utf8 NOT NULL,
  `handler` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `callback` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `ext_auth` char(1) CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `obsolete` enum('Y','N') NOT NULL DEFAULT 'N',
  `remittance` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_online_payment_processor`),
  UNIQUE KEY `processor_index` (`processor`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `PSIP_Voice_Negotiate_Features`
--

DROP TABLE IF EXISTS `PSIP_Voice_Negotiate_Features`;
/*!50001 DROP VIEW IF EXISTS `PSIP_Voice_Negotiate_Features`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `PSIP_Voice_Negotiate_Features` (
  `id` varchar(32),
  `negotiate_bit_offset` tinyint(3) unsigned,
  `mime_type` varchar(32),
  `mime_subtype` varchar(32),
  `clock_rate` int(10) unsigned,
  `media_aux` enum('Y','N'),
  `channel_num` tinyint(3) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Payment_Methods`
--

DROP TABLE IF EXISTS `Payment_Methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Payment_Methods` (
  `i_payment_method` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(31) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `online` char(1) DEFAULT 'Y',
  `icon_url` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `payment_method` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `ecommerce` enum('Y','N') NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`i_payment_method`),
  UNIQUE KEY `pm_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Payment_Terms`
--

DROP TABLE IF EXISTS `Payment_Terms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Payment_Terms` (
  `i_payment_term` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(31) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `discc_per` decimal(9,5) NOT NULL DEFAULT '0.00000',
  `std_due_days` smallint(6) DEFAULT NULL,
  `std_disc_days` smallint(6) DEFAULT NULL,
  `day_of_month_due` smallint(6) DEFAULT NULL,
  `disc_day_of_month` smallint(6) DEFAULT NULL,
  `date_min_days` smallint(6) DEFAULT NULL,
  `terms_type` smallint(6) DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `i_env` tinyint(3) unsigned DEFAULT '1',
  `default_term` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_payment_term`),
  UNIQUE KEY `term_name` (`name`,`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Payment_Transactions`
--

DROP TABLE IF EXISTS `Payment_Transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Payment_Transactions` (
  `i_payment_transaction` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_merchant_account` int(10) unsigned DEFAULT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `secret` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) DEFAULT NULL,
  `amount` decimal(15,5) DEFAULT NULL,
  `test_mode` char(1) NOT NULL DEFAULT 'Y',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `status` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `cdrid` int(10) unsigned DEFAULT NULL,
  `x_transaction_id` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `i_payment_method` int(10) unsigned DEFAULT NULL,
  `i_online_payment_processor` int(10) unsigned DEFAULT NULL,
  `payment_method_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `result_code` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `result_message` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `details` text CHARACTER SET utf8,
  PRIMARY KEY (`i_payment_transaction`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Periodical_Payments`
--

DROP TABLE IF EXISTS `Periodical_Payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Periodical_Payments` (
  `i_periodical_payment` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_object` int(10) unsigned DEFAULT NULL,
  `i_periodical_payment_period` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `amount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `balance_threshold` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `from_date` date NOT NULL DEFAULT '0000-00-00',
  `to_date` date NOT NULL DEFAULT '0000-00-00',
  `discontinued` enum('N','Y') NOT NULL DEFAULT 'N',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `stamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `last_payment` date DEFAULT NULL,
  `frozen` char(1) DEFAULT NULL,
  `object` enum('account','customer') CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_periodical_payment`),
  KEY `Periodical_Payments_i_obj` (`i_object`,`object`,`i_env`),
  KEY `PP_discountinued_from` (`discontinued`,`from_date`),
  KEY `PP_discountinued_to` (`discontinued`,`to_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Periodical_Payments_Period`
--

DROP TABLE IF EXISTS `Periodical_Payments_Period`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Periodical_Payments_Period` (
  `i_periodical_payment_period` tinyint(2) unsigned NOT NULL AUTO_INCREMENT,
  `description` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_periodical_payment_period`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Preffered_X_Rate_Source`
--

DROP TABLE IF EXISTS `Preffered_X_Rate_Source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Preffered_X_Rate_Source` (
  `i_pxr_source` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_x_rate_source` smallint(5) unsigned DEFAULT '2',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`i_pxr_source`),
  UNIQUE KEY `pxr_s` (`i_x_rate_source`,`iso_4217`,`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Procedures`
--

DROP TABLE IF EXISTS `Procedures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Procedures` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('I','E') NOT NULL DEFAULT 'I',
  `name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `priority` enum('normal','high') NOT NULL DEFAULT 'normal',
  `periodic` enum('Y','N') NOT NULL DEFAULT 'N',
  `blocked` enum('Y','N') DEFAULT 'N',
  `block_reason` varchar(255) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `exit_status` smallint(6) DEFAULT NULL,
  `category` enum('important','unimportant') NOT NULL DEFAULT 'unimportant',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `proc_priority` (`priority`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Product_Notepad`
--

DROP TABLE IF EXISTS `Product_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Product_Notepad` (
  `i_product` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_product`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Product_Subscriptions`
--

DROP TABLE IF EXISTS `Product_Subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Product_Subscriptions` (
  `i_product_subscription` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_product` int(10) unsigned NOT NULL DEFAULT '0',
  `i_subscription` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_product_subscription`),
  UNIQUE KEY `product_subscription` (`i_product`,`i_subscription`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Products`
--

DROP TABLE IF EXISTS `Products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Products` (
  `i_product` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `maintenance_fee` decimal(15,5) unsigned DEFAULT '0.00000',
  `maintenance_period` enum('None','Daily','Weekly','Bi-weekly','Monthly') CHARACTER SET utf8 DEFAULT 'None',
  `breakage` decimal(15,5) unsigned DEFAULT '0.00000',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `info_url` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `validation_module` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `continue_url` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `subscription_http_referer` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `default_i_acl` int(10) unsigned NOT NULL DEFAULT '155',
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `subscription_host` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `maintenance_effective_from` date DEFAULT NULL,
  `hidden` enum('Y','N') DEFAULT 'N',
  `service_flags` char(32) NOT NULL DEFAULT '',
  `fraud_protection` enum('None','All','Debit') NOT NULL DEFAULT 'Debit',
  PRIMARY KEY (`i_product`),
  UNIQUE KEY `product` (`name`,`i_env`),
  KEY `Products_iso_4217` (`iso_4217`),
  KEY `i_vd_plan` (`i_vd_plan`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Provisioning_Queues`
--

DROP TABLE IF EXISTS `Provisioning_Queues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Provisioning_Queues` (
  `i_p_queue` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `i_modification` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_p_queue`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Quick_Form_Fields`
--

DROP TABLE IF EXISTS `Quick_Form_Fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Quick_Form_Fields` (
  `i_quick_form_field` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_quick_form` int(10) unsigned NOT NULL,
  `entity_number` tinyint(1) unsigned NOT NULL,
  `name` varchar(40) NOT NULL,
  `order_number` tinyint(5) unsigned DEFAULT NULL,
  `enabled` enum('Y','N') NOT NULL DEFAULT 'Y',
  `type` enum('Hidden','Input','CheckBox','Select','Special') NOT NULL DEFAULT 'Hidden',
  `value` text CHARACTER SET utf8,
  `caption` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `mandatory` enum('Y','N') NOT NULL DEFAULT 'Y',
  `description` varchar(128) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_quick_form_field`),
  UNIQUE KEY `name` (`i_quick_form`,`entity_number`,`name`),
  KEY `enabled` (`i_quick_form`,`enabled`,`entity_number`),
  KEY `entity_order_nums_indx` (`entity_number`,`order_number`),
  KEY `name_indx` (`name`),
  CONSTRAINT `QFF_fk_quick_form` FOREIGN KEY (`i_quick_form`) REFERENCES `Quick_Forms` (`i_quick_form`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Quick_Forms`
--

DROP TABLE IF EXISTS `Quick_Forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Quick_Forms` (
  `i_quick_form` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `state` enum('R','P') NOT NULL DEFAULT 'P',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `i_customer_class` int(10) unsigned NOT NULL,
  `display_summary` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_quick_form`),
  UNIQUE KEY `name` (`i_env`,`name`),
  KEY `filter` (`i_env`,`state`,`iso_4217`,`i_customer_class`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Quick_Forms_Visible_To`
--

DROP TABLE IF EXISTS `Quick_Forms_Visible_To`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Quick_Forms_Visible_To` (
  `i_quick_form` int(10) unsigned NOT NULL,
  `i_acl` int(10) unsigned NOT NULL,
  UNIQUE KEY `quick_form_acl` (`i_quick_form`,`i_acl`),
  KEY `i_acl` (`i_acl`),
  CONSTRAINT `QFVT_fk_acl` FOREIGN KEY (`i_acl`) REFERENCES `Access_Levels` (`i_acl`) ON DELETE CASCADE,
  CONSTRAINT `QFVT_fk_quick_form` FOREIGN KEY (`i_quick_form`) REFERENCES `Quick_Forms` (`i_quick_form`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `RP_Negotiate_Features`
--

DROP TABLE IF EXISTS `RP_Negotiate_Features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `RP_Negotiate_Features` (
  `i_rp_negotiate_feature` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_routing_plan` int(10) NOT NULL,
  `i_voice_negotiate_feature` int(10) unsigned NOT NULL,
  `requirement` int(10) NOT NULL DEFAULT '0',
  `capability` int(10) NOT NULL DEFAULT '1',
  PRIMARY KEY (`i_rp_negotiate_feature`),
  UNIQUE KEY `i_routing_plan` (`i_routing_plan`,`i_voice_negotiate_feature`),
  KEY `i_voice_negotiate_feature` (`i_voice_negotiate_feature`),
  CONSTRAINT `RP_Negotiate_Features_ibfk_1` FOREIGN KEY (`i_routing_plan`) REFERENCES `Routing_Plans` (`i_routing_plan`) ON DELETE CASCADE,
  CONSTRAINT `RP_Negotiate_Features_ibfk_2` FOREIGN KEY (`i_voice_negotiate_feature`) REFERENCES `Voice_Negotiate_Features` (`i_voice_negotiate_feature`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `RT_Users`
--

DROP TABLE IF EXISTS `RT_Users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `RT_Users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_entity` int(10) unsigned NOT NULL,
  `entity_type` varchar(12) CHARACTER SET utf8 NOT NULL,
  `i_rt_user` int(10) unsigned DEFAULT NULL,
  `modified` int(1) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `id_type` (`i_entity`,`entity_type`),
  KEY `i_rt_type` (`i_rt_user`,`entity_type`),
  KEY `modified_idx` (`modified`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Rates`
--

DROP TABLE IF EXISTS `Rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Rates` (
  `i_tariff` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_rate` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_offpeak` int(10) unsigned DEFAULT NULL,
  `interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `effective_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `inactive_from` datetime DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `discontinued` char(1) NOT NULL DEFAULT 'N',
  `forbidden` char(1) NOT NULL DEFAULT 'N',
  `preference` tinyint(1) unsigned NOT NULL DEFAULT '5',
  `huntstop` char(1) NOT NULL DEFAULT 'N',
  `formula` varchar(255) DEFAULT NULL,
  `fake_rate` char(1) NOT NULL DEFAULT 'Y',
  `route_category` int(10) unsigned DEFAULT NULL,
  `op_route_category` int(10) unsigned DEFAULT NULL,
  `op_preference` tinyint(1) unsigned DEFAULT NULL,
  `op_huntstop` char(1) DEFAULT 'N',
  `active` char(1) NOT NULL DEFAULT 'Y',
  `i_rate_formula` int(10) unsigned DEFAULT NULL,
  `reverse_rating` enum('N','Y') NOT NULL DEFAULT 'N',
  `special_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `special_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_rate`),
  KEY `Rates_dest_index` (`i_dest`),
  KEY `Rates_effective_from` (`effective_from`),
  KEY `Rates_inactive_from` (`inactive_from`),
  KEY `tar_dest_effrom_rate` (`i_tariff`,`i_dest`,`discontinued`,`effective_from`),
  KEY `tar_dest_active_effrom_rate` (`i_tariff`,`i_dest`,`active`,`discontinued`,`effective_from`),
  KEY `active_effrom_rate` (`active`,`effective_from`),
  KEY `rates_period_idx` (`i_offpeak`),
  KEY `rates_route_cat_idx` (`route_category`),
  KEY `rates_route_op_cat_idx` (`op_route_category`),
  KEY `rates_tariff_offpeak` (`i_tariff`,`i_offpeak`)
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Replication_Test`
--

DROP TABLE IF EXISTS `Replication_Test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Replication_Test` (
  `id` char(21) DEFAULT NULL,
  KEY `idRepl` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Representative_Notepad`
--

DROP TABLE IF EXISTS `Representative_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Representative_Notepad` (
  `i_rep` int(10) unsigned NOT NULL DEFAULT '0',
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_rep`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Representatives`
--

DROP TABLE IF EXISTS `Representatives`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Representatives` (
  `i_rep` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `initials` varchar(5) CHARACTER SET utf8 NOT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `i_lang` varchar(5) DEFAULT NULL,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_rep`),
  UNIQUE KEY `login` (`login`),
  KEY `env_name` (`i_env`,`name`),
  KEY `i_customer` (`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Route_Categories`
--

DROP TABLE IF EXISTS `Route_Categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Route_Categories` (
  `i_route_category` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_route_category`),
  UNIQUE KEY `i_env_2` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Routing_Criteria`
--

DROP TABLE IF EXISTS `Routing_Criteria`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Routing_Criteria` (
  `i_criteria` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `sampling_interval` int(10) unsigned NOT NULL,
  `calls_threshold` int(10) unsigned NOT NULL,
  `penalty_time` int(10) unsigned NOT NULL,
  `asr_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `asr_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `high_pdd_value` int(10) unsigned DEFAULT NULL,
  `high_pdd_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `high_pdd_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `low_pdd_value` int(10) unsigned DEFAULT NULL,
  `low_pdd_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `low_pdd_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `aloc_penalty_threshold` smallint(4) unsigned DEFAULT NULL,
  `aloc_warning_threshold` smallint(4) unsigned DEFAULT NULL,
  `ppm_penalty_threshold` decimal(15,5) unsigned DEFAULT NULL,
  `ppm_warning_threshold` decimal(15,5) unsigned DEFAULT NULL,
  `i_dest_group_set` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_criteria`),
  UNIQUE KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Routing_Criteria_Dest_Groups`
--

DROP TABLE IF EXISTS `Routing_Criteria_Dest_Groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Routing_Criteria_Dest_Groups` (
  `i_criteria_dest_group` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_criteria` int(10) unsigned NOT NULL,
  `i_dest_group` int(10) unsigned NOT NULL,
  `calls_threshold` int(10) unsigned DEFAULT NULL,
  `penalty_time` int(10) unsigned DEFAULT NULL,
  `asr_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `asr_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `high_pdd_value` int(10) unsigned DEFAULT NULL,
  `high_pdd_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `high_pdd_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `low_pdd_value` int(10) unsigned DEFAULT NULL,
  `low_pdd_penalty_threshold` tinyint(3) unsigned DEFAULT NULL,
  `low_pdd_warning_threshold` tinyint(3) unsigned DEFAULT NULL,
  `aloc_penalty_threshold` smallint(4) unsigned DEFAULT NULL,
  `aloc_warning_threshold` smallint(4) unsigned DEFAULT NULL,
  `ppm_penalty_threshold` decimal(15,5) unsigned DEFAULT NULL,
  `ppm_warning_threshold` decimal(15,5) unsigned DEFAULT NULL,
  `disabled_flags` set('asr_warning','asr_penalty','high_pdd_warning','high_pdd_penalty','low_pdd_warning','low_pdd_penalty','aloc_warning','aloc_penalty','ppm_warning','ppm_penalty') DEFAULT NULL,
  PRIMARY KEY (`i_criteria_dest_group`),
  UNIQUE KEY `i_env` (`i_env`,`i_criteria`,`i_dest_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Routing_Criteria_Results`
--

DROP TABLE IF EXISTS `Routing_Criteria_Results`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Routing_Criteria_Results` (
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_criteria` int(10) unsigned NOT NULL,
  `i_connection` int(10) unsigned NOT NULL,
  `i_dest_group` int(10) unsigned NOT NULL,
  `calls` int(10) unsigned NOT NULL,
  `last_updated` datetime DEFAULT NULL,
  `asr` tinyint(3) unsigned DEFAULT NULL,
  `low_pdd` tinyint(3) unsigned DEFAULT NULL,
  `high_pdd` tinyint(3) unsigned DEFAULT NULL,
  `aloc` smallint(4) unsigned DEFAULT NULL,
  `ppm` decimal(15,5) unsigned DEFAULT NULL,
  `reduce_priority` enum('Y','N') DEFAULT NULL,
  `block_from` datetime DEFAULT NULL,
  `block_until` datetime DEFAULT NULL,
  UNIQUE KEY `i_env` (`i_env`,`i_criteria`,`i_connection`,`i_dest_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Routing_Plan_Categories`
--

DROP TABLE IF EXISTS `Routing_Plan_Categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Routing_Plan_Categories` (
  `i_routing_plan_cat` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_routing_plan` int(10) unsigned NOT NULL DEFAULT '0',
  `i_route_category_order` tinyint(1) NOT NULL DEFAULT '0',
  `i_route_category` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_routing_plan_cat`),
  UNIQUE KEY `i_routing_plan` (`i_routing_plan`,`i_route_category`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Routing_Plans`
--

DROP TABLE IF EXISTS `Routing_Plans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Routing_Plans` (
  `i_routing_plan` int(10) NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `profit_guarantee` char(1) NOT NULL DEFAULT 'N',
  `profit_monitor` char(1) NOT NULL DEFAULT 'N',
  `profit_min_abs` decimal(15,5) DEFAULT NULL,
  `profit_min_rel` decimal(15,5) DEFAULT NULL,
  `profit_combination` enum('OR','AND') DEFAULT NULL,
  `profit_dispersion` decimal(15,5) unsigned DEFAULT NULL,
  `selection_code` varchar(16) DEFAULT NULL,
  `utilization_cost_diff_limit` decimal(15,5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_routing_plan`),
  UNIQUE KEY `i_env` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `SIP_CallHandling`
--

DROP TABLE IF EXISTS `SIP_CallHandling`;
/*!50001 DROP VIEW IF EXISTS `SIP_CallHandling`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `SIP_CallHandling` (
  `i_authz_type` int(10) unsigned,
  `name` varchar(64),
  `authz_parameters` varchar(256),
  `order_number` smallint(5) unsigned,
  `i_env` tinyint(1) unsigned,
  `ip_pattern` varchar(64),
  `cli_pattern` varchar(64),
  `cld_pattern` varchar(64),
  `our_node` varchar(64)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `SIP_CallHandling_Nodes`
--

DROP TABLE IF EXISTS `SIP_CallHandling_Nodes`;
/*!50001 DROP VIEW IF EXISTS `SIP_CallHandling_Nodes`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `SIP_CallHandling_Nodes` (
  `i_authz_type` int(10) unsigned,
  `name` varchar(64),
  `authz_parameters` varchar(256),
  `order_number` int(10) unsigned,
  `i_env` tinyint(1) unsigned,
  `ip_pattern` varchar(64),
  `cli_pattern` binary(0),
  `cld_pattern` binary(0),
  `our_node` varchar(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `SIP_Service_Policies`
--

DROP TABLE IF EXISTS `SIP_Service_Policies`;
/*!50001 DROP VIEW IF EXISTS `SIP_Service_Policies`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `SIP_Service_Policies` (
  `policy_id` varchar(32),
  `i_env` tinyint(1) unsigned,
  `match_priority` int(5) unsigned,
  `match_pattern` varchar(512),
  `value_type` enum('text','number','list'),
  `multiple` enum('Y','N'),
  `attr_group` varchar(32),
  `attr_name` varchar(64),
  `attr_value` varchar(255)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `Service_Attribute_Values`
--

DROP TABLE IF EXISTS `Service_Attribute_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Attribute_Values` (
  `i_savalue` int(10) NOT NULL AUTO_INCREMENT,
  `i_sattribute` int(10) NOT NULL,
  `i_foreign` int(10) NOT NULL,
  `value` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `ord` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`i_savalue`),
  KEY `savalue_sattribute` (`i_sattribute`,`i_foreign`)
) ENGINE=InnoDB AUTO_INCREMENT=218 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Attributes`
--

DROP TABLE IF EXISTS `Service_Attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Attributes` (
  `i_sattribute` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `i_service_feature` int(10) NOT NULL,
  `multivalue` char(1) NOT NULL DEFAULT 'N',
  `default_value` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_sattribute`),
  UNIQUE KEY `saname` (`i_service_feature`,`name`),
  KEY `name_covering` (`name`,`multivalue`,`i_service_feature`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Features`
--

DROP TABLE IF EXISTS `Service_Features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Features` (
  `i_service_feature` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `level` enum('Accounts','Customers','Products','CustomerSites') NOT NULL,
  `flag_pos` tinyint(4) DEFAULT NULL,
  `default_flag` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_service_feature`),
  UNIQUE KEY `service_name` (`name`,`level`,`flag_pos`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Policies`
--

DROP TABLE IF EXISTS `Service_Policies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Policies` (
  `i_service_policy` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `id` varchar(32) NOT NULL,
  `description` varchar(1024) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `match_priority` int(5) unsigned NOT NULL DEFAULT '0',
  `match_pattern` varchar(512) DEFAULT NULL,
  PRIMARY KEY (`i_service_policy`),
  UNIQUE KEY `servicepolicy_name` (`i_service_type`,`name`,`i_env`),
  UNIQUE KEY `servicepolicy_id` (`i_service_type`,`id`,`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Policy_Attr_Values`
--

DROP TABLE IF EXISTS `Service_Policy_Attr_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Policy_Attr_Values` (
  `i_spa_value` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_sp_attribute` int(10) unsigned NOT NULL,
  `i_service_policy` int(10) unsigned NOT NULL,
  `value` varchar(255) NOT NULL,
  `ord` tinyint(4) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_spa_value`),
  UNIQUE KEY `i_sp_attribute` (`i_sp_attribute`,`i_service_policy`,`ord`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Policy_Attributes`
--

DROP TABLE IF EXISTS `Service_Policy_Attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Policy_Attributes` (
  `i_sp_attribute` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `group_name` varchar(32) NOT NULL,
  `name` varchar(64) NOT NULL,
  `value_type` enum('text','number','list') DEFAULT 'text',
  `multiple` enum('Y','N') DEFAULT 'N',
  `edit_options` varchar(255) DEFAULT NULL,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_sp_attribute`),
  UNIQUE KEY `i_service_type` (`i_service_type`,`group_name`,`name`,`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Type_Charge_Units`
--

DROP TABLE IF EXISTS `Service_Type_Charge_Units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Type_Charge_Units` (
  `i_st_charge_unit` smallint(10) unsigned NOT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `rating_base` varchar(16) NOT NULL,
  `name` varchar(16) NOT NULL,
  `scale` int(10) NOT NULL DEFAULT '0',
  `default_rate_ratio` int(10) NOT NULL DEFAULT '0',
  `default_rate_unit` varchar(16) NOT NULL,
  PRIMARY KEY (`i_st_charge_unit`),
  UNIQUE KEY `i_service_type` (`i_service_type`,`rating_base`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Type_Inheritance`
--

DROP TABLE IF EXISTS `Service_Type_Inheritance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Type_Inheritance` (
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `i_parent_service_type` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`i_service_type`,`i_parent_service_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Type_Rating_Bases`
--

DROP TABLE IF EXISTS `Service_Type_Rating_Bases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Type_Rating_Bases` (
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `name` varchar(16) NOT NULL,
  `unit` varchar(16) NOT NULL,
  PRIMARY KEY (`i_service_type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Service_Types`
--

DROP TABLE IF EXISTS `Service_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Service_Types` (
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `name` varchar(16) NOT NULL,
  `plugin_cdr_display` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `plugin_rdata_display` varchar(64) DEFAULT NULL,
  `plugin_trace_session` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`i_service_type`),
  UNIQUE KEY `access_service_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Services`
--

DROP TABLE IF EXISTS `Services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Services` (
  `i_service` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `unit` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `rate_unit` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `ratio` int(10) unsigned NOT NULL,
  `i_env` int(10) DEFAULT '0',
  `i_service_type` tinyint(3) unsigned NOT NULL,
  `rating_base` varchar(16) NOT NULL DEFAULT 'quantity',
  `i_st_charge_unit` smallint(10) unsigned NOT NULL,
  PRIMARY KEY (`i_service`),
  KEY `stype_rbase` (`i_service_type`,`rating_base`),
  KEY `sname` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Session_Connect_Attempts`
--

DROP TABLE IF EXISTS `Session_Connect_Attempts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Session_Connect_Attempts` (
  `i_session_connect_attempt` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(10) unsigned NOT NULL,
  `i_node` int(10) unsigned NOT NULL,
  `session_id` varchar(64) DEFAULT NULL,
  `i_service_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `transaction_id` int(10) unsigned NOT NULL DEFAULT '0',
  `source_id` varchar(32) DEFAULT NULL,
  `session_connect_code` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `attempt_time` datetime NOT NULL,
  `expire_time` datetime NOT NULL,
  PRIMARY KEY (`i_session_connect_attempt`),
  KEY `i_env` (`i_env`,`i_node`,`session_id`,`i_service_type`,`transaction_id`),
  KEY `expire_timex` (`expire_time`) USING BTREE
) ENGINE=MEMORY DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Session_Deposits`
--

DROP TABLE IF EXISTS `Session_Deposits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Session_Deposits` (
  `i_env` tinyint(1) unsigned NOT NULL,
  `session_id` varchar(36) NOT NULL,
  `i_account` int(10) unsigned NOT NULL,
  `i_customer` int(10) unsigned NOT NULL,
  `amount` decimal(15,5) DEFAULT NULL,
  `customer_lock` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `stage` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL,
  `expires` datetime NOT NULL,
  PRIMARY KEY (`i_env`,`session_id`,`i_account`,`i_customer`),
  KEY `deposit_created` (`created`,`stage`),
  KEY `deposit_expires` (`expires`) USING BTREE
) ENGINE=MEMORY DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Subscribers`
--

DROP TABLE IF EXISTS `Subscribers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Subscribers` (
  `i_subscriber` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `note` varchar(41) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `bcc` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `summary_only` char(1) NOT NULL DEFAULT 'N',
  `i_credit_card` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`i_subscriber`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Subscription_Fees`
--

DROP TABLE IF EXISTS `Subscription_Fees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Subscription_Fees` (
  `i_subscription_fee` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_subscription` int(10) unsigned NOT NULL DEFAULT '0',
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `periods` smallint(4) unsigned NOT NULL DEFAULT '0',
  `fee` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  PRIMARY KEY (`i_subscription_fee`),
  UNIQUE KEY `subscription_period` (`i_subscription`,`i_billing_period`,`periods`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Subscriptions`
--

DROP TABLE IF EXISTS `Subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Subscriptions` (
  `i_subscription` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `invoice_description` varchar(32) CHARACTER SET utf8 NOT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `activation_mode` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `activation_fee` decimal(15,5) unsigned DEFAULT NULL,
  `minimum_period` smallint(4) unsigned DEFAULT NULL,
  `cancel_penalty` decimal(15,5) unsigned DEFAULT NULL,
  `charge_model` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `rounding` smallint(5) DEFAULT NULL,
  `advance_periods` smallint(5) unsigned DEFAULT NULL,
  `tax_info` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`i_subscription`),
  UNIQUE KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Authorship`
--

DROP TABLE IF EXISTS `TS_Authorship`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Authorship` (
  `i_ts_authorship` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `authorship` varchar(64) NOT NULL,
  PRIMARY KEY (`i_ts_authorship`),
  UNIQUE KEY `TS_Authorships_authorship_UNIQ` (`authorship`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Bodies`
--

DROP TABLE IF EXISTS `TS_Bodies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Bodies` (
  `i_ts_body` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_ts_template` int(10) unsigned NOT NULL DEFAULT '0',
  `rev_major` smallint(5) unsigned NOT NULL DEFAULT '0',
  `rev_minor` smallint(5) unsigned NOT NULL DEFAULT '0',
  `mime_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `name` varchar(128) NOT NULL,
  `language` char(5) NOT NULL,
  `content` mediumblob NOT NULL,
  PRIMARY KEY (`i_ts_body`),
  UNIQUE KEY `TS_Bodies_complex_UNIQ` (`i_ts_template`,`rev_major`,`rev_minor`,`mime_type`,`name`,`language`),
  KEY `fk_TS_Bodies_mime_type` (`mime_type`),
  KEY `fk_TS_Bodies_language` (`language`),
  CONSTRAINT `fk_TS_Bodies_language` FOREIGN KEY (`language`) REFERENCES `Locale_Languages` (`iso_639_1`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Bodies_mime_type` FOREIGN KEY (`mime_type`) REFERENCES `TS_Mime_Types` (`i_ts_mime_type`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Bodies_template` FOREIGN KEY (`i_ts_template`) REFERENCES `TS_Templates` (`i_ts_template`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=123 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Categories`
--

DROP TABLE IF EXISTS `TS_Categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Categories` (
  `i_ts_category` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(128) NOT NULL,
  PRIMARY KEY (`i_ts_category`),
  UNIQUE KEY `TS_Categories_category_UNIQ` (`category`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Mime_Types`
--

DROP TABLE IF EXISTS `TS_Mime_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Mime_Types` (
  `i_ts_mime_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `mime_type` varchar(128) NOT NULL,
  PRIMARY KEY (`i_ts_mime_type`),
  UNIQUE KEY `TS_Mime_Types_mime_type_UNIQ` (`mime_type`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Templates`
--

DROP TABLE IF EXISTS `TS_Templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Templates` (
  `i_ts_template` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_ts_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `i_ts_authorship` smallint(5) unsigned NOT NULL DEFAULT '0',
  `i_env` tinyint(3) unsigned DEFAULT NULL,
  `i_customer_class` int(10) unsigned DEFAULT NULL,
  `i_ts_category` smallint(5) unsigned DEFAULT NULL,
  `name` varchar(128) NOT NULL,
  `description` varchar(255) NOT NULL,
  `active_rev_major` smallint(5) unsigned NOT NULL DEFAULT '0',
  `active_rev_minor` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_ts_template`),
  KEY `fk_TS_Templates_authorship` (`i_ts_authorship`),
  KEY `fk_TS_Templates_category` (`i_ts_category`),
  KEY `fk_TS_Templates_env` (`i_env`),
  KEY `fk_TS_Templates_customer_class` (`i_customer_class`),
  KEY `TS_Templates_name_idx` (`i_ts_type`,`i_ts_category`,`name`),
  CONSTRAINT `fk_TS_Templates_authorship` FOREIGN KEY (`i_ts_authorship`) REFERENCES `TS_Authorship` (`i_ts_authorship`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Templates_category` FOREIGN KEY (`i_ts_category`) REFERENCES `TS_Categories` (`i_ts_category`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Templates_customer_class` FOREIGN KEY (`i_customer_class`) REFERENCES `Customer_Classes` (`i_customer_class`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Templates_env` FOREIGN KEY (`i_env`) REFERENCES `Env` (`i_env`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_TS_Templates_type` FOREIGN KEY (`i_ts_type`) REFERENCES `TS_Types` (`i_ts_type`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=117 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TS_Types`
--

DROP TABLE IF EXISTS `TS_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TS_Types` (
  `i_ts_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(64) NOT NULL,
  PRIMARY KEY (`i_ts_type`),
  UNIQUE KEY `TS_Types_type_UNIQ` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Tariff_Notepad`
--

DROP TABLE IF EXISTS `Tariff_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tariff_Notepad` (
  `i_tariff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  `off_peak_description` text CHARACTER SET utf8,
  PRIMARY KEY (`i_tariff`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Tariff_Template_Binding`
--

DROP TABLE IF EXISTS `Tariff_Template_Binding`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tariff_Template_Binding` (
  `i_ttb` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tariff_template` int(10) unsigned NOT NULL DEFAULT '0',
  `i_tariff` int(10) unsigned NOT NULL DEFAULT '0',
  `email_from` varchar(128) CHARACTER SET utf8 NOT NULL,
  `email_key` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `disabled` char(1) NOT NULL DEFAULT 'Y',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`i_ttb`),
  UNIQUE KEY `ttb` (`i_tariff_template`,`i_tariff`,`email_from`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Tariff_Upload_Session`
--

DROP TABLE IF EXISTS `Tariff_Upload_Session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tariff_Upload_Session` (
  `i_tus` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tariff` int(10) unsigned NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL,
  `date_start` datetime NOT NULL,
  `i_user` int(10) unsigned NOT NULL,
  `wizard_config` text CHARACTER SET utf8,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `current_item` int(10) unsigned DEFAULT NULL,
  `max_item` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_tus`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Tariffs`
--

DROP TABLE IF EXISTS `Tariffs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tariffs` (
  `i_tariff` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `period` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_offpeak` int(10) unsigned DEFAULT NULL,
  `currency` char(3) CHARACTER SET utf8 NOT NULL,
  `free_sec` smallint(5) unsigned DEFAULT '0',
  `connect_fee` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `login_fee` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_env` int(1) unsigned NOT NULL DEFAULT '1',
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `post_call_surcharge` decimal(9,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_tariff_template_upload` int(10) unsigned DEFAULT NULL,
  `i_tariff_template_download` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) DEFAULT NULL,
  `short_description` varchar(32) CHARACTER SET utf8 NOT NULL,
  `routing_ext` char(1) NOT NULL DEFAULT 'N',
  `volume_based` char(1) DEFAULT 'N',
  `i_dest_group_set` int(10) unsigned DEFAULT NULL,
  `rounding` smallint(5) DEFAULT NULL,
  `formula` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `rating_mode` enum('Standard','Fixed') NOT NULL DEFAULT 'Standard',
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `type` enum('customer','vendor','reseller') DEFAULT NULL,
  `hidden` enum('Y','N') DEFAULT 'N',
  `usage_update` enum('Always','Billable') NOT NULL DEFAULT 'Always',
  PRIMARY KEY (`i_tariff`),
  UNIQUE KEY `tariff` (`name`,`i_env`),
  KEY `i_tariff_template_upload` (`i_tariff_template_upload`),
  KEY `i_tariff_template_download` (`i_tariff_template_download`),
  KEY `tariff_env` (`i_env`),
  KEY `tariff_env_customer` (`i_env`,`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TasksStack`
--

DROP TABLE IF EXISTS `TasksStack`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TasksStack` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `insert_time` datetime DEFAULT NULL,
  `i_user` int(11) DEFAULT NULL,
  `complete` char(1) DEFAULT NULL,
  `i_proc` int(10) unsigned DEFAULT NULL,
  `data` mediumtext CHARACTER SET utf8,
  `start_time` datetime NOT NULL,
  `dependent_task` bigint(20) unsigned DEFAULT NULL,
  `reenter` bigint(20) unsigned DEFAULT NULL,
  `reenter_id` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `email` enum('Y','N') NOT NULL DEFAULT 'N',
  `owner` varchar(100) DEFAULT NULL,
  `launch_time` datetime DEFAULT NULL,
  `stop_time` datetime DEFAULT NULL,
  `exit_status` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `TasksStack_idx1` (`i_proc`,`complete`,`start_time`)
) ENGINE=InnoDB AUTO_INCREMENT=114100 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TasksStackLog`
--

DROP TABLE IF EXISTS `TasksStackLog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TasksStackLog` (
  `i_log` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `log_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `log_level` tinyint(4) NOT NULL DEFAULT '1',
  `task_name` char(255) NOT NULL,
  `sub_task` char(50) DEFAULT NULL,
  `obj_type` char(50) DEFAULT NULL,
  `i_obj` int(11) DEFAULT NULL,
  `message` char(255) NOT NULL,
  PRIMARY KEY (`i_log`),
  KEY `log_time_idx` (`log_time`),
  KEY `log_level_idx` (`log_level`),
  KEY `task_name_idx` (`task_name`),
  KEY `sub_task_idx` (`sub_task`),
  KEY `obj_type_idx` (`obj_type`),
  KEY `i_obj_idx` (`i_obj`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Components`
--

DROP TABLE IF EXISTS `Template_Components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Components` (
  `i_template_component` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_component_type` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_template_component`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Components_Base`
--

DROP TABLE IF EXISTS `Template_Components_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Components_Base` (
  `i_template_component` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_component_type` smallint(5) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_template_component`)
) ENGINE=InnoDB AUTO_INCREMENT=92 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Fields`
--

DROP TABLE IF EXISTS `Template_Data_Fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Fields` (
  `i_td_field` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_component_type` smallint(5) unsigned NOT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `editor_name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `target_db_field` varchar(255) DEFAULT NULL,
  `source_db_field` varchar(255) DEFAULT NULL,
  `document_order` tinyint(3) unsigned DEFAULT '1',
  `i_format_type` smallint(5) unsigned NOT NULL,
  `i_format` smallint(5) unsigned NOT NULL,
  `rule` text CHARACTER SET utf8,
  `pp_rule` text CHARACTER SET utf8,
  `sample_data` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `symbolic_id` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `sql_expr` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_td_field`),
  UNIQUE KEY `editor_order` (`i_td_field`,`i_component_type`,`editor_order`)
) ENGINE=InnoDB AUTO_INCREMENT=1026 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Fields_Base`
--

DROP TABLE IF EXISTS `Template_Data_Fields_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Fields_Base` (
  `i_td_field` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_component_type` smallint(5) unsigned NOT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `editor_name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `target_db_field` varchar(255) DEFAULT NULL,
  `source_db_field` varchar(255) DEFAULT NULL,
  `document_order` tinyint(3) unsigned DEFAULT '1',
  `i_format_type` smallint(5) unsigned NOT NULL,
  `i_format` smallint(5) unsigned NOT NULL,
  `rule` text CHARACTER SET utf8,
  `pp_rule` text CHARACTER SET utf8,
  `sample_data` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `symbolic_id` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `sql_expr` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_td_field`),
  UNIQUE KEY `editor_order` (`i_td_field`,`i_component_type`,`editor_order`)
) ENGINE=InnoDB AUTO_INCREMENT=1095 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Group_Break`
--

DROP TABLE IF EXISTS `Template_Data_Group_Break`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Group_Break` (
  `i_tdgb` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tdg` int(10) unsigned DEFAULT NULL,
  `break_order` tinyint(3) NOT NULL DEFAULT '0',
  `direction` enum('ASC','DESC') NOT NULL DEFAULT 'ASC',
  `break_expr` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`i_tdgb`),
  KEY `break_order` (`i_tdg`,`break_order`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Group_Break_Base`
--

DROP TABLE IF EXISTS `Template_Data_Group_Break_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Group_Break_Base` (
  `i_tdgb` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tdg` int(10) unsigned DEFAULT NULL,
  `break_order` tinyint(3) NOT NULL DEFAULT '0',
  `direction` enum('ASC','DESC') NOT NULL DEFAULT 'ASC',
  `break_expr` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`i_tdgb`),
  KEY `break_order` (`i_tdg`,`break_order`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Groups`
--

DROP TABLE IF EXISTS `Template_Data_Groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Groups` (
  `i_tdg` int(10) NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `group_order` tinyint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_tdg`),
  KEY `Template` (`i_template`,`group_order`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Data_Groups_Base`
--

DROP TABLE IF EXISTS `Template_Data_Groups_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Data_Groups_Base` (
  `i_tdg` int(10) NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `group_order` tinyint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_tdg`),
  KEY `Template` (`i_template`,`group_order`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Font_Families`
--

DROP TABLE IF EXISTS `Template_Font_Families`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Font_Families` (
  `i_font_family` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`i_font_family`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Fonts`
--

DROP TABLE IF EXISTS `Template_Fonts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Fonts` (
  `i_font` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_font_family` smallint(6) DEFAULT NULL,
  `name` varchar(64) NOT NULL,
  `bold` enum('Y','N') NOT NULL DEFAULT 'N',
  `italic` enum('Y','N') NOT NULL DEFAULT 'N',
  `filename` varchar(64) NOT NULL,
  `is_default` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_font`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Group_Fields`
--

DROP TABLE IF EXISTS `Template_Group_Fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Group_Fields` (
  `i_tg_field` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tdg` int(10) unsigned DEFAULT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `editor_name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `target_db_field` varchar(255) DEFAULT NULL,
  `source_db_field` varchar(255) DEFAULT NULL,
  `document_order` tinyint(3) unsigned DEFAULT '1',
  `i_format_type` smallint(5) unsigned NOT NULL,
  `i_format` smallint(5) unsigned NOT NULL,
  `rule` text CHARACTER SET utf8,
  `pp_rule` text CHARACTER SET utf8,
  `total_rule` text CHARACTER SET utf8,
  `sample_data` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `symbolic_id` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `type` enum('Group Header','Group Footer') NOT NULL DEFAULT 'Group Header',
  PRIMARY KEY (`i_tg_field`),
  UNIQUE KEY `editor_order` (`i_tdg`,`type`,`editor_order`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Group_Fields_Base`
--

DROP TABLE IF EXISTS `Template_Group_Fields_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Group_Fields_Base` (
  `i_tg_field` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_tdg` int(10) unsigned DEFAULT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `editor_name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `target_db_field` varchar(255) DEFAULT NULL,
  `source_db_field` varchar(255) DEFAULT NULL,
  `document_order` tinyint(3) unsigned DEFAULT '1',
  `i_format_type` smallint(5) unsigned NOT NULL,
  `i_format` smallint(5) unsigned NOT NULL,
  `rule` text CHARACTER SET utf8,
  `pp_rule` text CHARACTER SET utf8,
  `total_rule` text CHARACTER SET utf8,
  `sample_data` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `symbolic_id` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `type` enum('Group Header','Group Footer') NOT NULL DEFAULT 'Group Header',
  PRIMARY KEY (`i_tg_field`),
  UNIQUE KEY `editor_order` (`i_tdg`,`type`,`editor_order`)
) ENGINE=InnoDB AUTO_INCREMENT=1023 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Media_Attributes`
--

DROP TABLE IF EXISTS `Template_Media_Attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Media_Attributes` (
  `i_tma` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_ma_definition` smallint(5) unsigned NOT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `value` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `editable` char(1) NOT NULL DEFAULT 'Y',
  `hidden` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_tma`)
) ENGINE=InnoDB AUTO_INCREMENT=1006 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Media_Attributes_Base`
--

DROP TABLE IF EXISTS `Template_Media_Attributes_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Media_Attributes_Base` (
  `i_tma` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template` int(10) unsigned DEFAULT NULL,
  `i_ma_definition` smallint(5) unsigned NOT NULL,
  `editor_order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `value` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `editable` char(1) NOT NULL DEFAULT 'Y',
  `hidden` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_tma`)
) ENGINE=InnoDB AUTO_INCREMENT=269 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Relations`
--

DROP TABLE IF EXISTS `Template_Relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Relations` (
  `i_template` int(10) unsigned NOT NULL,
  `i_parent_template` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_template`,`i_parent_template`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Relations_Base`
--

DROP TABLE IF EXISTS `Template_Relations_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Relations_Base` (
  `i_template` int(10) unsigned NOT NULL,
  `i_parent_template` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_template`,`i_parent_template`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Template_Types`
--

DROP TABLE IF EXISTS `Template_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Template_Types` (
  `i_template_type` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `dataflow` varchar(64) DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `groups_enabled` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_template_type`),
  UNIQUE KEY `temp_type` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Templates`
--

DROP TABLE IF EXISTS `Templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Templates` (
  `i_template` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `i_media_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `is_default` char(1) NOT NULL DEFAULT 'N',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `wizard_config` text CHARACTER SET utf8,
  `template_flags` varchar(32) DEFAULT NULL,
  `description` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`i_template`),
  UNIQUE KEY `templates` (`name`,`i_env`),
  KEY `env_type_name` (`i_env`,`i_template_type`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Templates_Base`
--

DROP TABLE IF EXISTS `Templates_Base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Templates_Base` (
  `i_template` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_template_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `i_media_type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `is_default` char(1) NOT NULL DEFAULT 'N',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `wizard_config` text CHARACTER SET utf8,
  `template_flags` varchar(32) DEFAULT NULL,
  `description` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`i_template`),
  UNIQUE KEY `templates` (`name`,`i_env`),
  KEY `env_type_name` (`i_env`,`i_template_type`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Time_Periods`
--

DROP TABLE IF EXISTS `Time_Periods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Time_Periods` (
  `i_offpeak` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(1) unsigned NOT NULL DEFAULT '1',
  `name` varchar(32) NOT NULL,
  `description` text,
  `definition` varchar(2000) NOT NULL,
  `i_customer` int(10) DEFAULT NULL,
  `period_type` enum('offpeak','access_policy') DEFAULT 'offpeak',
  PRIMARY KEY (`i_offpeak`),
  UNIQUE KEY `uk_env_name` (`i_env`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Time_Zones`
--

DROP TABLE IF EXISTS `Time_Zones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Time_Zones` (
  `i_time_zone` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `iso_3166_1_a2` char(2) NOT NULL DEFAULT '',
  `TZ` varchar(64) CHARACTER SET utf8 NOT NULL,
  `comments` varchar(255) CHARACTER SET utf8 NOT NULL,
  `format` varchar(64) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_time_zone`),
  UNIQUE KEY `TZ` (`TZ`)
) ENGINE=InnoDB AUTO_INCREMENT=416 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Transaction_Flag_Types`
--

DROP TABLE IF EXISTS `Transaction_Flag_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Transaction_Flag_Types` (
  `i_transaction_flag` int(11) NOT NULL AUTO_INCREMENT,
  `i_service_type` int(11) NOT NULL,
  `name` char(255) CHARACTER SET utf8 NOT NULL,
  `bit_mask` int(20) unsigned NOT NULL DEFAULT '0',
  `bit_offset` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_transaction_flag`),
  UNIQUE KEY `service_type_flag_tname` (`i_service_type`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA`
--

DROP TABLE IF EXISTS `UA`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA` (
  `i_ua` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `i_ua_type` int(10) unsigned NOT NULL DEFAULT '0',
  `mac` varchar(17) CHARACTER SET utf8 DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned DEFAULT '1',
  `ua_profile_id` int(10) unsigned DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `ascii_key` varchar(128) CHARACTER SET utf8 NOT NULL,
  `inventory_id` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `used` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_ua`),
  UNIQUE KEY `mac_env` (`mac`,`i_env`),
  UNIQUE KEY `name_env` (`name`,`i_env`),
  KEY `profile_id` (`ua_profile_id`),
  KEY `name` (`name`),
  KEY `env_name` (`i_env`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Links`
--

DROP TABLE IF EXISTS `UA_Links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Links` (
  `i_ua_link` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_ua` int(10) unsigned DEFAULT NULL,
  `port` int(10) unsigned DEFAULT NULL,
  `ua_profile_id` int(10) DEFAULT NULL,
  PRIMARY KEY (`i_ua_link`),
  UNIQUE KEY `account_ua_port` (`i_account`,`i_ua`,`port`),
  KEY `i_ua` (`i_ua`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Notepad`
--

DROP TABLE IF EXISTS `UA_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Notepad` (
  `i_ua` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_ua`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Profile_Notepad`
--

DROP TABLE IF EXISTS `UA_Profile_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Profile_Notepad` (
  `i_ua_profile` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_ua_profile`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Profile_Values`
--

DROP TABLE IF EXISTS `UA_Profile_Values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Profile_Values` (
  `i_ua_profile_value` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_ua_profile` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `value` varchar(255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_ua_profile_value`),
  KEY `i_ua_profile` (`i_ua_profile`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Profiles`
--

DROP TABLE IF EXISTS `UA_Profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Profiles` (
  `i_ua_profile` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(10) unsigned DEFAULT NULL,
  `i_ua_type` int(10) unsigned DEFAULT NULL,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `effective_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `ua_profile_id` int(10) NOT NULL DEFAULT '0',
  `discontinued` char(1) DEFAULT 'N',
  PRIMARY KEY (`i_ua_profile`),
  KEY `ua_profile_name_id` (`ua_profile_id`,`name`),
  KEY `effective_from` (`effective_from`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `UA_Types`
--

DROP TABLE IF EXISTS `UA_Types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UA_Types` (
  `i_ua_type` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `manufacturer` varchar(20) CHARACTER SET utf8 NOT NULL,
  `product` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `version` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `ports` smallint(5) unsigned DEFAULT NULL,
  `type_id` tinyint(2) unsigned DEFAULT NULL,
  PRIMARY KEY (`i_ua_type`),
  UNIQUE KEY `manuf_code_vesion` (`manufacturer`,`product`,`version`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `UM_Abbreviated_Dialing`
--

DROP TABLE IF EXISTS `UM_Abbreviated_Dialing`;
/*!50001 DROP VIEW IF EXISTS `UM_Abbreviated_Dialing`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_Abbreviated_Dialing` (
  `i_customer` int(10) unsigned,
  `abbreviated_number` varchar(15),
  `number_to_dial` varchar(32),
  `description` varchar(64)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `UM_Account_Status`
--

DROP TABLE IF EXISTS `UM_Account_Status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UM_Account_Status` (
  `i_account` int(10) NOT NULL DEFAULT '0',
  `unread_msg_notifed` char(1) DEFAULT NULL,
  `call_id` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `unread_msg_present` char(1) DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `UM_Accounts`
--

DROP TABLE IF EXISTS `UM_Accounts`;
/*!50001 DROP VIEW IF EXISTS `UM_Accounts`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_Accounts` (
  `i_env` tinyint(1) unsigned,
  `domain` varchar(512),
  `i_customer` int(10) unsigned,
  `i_account` int(10) unsigned,
  `login` varchar(64),
  `id` varchar(32),
  `password` longblob,
  `name` varchar(77),
  `timezone` varchar(64),
  `conf_max_participants` varchar(255),
  `out_date_time_format` varchar(32),
  `email` varchar(128),
  `ivr_locale` char(5),
  `web_locale` char(5),
  `active` tinyint(1),
  `is_um_enabled` char(1),
  `is_conf_enabled` varchar(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `UM_Currencies`
--

DROP TABLE IF EXISTS `UM_Currencies`;
/*!50001 DROP VIEW IF EXISTS `UM_Currencies`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_Currencies` (
  `iso_4217` char(3),
  `decimal_digits` tinyint(1) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `UM_Locks`
--

DROP TABLE IF EXISTS `UM_Locks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UM_Locks` (
  `i_um_lock` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `src_i_account` int(10) unsigned NOT NULL,
  `dst_i_account` int(10) unsigned NOT NULL,
  `locked` enum('Y','N') DEFAULT 'Y',
  PRIMARY KEY (`i_um_lock`),
  UNIQUE KEY `accounts_pair` (`src_i_account`,`dst_i_account`),
  KEY `dst_i_account` (`dst_i_account`),
  KEY `locked` (`locked`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `UM_PSIP_Nodes`
--

DROP TABLE IF EXISTS `UM_PSIP_Nodes`;
/*!50001 DROP VIEW IF EXISTS `UM_PSIP_Nodes`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_PSIP_Nodes` (
  `ip` varchar(64),
  `i_env` tinyint(1) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `UM_PUM_Nodes`
--

DROP TABLE IF EXISTS `UM_PUM_Nodes`;
/*!50001 DROP VIEW IF EXISTS `UM_PUM_Nodes`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_PUM_Nodes` (
  `ip` varchar(64),
  `i_env` tinyint(1) unsigned,
  `radius_key` varchar(32)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `UM_VA_Access_Numbers_Options`
--

DROP TABLE IF EXISTS `UM_VA_Access_Numbers_Options`;
/*!50001 DROP VIEW IF EXISTS `UM_VA_Access_Numbers_Options`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_VA_Access_Numbers_Options` (
  `i_env` tinyint(1) unsigned,
  `number` varchar(64),
  `app_name` varchar(64),
  `an_key` varchar(64),
  `type` varchar(64),
  `an_value` varchar(512)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `UM_VA_Application_Options`
--

DROP TABLE IF EXISTS `UM_VA_Application_Options`;
/*!50001 DROP VIEW IF EXISTS `UM_VA_Application_Options`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_VA_Application_Options` (
  `app_name` varchar(64),
  `i_env` tinyint(1) unsigned,
  `va_key` varchar(64),
  `type` varchar(64),
  `va_value` varchar(512)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `UM_VA_Email_Domains`
--

DROP TABLE IF EXISTS `UM_VA_Email_Domains`;
/*!50001 DROP VIEW IF EXISTS `UM_VA_Email_Domains`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `UM_VA_Email_Domains` (
  `i_env` tinyint(1) unsigned,
  `domain` varchar(512)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `UpdateTickets`
--

DROP TABLE IF EXISTS `UpdateTickets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `UpdateTickets` (
  `ticket` varchar(32) CHARACTER SET utf8 NOT NULL,
  `stamp` datetime DEFAULT NULL,
  PRIMARY KEY (`ticket`),
  KEY `stamp` (`stamp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `User_Name_Replacement`
--

DROP TABLE IF EXISTS `User_Name_Replacement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `User_Name_Replacement` (
  `i_un_replacement` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_node` int(10) unsigned NOT NULL DEFAULT '0',
  `i_un_replacement_rule` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_un_replacement`),
  UNIQUE KEY `rule` (`i_node`,`i_un_replacement_rule`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `User_Name_Replacement_Rules`
--

DROP TABLE IF EXISTS `User_Name_Replacement_Rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `User_Name_Replacement_Rules` (
  `i_un_replacement_rule` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('VoIP','Telephony') CHARACTER SET utf8 NOT NULL DEFAULT 'VoIP',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(64) CHARACTER SET utf8 NOT NULL,
  `rule` varchar(255) CHARACTER SET utf8 NOT NULL,
  `call_origin` enum('answer','originate','*') CHARACTER SET utf8 DEFAULT 'answer',
  `call_type` enum('Telephony','VoIP','*') CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`i_un_replacement_rule`),
  UNIQUE KEY `rule` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `User_Notepad`
--

DROP TABLE IF EXISTS `User_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `User_Notepad` (
  `i_user` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_user`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Users`
--

DROP TABLE IF EXISTS `Users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Users` (
  `i_user` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `login` varchar(64) CHARACTER SET utf8 NOT NULL,
  `password` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_access_level` int(10) unsigned NOT NULL DEFAULT '5',
  `description` varchar(128) CHARACTER SET utf8 NOT NULL,
  `email` varchar(128) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `activation_date` date NOT NULL DEFAULT '0000-00-00',
  `expiration_date` date DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `password_timestamp` datetime DEFAULT NULL,
  `old_passwords` varchar(210) CHARACTER SET utf8 DEFAULT NULL,
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `i_lang` char(5) DEFAULT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `auth_method` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`i_user`),
  UNIQUE KEY `users_login_index` (`login`),
  KEY `Users_env` (`i_env`),
  KEY `Users_i_acl` (`i_acl`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `VA_Access_Numbers_Parameters`
--

DROP TABLE IF EXISTS `VA_Access_Numbers_Parameters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `VA_Access_Numbers_Parameters` (
  `i_an_parameter` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_voice_app_access_number` int(10) unsigned NOT NULL,
  `i_va_option` int(10) unsigned NOT NULL,
  `an_value` varchar(512) DEFAULT NULL,
  PRIMARY KEY (`i_an_parameter`),
  UNIQUE KEY `VAAN_Parameter_uq` (`i_voice_app_access_number`,`i_va_option`),
  KEY `VAAN_Parameters_fk2` (`i_va_option`),
  CONSTRAINT `VAAN_Parameters_fk1` FOREIGN KEY (`i_voice_app_access_number`) REFERENCES `Voice_App_Access_Numbers` (`i_voice_app_access_number`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VAAN_Parameters_fk2` FOREIGN KEY (`i_va_option`) REFERENCES `VA_Options_Dict` (`i_va_option`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `VA_Options_Dict`
--

DROP TABLE IF EXISTS `VA_Options_Dict`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `VA_Options_Dict` (
  `i_va_option` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_voice_application` int(10) unsigned NOT NULL,
  `use_for_accessnum` tinyint(1) unsigned NOT NULL,
  `groupid` varchar(64) DEFAULT NULL,
  `name` varchar(64) NOT NULL,
  `type` varchar(64) NOT NULL,
  `default_value` varchar(512) DEFAULT NULL,
  `validation` text,
  PRIMARY KEY (`i_va_option`),
  UNIQUE KEY `VA_Option` (`i_voice_application`,`name`,`use_for_accessnum`),
  CONSTRAINT `VA_Options_Dict_fk1` FOREIGN KEY (`i_voice_application`) REFERENCES `Voice_Applications` (`i_voice_application`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=271 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `VA_Parameters`
--

DROP TABLE IF EXISTS `VA_Parameters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `VA_Parameters` (
  `i_va_parameter` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `i_voice_application` int(10) unsigned NOT NULL,
  `i_va_option` int(10) unsigned NOT NULL,
  `va_value` varchar(512) DEFAULT NULL,
  PRIMARY KEY (`i_va_parameter`),
  UNIQUE KEY `VA_Parameter_uq` (`i_env`,`i_voice_application`,`i_va_option`),
  KEY `VA_Parameters_fk1` (`i_voice_application`),
  KEY `VA_Parameters_fk2` (`i_va_option`),
  CONSTRAINT `VA_Parameters_fk1` FOREIGN KEY (`i_voice_application`) REFERENCES `Voice_Applications` (`i_voice_application`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VA_Parameters_fk2` FOREIGN KEY (`i_va_option`) REFERENCES `VA_Options_Dict` (`i_va_option`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `VD_Destination_Groups`
--

DROP TABLE IF EXISTS `VD_Destination_Groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `VD_Destination_Groups` (
  `i_vd_dg` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_vd_plan` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest_group` int(10) unsigned NOT NULL DEFAULT '0',
  `threshold_type` enum('Charged Amount','Charged Time') CHARACTER SET utf8 NOT NULL DEFAULT 'Charged Amount',
  `exclusive` char(1) NOT NULL DEFAULT 'N',
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `peak_level` tinyint(1) NOT NULL DEFAULT '0',
  `max_peak_level` tinyint(1) NOT NULL DEFAULT '2',
  PRIMARY KEY (`i_vd_dg`),
  UNIQUE KEY `vdplan_dg_peak_service` (`i_vd_plan`,`i_dest_group`,`i_service`,`peak_level`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Vendor_Accounts`
--

DROP TABLE IF EXISTS `Vendor_Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Vendor_Accounts` (
  `i_vendor_acc` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `login` varchar(64) CHARACTER SET utf8 NOT NULL,
  `password` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_vendor` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_vendor_acc`),
  UNIQUE KEY `vendor_account_name` (`name`,`i_vendor`),
  KEY `vendor_account_vendor` (`i_vendor`,`i_env`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Vendor_Notepad`
--

DROP TABLE IF EXISTS `Vendor_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Vendor_Notepad` (
  `i_vendor` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `notepad` text CHARACTER SET utf8,
  PRIMARY KEY (`i_vendor`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Vendors`
--

DROP TABLE IF EXISTS `Vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Vendors` (
  `i_vendor` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `note` varchar(41) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `bcc` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `send_statistics` char(1) NOT NULL DEFAULT 'N',
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `password_timestamp` datetime DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `billed_to` datetime DEFAULT NULL,
  `asr_report_calculated` datetime DEFAULT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `offset_threshold` decimal(15,5) DEFAULT NULL,
  PRIMARY KEY (`i_vendor`),
  UNIQUE KEY `vendor` (`name`,`i_env`),
  UNIQUE KEY `login` (`login`),
  KEY `Vendors_iso_4217` (`iso_4217`),
  KEY `i_customer` (`i_customer`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Voice_App_Access_Numbers`
--

DROP TABLE IF EXISTS `Voice_App_Access_Numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Voice_App_Access_Numbers` (
  `i_voice_app_access_number` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `number` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_env` tinyint(1) unsigned NOT NULL,
  `i_voice_application` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_voice_app_access_number`),
  KEY `env_num_app` (`i_env`,`number`,`i_voice_application`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Voice_Application_Models`
--

DROP TABLE IF EXISTS `Voice_Application_Models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Voice_Application_Models` (
  `i_va_model` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_va_model`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Voice_Applications`
--

DROP TABLE IF EXISTS `Voice_Applications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Voice_Applications` (
  `i_voice_application` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `name` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `app_name` varchar(64) NOT NULL,
  `code` varchar(16) NOT NULL,
  `accessnum_allowed` tinyint(1) DEFAULT NULL,
  `i_va_model` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`i_voice_application`),
  UNIQUE KEY `app_name` (`app_name`),
  KEY `env_name_desc` (`i_env`,`name`,`description`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Voice_Negotiate_Features`
--

DROP TABLE IF EXISTS `Voice_Negotiate_Features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Voice_Negotiate_Features` (
  `i_voice_negotiate_feature` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `id` varchar(32) NOT NULL,
  `name` varchar(64) NOT NULL,
  `negotiate_bit_offset` tinyint(3) unsigned DEFAULT NULL,
  `has_suppress` enum('Y','N') DEFAULT 'Y',
  `has_requirement` enum('Y','N') DEFAULT 'Y',
  `has_capability` enum('Y','N') DEFAULT 'Y',
  PRIMARY KEY (`i_voice_negotiate_feature`),
  UNIQUE KEY `negotiate_bit_offset` (`negotiate_bit_offset`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Volume_Discount_Plans`
--

DROP TABLE IF EXISTS `Volume_Discount_Plans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Volume_Discount_Plans` (
  `i_vd_plan` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_env` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_dest_group_set` int(10) unsigned NOT NULL DEFAULT '0',
  `currency` char(3) CHARACTER SET utf8 NOT NULL,
  `i_customer` int(10) unsigned DEFAULT NULL,
  `reset_period` enum('Never','Billing-period') CHARACTER SET utf8 DEFAULT NULL,
  `destination_lookup` enum('N','Y','P') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_vd_plan`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Volume_Discount_Thresholds`
--

DROP TABLE IF EXISTS `Volume_Discount_Thresholds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Volume_Discount_Thresholds` (
  `i_vd_threshold` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_vd_dg` int(10) unsigned NOT NULL DEFAULT '0',
  `threshold` decimal(15,5) DEFAULT NULL,
  `discount` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `alter_service` varchar(32) DEFAULT NULL,
  `notify_if_exceeded` enum('Y','N') NOT NULL DEFAULT 'N',
  `xdr_split` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`i_vd_threshold`),
  KEY `vd_thr_group` (`i_vd_dg`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Web_Sessions`
--

DROP TABLE IF EXISTS `Web_Sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Web_Sessions` (
  `id` char(32) NOT NULL,
  `a_session` varbinary(4000) DEFAULT NULL,
  `last_update_time` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `Web_Sessions_time` (`last_update_time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `X_Rate_Source`
--

DROP TABLE IF EXISTS `X_Rate_Source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `X_Rate_Source` (
  `i_x_rate_source` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`i_x_rate_source`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `X_Rates`
--

DROP TABLE IF EXISTS `X_Rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `X_Rates` (
  `i_x_rate` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `i_x_rate_source` smallint(5) unsigned NOT NULL DEFAULT '0',
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `base_iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `base_units` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_env` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`i_x_rate`),
  KEY `xrates` (`iso_4217`,`base_iso_4217`,`timestamp`,`i_x_rate_source`,`i_env`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Accounts`
--

DROP TABLE IF EXISTS `fake_Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Accounts` (
  `i_account` int(10) unsigned NOT NULL DEFAULT '0',
  `id` varchar(32) NOT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `h323_password` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `issue_date` date NOT NULL DEFAULT '0000-00-00',
  `zero_balance_date` date DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `billing_model` tinyint(2) NOT NULL DEFAULT '0',
  `activation_date` date NOT NULL DEFAULT '0000-00-00',
  `expiration_date` date DEFAULT NULL,
  `i_product` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` char(1) NOT NULL DEFAULT 'N',
  `last_usage` datetime DEFAULT NULL,
  `i_batch` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `first_usage` date DEFAULT NULL,
  `life_time` smallint(4) unsigned DEFAULT NULL,
  `redirect_number` varchar(32) DEFAULT NULL,
  `control_number` int(10) unsigned DEFAULT NULL,
  `iso_639_1` char(5) DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `non_call_related_charges` decimal(15,5) DEFAULT NULL,
  `refunds` decimal(15,5) DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `um_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '155',
  `i_subscriber` int(10) unsigned DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `ua_profile_id` int(10) unsigned DEFAULT NULL,
  `mac` varchar(23) CHARACTER SET utf8 DEFAULT NULL,
  `follow_me_enabled` char(1) NOT NULL DEFAULT 'N',
  `timer` datetime DEFAULT NULL,
  `ecommerce_enabled` char(1) DEFAULT 'N',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `last_recharge` datetime DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_master_account` int(10) DEFAULT NULL,
  `bill_status` enum('O','C','I') NOT NULL DEFAULT 'O',
  `i_routing_plan` int(10) NOT NULL DEFAULT '-1',
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `management_number` varchar(32) DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `i_customer_site` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Batch`
--

DROP TABLE IF EXISTS `fake_Batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Batch` (
  `i_batch` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8 NOT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `payment_commission_rate` decimal(8,5) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_CDR_Accounts`
--

DROP TABLE IF EXISTS `fake_CDR_Accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_CDR_Accounts` (
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `account_id` varchar(32) DEFAULT NULL,
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `call_id` varchar(100) DEFAULT NULL,
  `i_account` int(10) unsigned DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `billing_model` tinyint(4) DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `subscriber_ip` varchar(100) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_CDR_Customers`
--

DROP TABLE IF EXISTS `fake_CDR_Customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_CDR_Customers` (
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `h323_conf_id` varchar(36) DEFAULT NULL,
  `CLI` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `CLD` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `setup_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `connect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `disconnect_cause` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `voice_quality` tinyint(2) unsigned DEFAULT NULL,
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `charged_time` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `charged_amount` decimal(15,5) DEFAULT NULL,
  `history` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_vendor` int(10) unsigned DEFAULT NULL,
  `cost` decimal(15,5) DEFAULT NULL,
  `call_id` varchar(100) DEFAULT NULL,
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_rate` int(10) unsigned DEFAULT NULL,
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `bill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `charged_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `used_quantity` bigint(20) unsigned NOT NULL DEFAULT '0',
  `bit_flags` int(10) unsigned NOT NULL DEFAULT '0',
  `h323_incoming_conf_id` varchar(36) DEFAULT NULL,
  `rating_pattern` varchar(128) DEFAULT NULL,
  `originating_ip` varbinary(4) DEFAULT NULL,
  `split_order` tinyint(3) unsigned DEFAULT NULL,
  `peak_level` tinyint(4) DEFAULT NULL,
  `i_dest_group` int(10) unsigned DEFAULT NULL,
  `i_accessibility` int(10) unsigned DEFAULT NULL,
  `i_invoice` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Customer_Notepad`
--

DROP TABLE IF EXISTS `fake_Customer_Notepad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Customer_Notepad` (
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `notepad` text CHARACTER SET utf8
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Customers`
--

DROP TABLE IF EXISTS `fake_Customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Customers` (
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `note` varchar(41) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `bcc` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `send_statistics` enum('F','S','N') DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `i_customer_type` int(10) unsigned NOT NULL DEFAULT '1',
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '4',
  `i_tariff` int(10) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `credit_limit` decimal(15,5) DEFAULT NULL,
  `i_credit_card` int(10) unsigned DEFAULT NULL,
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `i_template` int(10) unsigned DEFAULT NULL,
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '0',
  `blocked` enum('Y','N') NOT NULL DEFAULT 'N',
  `ppm_enabled` char(1) NOT NULL DEFAULT 'N',
  `i_rep` int(10) unsigned DEFAULT NULL,
  `drm_enabled` char(1) NOT NULL DEFAULT 'N',
  `max_abbreviated_length` tinyint(1) unsigned DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `i_online_payment_processor` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `merch_acc_password` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `merch_acc_login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `reccuring_enabled` char(1) NOT NULL DEFAULT 'N',
  `test_mode` char(1) NOT NULL DEFAULT 'Y',
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `opening_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `min_allowed_payment` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `merch_acc_iso_4217` char(3) CHARACTER SET utf8 DEFAULT NULL,
  `cld_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_lang` char(5) DEFAULT NULL,
  `i_tariff_incoming` int(10) unsigned DEFAULT NULL,
  `credit_limit_warning` varchar(25) CHARACTER SET utf8 DEFAULT NULL,
  `callshop_enabled` char(1) NOT NULL DEFAULT 'N',
  `billed_to` datetime DEFAULT NULL,
  `i_parent` int(10) unsigned DEFAULT NULL,
  `i_routing_plan` int(10) DEFAULT NULL,
  `i_vd_plan` int(10) unsigned DEFAULT NULL,
  `creation_date` datetime DEFAULT NULL,
  `cli_in_translation_rule` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_moh` int(10) unsigned DEFAULT NULL,
  `service_flags` varchar(32) CHARACTER SET utf8 NOT NULL,
  `i_customer_class` int(10) unsigned NOT NULL DEFAULT '0',
  `bp_charge_cc` enum('N','Y') DEFAULT NULL,
  `unallocated_payments` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `bill_status` enum('O','S','C') NOT NULL DEFAULT 'O',
  `discount_rate` decimal(8,5) unsigned DEFAULT NULL,
  `taxed_to` datetime DEFAULT NULL,
  `i_billing_processor` int(11) DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `suspension_delay_date` datetime DEFAULT NULL,
  `send_invoices` enum('Y','N') DEFAULT NULL,
  `shifted_billing_date` datetime DEFAULT NULL,
  `sale_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `payment_commission_rate` decimal(8,5) unsigned DEFAULT NULL,
  `i_distributor` int(10) unsigned DEFAULT NULL,
  `profitability` tinyint(3) NOT NULL DEFAULT '100',
  `override_tariffs_enabled` enum('Y','N') NOT NULL DEFAULT 'N'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Destinations`
--

DROP TABLE IF EXISTS `fake_Destinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Destinations` (
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `destination` varchar(16) NOT NULL,
  `iso_3166_1_a2` char(2) DEFAULT '',
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `i_time_zone` int(10) unsigned DEFAULT NULL,
  `description` varchar(64) CHARACTER SET utf8 NOT NULL,
  `i_group` int(10) unsigned DEFAULT '0',
  `i_env` tinyint(1) unsigned DEFAULT NULL,
  `dest_type` varchar(20) CHARACTER SET utf8 DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Env`
--

DROP TABLE IF EXISTS `fake_Env`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Env` (
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `name` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `description` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `companyname` varchar(59) CHARACTER SET utf8 DEFAULT NULL,
  `addr1` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr2` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr3` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `addr4` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `iso_3166_1_a2` char(2) DEFAULT NULL,
  `phone` varchar(51) CHARACTER SET utf8 DEFAULT NULL,
  `faxnum` varchar(51) CHARACTER SET utf8 DEFAULT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `web` varchar(128) CHARACTER SET utf8 DEFAULT NULL,
  `lname` varchar(59) CHARACTER SET utf8 DEFAULT NULL,
  `laddr1` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `laddr2` varchar(41) CHARACTER SET utf8 DEFAULT NULL,
  `lcity` varchar(31) CHARACTER SET utf8 DEFAULT NULL,
  `i_country_subdivision` smallint(5) unsigned DEFAULT NULL,
  `lzip` varchar(13) CHARACTER SET utf8 DEFAULT NULL,
  `liso_3166_1_a2` char(2) DEFAULT NULL,
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `iso_4217` char(3) CHARACTER SET utf8 DEFAULT NULL,
  `i_billing_period` tinyint(2) unsigned NOT NULL DEFAULT '4',
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '0',
  `calls_counted_time` datetime DEFAULT NULL,
  `billed_to` datetime DEFAULT NULL,
  `tax_info` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `cost_revenue_daily` datetime DEFAULT NULL,
  `cost_revenue_weekly` datetime DEFAULT NULL,
  `cost_revenue_monthly` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Invoices`
--

DROP TABLE IF EXISTS `fake_Invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Invoices` (
  `i_invoice` int(10) unsigned NOT NULL DEFAULT '0',
  `invoice_number` int(10) unsigned NOT NULL DEFAULT '0',
  `i_customer` int(10) unsigned NOT NULL DEFAULT '0',
  `issue_date` date NOT NULL,
  `period_from` datetime NOT NULL,
  `period_to` datetime NOT NULL,
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '1',
  `amount_net` decimal(15,5) DEFAULT '0.00000',
  `amount_due` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `closed` char(1) NOT NULL DEFAULT 'N',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `previous_balance` decimal(15,5) DEFAULT '0.00000',
  `payments` decimal(15,5) DEFAULT '0.00000',
  `subscriptions` decimal(15,5) DEFAULT '0.00000',
  `manual_charges` decimal(15,5) DEFAULT '0.00000',
  `taxes` decimal(15,5) DEFAULT '0.00000',
  `calls` decimal(15,5) DEFAULT '0.00000',
  `new_style` tinyint(1) NOT NULL DEFAULT '0',
  `due_date` date NOT NULL DEFAULT '0000-00-00',
  `i_invoice_status` int(10) unsigned NOT NULL,
  `amount_paid` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `last_notific_date` date DEFAULT NULL,
  `last_resend_date` date DEFAULT NULL,
  `last_recollect_date` date DEFAULT NULL,
  `last_warning_date` date DEFAULT NULL,
  `last_suspension_date` date DEFAULT NULL,
  `last_closing_date` date DEFAULT NULL,
  `tax_method` int(11) DEFAULT '0',
  `i_billing_processor` int(11) DEFAULT NULL,
  `prior_balance` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `prior_balance_paid` decimal(15,5) NOT NULL DEFAULT '0.00000',
  `is_void` enum('Y','N') NOT NULL DEFAULT 'N'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Payment_Terms`
--

DROP TABLE IF EXISTS `fake_Payment_Terms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Payment_Terms` (
  `i_payment_term` int(10) unsigned NOT NULL DEFAULT '0',
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `name` varchar(31) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `discc_per` decimal(9,5) NOT NULL DEFAULT '0.00000',
  `std_due_days` smallint(6) DEFAULT NULL,
  `std_disc_days` smallint(6) DEFAULT NULL,
  `day_of_month_due` smallint(6) DEFAULT NULL,
  `disc_day_of_month` smallint(6) DEFAULT NULL,
  `date_min_days` smallint(6) DEFAULT NULL,
  `terms_type` smallint(6) DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `i_env` tinyint(3) unsigned DEFAULT '1',
  `default_term` enum('Y','N') NOT NULL DEFAULT 'N'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Rates`
--

DROP TABLE IF EXISTS `fake_Rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Rates` (
  `i_tariff` int(10) unsigned NOT NULL DEFAULT '0',
  `i_dest` int(10) unsigned NOT NULL DEFAULT '0',
  `i_rate` int(10) unsigned NOT NULL DEFAULT '0',
  `i_offpeak` int(10) unsigned DEFAULT NULL,
  `interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_interval_1` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_interval_n` smallint(5) unsigned NOT NULL DEFAULT '1',
  `op_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `op_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `effective_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `inactive_from` datetime DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `discontinued` char(1) NOT NULL DEFAULT 'N',
  `forbidden` char(1) NOT NULL DEFAULT 'N',
  `preference` tinyint(1) unsigned NOT NULL DEFAULT '5',
  `huntstop` char(1) NOT NULL DEFAULT 'N',
  `formula` varchar(255) DEFAULT NULL,
  `fake_rate` char(1) NOT NULL DEFAULT 'Y',
  `route_category` int(10) unsigned DEFAULT NULL,
  `op_route_category` int(10) unsigned DEFAULT NULL,
  `op_preference` tinyint(1) unsigned DEFAULT NULL,
  `op_huntstop` char(1) DEFAULT 'N',
  `active` char(1) NOT NULL DEFAULT 'Y',
  `i_rate_formula` int(10) unsigned DEFAULT NULL,
  `reverse_rating` enum('N','Y') NOT NULL DEFAULT 'N',
  `special_price_1` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `special_price_n` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_dest_group` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Representatives`
--

DROP TABLE IF EXISTS `fake_Representatives`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Representatives` (
  `i_rep` int(10) unsigned NOT NULL DEFAULT '0',
  `refnum` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `initials` varchar(5) CHARACTER SET utf8 NOT NULL,
  `name` varchar(41) CHARACTER SET utf8 NOT NULL,
  `timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `iso_4217` char(3) CHARACTER SET utf8 NOT NULL,
  `companyname` varchar(41) CHARACTER SET utf8 NOT NULL,
  `salutation` varchar(15) CHARACTER SET utf8 NOT NULL,
  `firstname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `midinit` varchar(25) CHARACTER SET utf8 NOT NULL,
  `lastname` varchar(25) CHARACTER SET utf8 NOT NULL,
  `baddr1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr3` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr4` varchar(41) CHARACTER SET utf8 NOT NULL,
  `baddr5` varchar(41) CHARACTER SET utf8 NOT NULL,
  `city` varchar(31) CHARACTER SET utf8 NOT NULL,
  `state` varchar(21) CHARACTER SET utf8 NOT NULL,
  `zip` varchar(13) CHARACTER SET utf8 NOT NULL,
  `country` varchar(31) CHARACTER SET utf8 NOT NULL,
  `cont1` varchar(41) CHARACTER SET utf8 NOT NULL,
  `phone1` varchar(21) CHARACTER SET utf8 NOT NULL,
  `faxnum` varchar(21) CHARACTER SET utf8 NOT NULL,
  `phone2` varchar(21) CHARACTER SET utf8 NOT NULL,
  `cont2` varchar(41) CHARACTER SET utf8 NOT NULL,
  `email` varchar(99) CHARACTER SET utf8 DEFAULT NULL,
  `i_time_zone` int(10) unsigned NOT NULL DEFAULT '1',
  `i_env` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `tax_id` varchar(16) CHARACTER SET utf8 DEFAULT NULL,
  `hidden` char(1) NOT NULL DEFAULT 'N',
  `i_customer` int(10) unsigned DEFAULT NULL,
  `login` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `password` varchar(16) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `password_timestamp` datetime DEFAULT NULL,
  `i_lang` varchar(5) DEFAULT NULL,
  `i_acl` int(10) unsigned NOT NULL DEFAULT '0',
  `out_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_time_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `out_date_time_format` varchar(32) CHARACTER SET utf8 NOT NULL,
  `in_date_format` varchar(16) CHARACTER SET utf8 NOT NULL,
  `in_time_format` varchar(16) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fake_Tariffs`
--

DROP TABLE IF EXISTS `fake_Tariffs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fake_Tariffs` (
  `i_tariff` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `period` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `i_offpeak` int(10) unsigned DEFAULT NULL,
  `currency` char(3) CHARACTER SET utf8 NOT NULL,
  `free_sec` smallint(5) unsigned DEFAULT '0',
  `connect_fee` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `login_fee` decimal(15,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_env` int(1) unsigned NOT NULL DEFAULT '1',
  `description` varchar(255) CHARACTER SET utf8 NOT NULL,
  `post_call_surcharge` decimal(9,5) unsigned NOT NULL DEFAULT '0.00000',
  `i_tariff_template_upload` int(10) unsigned DEFAULT NULL,
  `i_tariff_template_download` int(10) unsigned DEFAULT NULL,
  `i_customer` int(10) DEFAULT NULL,
  `short_description` varchar(32) CHARACTER SET utf8 NOT NULL,
  `routing_ext` char(1) NOT NULL DEFAULT 'N',
  `volume_based` char(1) DEFAULT 'N',
  `i_dest_group_set` int(10) unsigned DEFAULT NULL,
  `rounding` smallint(5) DEFAULT NULL,
  `formula` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `rating_mode` enum('Standard','Fixed') NOT NULL DEFAULT 'Standard',
  `i_service` int(10) unsigned NOT NULL DEFAULT '3',
  `type` enum('customer','vendor','reseller') DEFAULT NULL,
  `hidden` enum('Y','N') DEFAULT 'N',
  `usage_update` enum('Always','Billable') NOT NULL DEFAULT 'Always'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_Rates`
--

DROP TABLE IF EXISTS `temp_Rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `temp_Rates` (
  `effective_from` datetime NOT NULL,
  `i_dest` int(10) unsigned NOT NULL,
  `i_tariff` int(10) unsigned NOT NULL,
  PRIMARY KEY (`i_dest`,`i_tariff`,`effective_from`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `customer_confs`
--

DROP TABLE IF EXISTS `customer_confs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `customer_confs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL,
  `nat` enum('yes','no','force_rport','comedia') NOT NULL DEFAULT 'yes',
  `sipalg` int(11) DEFAULT 0,
  `video` bool DEFAULT 0,
  `codecorder` varchar(100) DEFAULT NULL,
  `codecusefirstonly` bool DEFAULT 0,
  `TTL` int(11) DEFAULT 3600,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `name_2` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `astrad_confs`
--

DROP TABLE IF EXISTS `astrad_confs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `astrad_confs` (
  `id` int(11) NOT NULL auto_increment,
  `host` varchar(15) NOT NULL,
  `port` int(11) DEFAULT 5060,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`host`),
  KEY `name_2` (`host`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;